#---------------INSTALL PACKAGES---------------
 install.packages("splitstackshape")
 library(splitstackshape)

 install.packages("data.table")
 library(data.table)
 

#---------------INPUT DATA---------------------

#Set working directory
 setwd(choose.dir())
 getwd()

 
#Change the values in the appropriate places below to relflect local employment conditions
#Number of people
 BaselineCensusPopulation <- 19512
 BaselineLabourForce <- 11650
 BaselineEmployed <- 11020
 BaselineUnemployed <- 630

 
#Proportion of population
 Employed <- 0.5648

 
#Proportion of employed
 FullTime <- 0.4815
 PartTime <- 0.5185
 
 BaselineHomebased <- 0.1211
 ScenarioHomebased <- 0.1652
 
 BaselineNofixedWorkplace <- 0.1738
 ScenarioNofixedWorkplace <- 0.1884
 

#Work days in the week
 FullTimeDays <- 5
 PartTimeDays <- 3.25
 
 
#Carpooling proportions of local and regional commuters
 Local_1passenger <- 0.0554455
 Local_2passengers <- 0.0019801
 
 Regional_1passenger <- 0.1555153 
 Regional_2passengers <- 0.0831826


#Maximum proportion of commuting by transit based on willingness to walk curves
 MaxTransitUsage <- 0.0778
   
     
#Input the data by running the file choose functions below
 #Residential/population distribution
 BaselinePeople <- read.csv(file.choose())
 ScenarioPeople <- read.csv(file.choose())

 
 #Local commuting distances
 BaselineCommuteRoad <- read.csv(file.choose())
 BaselineCommuteRoadTrail <- read.csv(file.choose())
 
 ScenarioCommuteRoad <- read.csv(file.choose())
 ScenarioCommuteRoadTrail <- read.csv(file.choose())

   
#Place of work
 BaselinePlaceWork <- read.csv(file.choose())
 
 
#Commercial land and employment
 BaselineCommercialLand <- read.csv(file.choose())
 ScenarioCommercialLand <- read.csv(file.choose())

 
#Business viability
 BaselineBusinessViability <- read.csv(file.choose())
 ScenarioBusinessViability <- read.csv(file.choose())
 
 
#Transit
 BaselineBusStops <- read.csv(file.choose())
 BaselineBusRoutes <- read.csv(file.choose())
 BaselineTransitViability_400m <- read.csv(file.choose())
 BaselineTransitViability_800m <- read.csv(file.choose()) 
 
 ScenarioBusStops <- read.csv(file.choose())
 ScenarioBusRoutes <- read.csv(file.choose())
 ScenarioTransitViability_400m <- read.csv(file.choose())
 ScenarioTransitViability_800m <- read.csv(file.choose()) 

   
#Amenities
 BaselineHealth <- read.csv(file.choose())
 BaselineSocial <- read.csv(file.choose())
 BaselineNonFoodRetail <- read.csv(file.choose())
 BaselineRestaurants <- read.csv(file.choose())
 BaselineExercise <- read.csv(file.choose())
 BaselineChildcare <- read.csv(file.choose())
 BaselineGrocery <- read.csv(file.choose())
 BaselineParksTrails <- read.csv(file.choose())
 BaselineElementarySchools <- read.csv(file.choose())
   
 ScenarioHealth <- read.csv(file.choose())
 ScenarioSocial <- read.csv(file.choose())
 ScenarioNonFoodRetail <- read.csv(file.choose())
 ScenarioRestaurants <- read.csv(file.choose())
 ScenarioExercise <- read.csv(file.choose())
 ScenarioChildcare <- read.csv(file.choose())
 ScenarioGrocery <- read.csv(file.choose())
 ScenarioParksTrails <- read.csv(file.choose())
 ScenarioElementarySchools <- read.csv(file.choose())
 

#Food and farm
 BaselineFoodEducation <- read.csv(file.choose())
 BaselineFarmLand <- read.csv(file.choose())
 BaselineApartmentsGardens <- read.csv(file.choose())
 
 ScenarioFoodEducation <- read.csv(file.choose())
 ScenarioFarmLand <- read.csv(file.choose())
 ScenarioApartmentsGardens <- read.csv(file.choose())


#Education (reload elementary schools data from Ameneties dataset)
 Education_SchoolBodyCapacity <- read.csv(file.choose())
 Education_YouthDemographics <- read.csv(file.choose())
 
 BaselineSchoolCatchment <- read.csv(file.choose())
 ScenarioSchoolCatchment <- read.csv(file.choose())

 BaselineElementarySchools <- read.csv(file.choose())  
 BaselinePublicElementary <- read.csv(file.choose())
 BaselineSecondarySchools <- read.csv(file.choose())
 BaselinePublicSecondary <- read.csv(file.choose())
 
 ScenarioElementarySchools <- read.csv(file.choose())
 ScenarioPublicElementary <- read.csv(file.choose())
 ScenarioSecondarySchools <- read.csv(file.choose())
 ScenarioPublicSecondary <- read.csv(file.choose())
 

#Park access
 BaselineParkAccess <- read.csv(file.choose())
 ScenarioParkAccess <- read.csv(file.choose())
 
 
#Habitat threat
 BaselineHighSensitivity <- read.csv(file.choose())
 BaselineHighMediumSensitivity <- read.csv(file.choose())
 BaselineRiparianConnectivity <- read.csv(file.choose())
 BaselineThreatenedSpecies <- read.csv(file.choose())
 
 ScenarioHighSensitivity <- read.csv(file.choose())
 ScenarioHighMediumSensitivity <- read.csv(file.choose())
 ScenarioRiparianConnectivity <- read.csv(file.choose())
 ScenarioThreatenedSpecies <- read.csv(file.choose())

 
#Affordability
 HousingPrices <- read.csv(file.choose())
 
 BaselineHousingDiversity <- read.csv(file.choose())
 ScenarioHousingDiversity <- read.csv(file.choose())

 
#Climate adaptation
 BaselineFloodplain5m <- read.csv(file.choose())
 BaselineWildfireZone30m <- read.csv(file.choose())
 
 ScenarioFloodplain5m <- read.csv(file.choose())
 ScenarioWildfireZone30m <- read.csv(file.choose())
 
 ScenarioDevelopedLand <- read.csv(file.choose())
 
 
#Confirm or change conversion factors
#Vehicle emissions
 VehicleCO2e_KGperKM <- 0.261796
 VehiclePM2.5_GperKM <- 0.006072
 
 
#Carbon storage and uptake
 Forest_StoredCO2_TperHA <- 439
 Tidal_StoredCO2_TperHA <- 269
 Wetlands_StoredCO2_TperHA <- 252
 
 Forest_UptakeCO2_TperHAperY <- 2.75
 Tidal_UptakeCO2t_TperHAperY <- 7.70
 Wetlands_UptakeCO2t_TperHAperY <- 0.92


#Add nature reserves to newly developed residential areas 
#Reserve land
 ForestReserve_m2 <- 377962.03245656
 TidalReserve_m2 <- 0
 WetlandReserve_m2 <- 0
 
 
 
#---------------EDIT FUNCTIONS------------------
 
#Calibrate walking curve according to your community's transportation data(exponential decay or Ratkowsky model)
 walking <- function(Distances){
  1.00013/(1+(exp(-9.54269-(-0.002938*Distances))))
 }

#Calibrate biking curve according to your community's transportation data (exponential decay or Ratkowsky model)
 biking <- function(Distances){
  141.699/(1+(exp(4.94877-(-0.0006358*Distances))))
 }

#Calibrate using active transportation and distance to work data (linear regression)
 CalibrateDistance <- function(Distances){
  ifelse((2.2162*Distances-7396.3)<250,250,(2.2162*Distances-7396.3))
 }

 

#---------------POPULATION---------------------
 
#Calculate total community populations and create population distribution components
 BaselinePopulation <- sum(BaselinePeople$People)
 ScenarioPopulation <- sum(ScenarioPeople$People)

 BaselinePeople <- BaselinePeople[,"People"]
 ScenarioPeople <- ScenarioPeople[,"People"]

 

#---------------COMMERCIAL LANDS---------------

#Calculate total land used for commercial and industrial purposes
 BaselineCommercialLandCurrent <- BaselineCommercialLand[BaselineCommercialLand$NameOrScenario == "Baseline",]
 BaselineCommercialLandCurrent_ha <- tapply(BaselineCommercialLandCurrent$FloorSpace,BaselineCommercialLandCurrent$Type,sum)/10000
   BaselineCommercial <- BaselineCommercialLandCurrent_ha[c("C")]
   BaselineIndustrial <- BaselineCommercialLandCurrent_ha[c("I")]
   BaselineMixeduse <- BaselineCommercialLandCurrent_ha[c("M")]
   BaselineTotalCommercial <- BaselineCommercial+BaselineMixeduse
 
 PlannedCommercialLand <- BaselineCommercialLand[BaselineCommercialLand$NameOrScenario == "PlannedDevelopment",]
 PlannedCommercialLand_ha <- tapply(PlannedCommercialLand$FloorSpace,PlannedCommercialLand$Type,sum)/10000
   PlannedCommercial <- PlannedCommercialLand_ha[c("C")]
   PlannedIndustrial <- PlannedCommercialLand_ha[c("I")]
   PlannedMixeduse <- PlannedCommercialLand_ha[c("M")]
   PlannedTotalCommercial <- PlannedCommercial+PlannedMixeduse

 ScenarioCommercialLand_ha <- tapply(ScenarioCommercialLand$FloorSpace,ScenarioCommercialLand$Type,sum)/10000
  ScenarioCommercial <- ScenarioCommercialLand_ha[c("C")]+BaselineCommercial+PlannedCommercial
  ScenarioIndustrial <- ScenarioCommercialLand_ha[c("I")]+BaselineIndustrial+PlannedIndustrial
  ScenarioMixeduse <- ScenarioCommercialLand_ha[c("M")]+BaselineMixeduse+PlannedMixeduse
  ScenarioTotalCommercial <- ScenarioCommercial+ScenarioMixeduse
  
  
#Remove data and components that are not needed for other calculations
  rm(BaselineCommercialLandCurrent, BaselineCommercialLandCurrent_ha, PlannedCommercialLand_ha, ScenarioCommercialLand_ha)
  
  
 
#---------------BUSINESS VIABILITY-------------

#Replace business viability 'no data' with zero values
 BaselineBusinessViability[is.na(BaselineBusinessViability)] <- 0
 ScenarioBusinessViability[is.na(ScenarioBusinessViability)] <- 0

 
#Calculate business viability
 BaselineBusinessViability <- data.frame(BaselineBusinessViability, Density=(BaselineBusinessViability$People/((400^2*pi)/10000)))
  BaselineBusinessEmployeesAbove25pph <- BaselineBusinessViability[BaselineBusinessViability$Density>25,]
   BaselineBusinessEmployees_25pph_Number <- sum(BaselineBusinessEmployeesAbove25pph$EmployW)
   BaselineBusinessEmployees_25pph_Percentage <- (BaselineBusinessEmployees_25pph_Number/sum(BaselineBusinessViability$EmployW))*100     
  
  BaselineBusinessEmployeesAbove50pph <- BaselineBusinessViability[BaselineBusinessViability$Density>50,]
   BaselineBusinessEmployees_50pph_Number <- sum(BaselineBusinessEmployeesAbove50pph$EmployW)
   BaselineBusinessEmployees_50pph_Percentage <- (BaselineBusinessEmployees_50pph_Number/sum(BaselineBusinessViability$EmployW))*100     
  
     
 ScenarioBusinessViability <- data.frame(ScenarioBusinessViability, Density=(ScenarioBusinessViability$People/((400^2*pi)/10000)))
  ScenarioBusinessEmployeesAbove25pph <- ScenarioBusinessViability[ScenarioBusinessViability$Density>25,]
   ScenarioBusinessEmployees_25pph_Number <- sum(ScenarioBusinessEmployeesAbove25pph$EmployW)
   ScenarioBusinessEmployees_25pph_Percentage <- (ScenarioBusinessEmployees_25pph_Number/sum(ScenarioBusinessViability$EmployW))*100     
  
  ScenarioBusinessEmployeesAbove50pph <- ScenarioBusinessViability[ScenarioBusinessViability$Density>50,]
   ScenarioBusinessEmployees_50pph_Number <- sum(ScenarioBusinessEmployeesAbove50pph$EmployW)
   ScenarioBusinessEmployees_50pph_Percentage <- (ScenarioBusinessEmployees_50pph_Number/sum(ScenarioBusinessViability$EmployW))*100     

   
   
#---------------TRANSIT------------------------ 

#Confirm splitstackshape package and column separating function are enabled
 library(splitstackshape)


#Define a weighted standard deviation function
 weightedSD <- function(var,weight,mean){sqrt(sum((weight*((var-mean)^2)))/
                                                   (((length(weight[weight != 0])-1)/(length(weight[weight != 0])))*
                                                       sum(weight)))}
   
   
#Rename columns
 colnames(BaselineBusStops) <- c("OID","OriginID","Count","Distance","MinDistanceRank")
 colnames(ScenarioBusStops) <- c("OID","OriginID","Count","Distance","MinDistanceRank")
 
 colnames(BaselineBusRoutes) <- c("OID","ResidenceRoute","OriginID","DestinationID","MinDistanceRank","Distance")
 colnames(ScenarioBusRoutes) <- c("OID","ResidenceRoute","OriginID","DestinationID","MinDistanceRank","Distance")
   

#Identify local commuters  
 BaselineLocal_ppl <- as.double(BaselinePlaceWork[BaselinePlaceWork$PlaceOfWork == "Local", "People"])
 ScenarioLocal_ppl <- BaselineLocal_ppl + sum(PlannedCommercialLand$Employees) + sum(ScenarioCommercialLand$Employees)
 
 
#Calculate willingness to walk to transit and add to proximity to bus stops data
 
 willingness <- function(distance){ifelse(distance<800,((100-0.25*distance+0.0001565*distance^2)/100),0)}

 Baseline_BusStops <- data.frame(BaselineBusStops, WillingToWalk=willingness(BaselineBusStops$Distance)) 
   Baseline_TransitRidership_prop <- sum(Baseline_BusStops$WillingToWalk*BaselinePeople*MaxTransitUsage)/BaselinePopulation  
   Baseline_TransitRidership_ppl <- Baseline_TransitRidership_prop*BaselineLocal_ppl 
   
 Scenario_BusStops <- data.frame(ScenarioBusStops, WillingToWalk=willingness(ScenarioBusStops$Distance)) 
   Scenario_TransitRidership_prop <- sum(Scenario_BusStops$WillingToWalk*ScenarioPeople*MaxTransitUsage)/ScenarioPopulation  
   Scenario_TransitRidership_ppl <- Scenario_TransitRidership_prop*ScenarioLocal_ppl 
      

#Calculate average distances to bus stops
 Baseline_AvergeDistanceBusStops_m <- weighted.mean(Baseline_BusStops$Distance,BaselinePeople)
 Baseline_AvergeDistanceBusStops_SD <- weightedSD(Baseline_BusStops$Distance,BaselinePeople,Baseline_AvergeDistanceBusStops_m)

 Scenario_AvergeDistanceBusStops_m <- weighted.mean(Scenario_BusStops$Distance,ScenarioPeople)
 Scenario_AvergeDistanceBusStops_SD <- weightedSD(Scenario_BusStops$Distance,ScenarioPeople,Scenario_AvergeDistanceBusStops_m)
   
  
#Calculate access to numbers of bus stops and transit routes within walking distance for the Baseline
 Baseline_BusRoutes <- cSplit(BaselineBusRoutes,"ResidenceRoute", sep=" - ")
   colnames(Baseline_BusRoutes)[names(Baseline_BusRoutes) == "ResidenceRoute_1"] <- "Residence"
   colnames(Baseline_BusRoutes)[names(Baseline_BusRoutes) == "ResidenceRoute_2"] <- "Route"
 
 Baseline_BusRoutes <- cSplit(Baseline_BusRoutes,"Route", sep="-")
   BaselineFirstRoute <- as.double(which(colnames(Baseline_BusRoutes) == "Route_1"))
   BaselineLastRoute <- as.double(length(Baseline_BusRoutes))
   BaselineRouteAccess <- Baseline_BusRoutes[,BaselineFirstRoute:BaselineLastRoute]
   
     BaselineBusStops400m <- (ifelse(Baseline_BusRoutes$Distance<400,1,0))
     BaselineRouteAccess400m <- BaselineRouteAccess*BaselineBusStops400m
   
     BaselineBusStops800m <- (ifelse(Baseline_BusRoutes$Distance<800,1,0))
     BaselineRouteAccess800m <- BaselineRouteAccess*BaselineBusStops800m
   
   
 BaselineRouteAccess400m <- cbind(ID=Baseline_BusRoutes$Residence,BusStops=BaselineBusStops400m,BaselineRouteAccess400m)
   BaselineFinalStop400m <- as.double(length(BaselineRouteAccess400m))
   BaselineStopsRoutes400m <- aggregate.data.frame(BaselineRouteAccess400m[,2:BaselineFinalStop400m],by=list(BaselineRouteAccess400m$ID),sum)
   BaselineRoutesOnly400m <- BaselineStopsRoutes400m[,3:BaselineFinalStop400m]
   BaselineRoutesOnly400mCount <- ifelse(BaselineRoutesOnly400m==0,0,1)
   
     BaselineTransitStops400m <- BaselineStopsRoutes400m[,2]
     BaselineTransitRoutes400m <- rowSums(BaselineRoutesOnly400mCount)
     Baseline_StopsRoutes400m <- data.frame(People=BaselinePeople,Stops=BaselineTransitStops400m,Routes=BaselineTransitRoutes400m)
       Baseline_Population400mBusStops_prop <- sum(Baseline_StopsRoutes400m[Baseline_StopsRoutes400m$Stops>0,"People"])/BaselinePopulation
       Baseline_AverageStops_400m <- weighted.mean(Baseline_StopsRoutes400m$Stops, Baseline_StopsRoutes400m$People)
       Baseline_AverageRoutes_400m <- weighted.mean(Baseline_StopsRoutes400m$Routes, Baseline_StopsRoutes400m$People)
       
         Baseline_1route400m_prop <- sum(Baseline_StopsRoutes400m[Baseline_StopsRoutes400m$Routes >= 1,"People"])/BaselinePopulation
         Baseline_2route400m_prop <- sum(Baseline_StopsRoutes400m[Baseline_StopsRoutes400m$Routes >= 2,"People"])/BaselinePopulation
         Baseline_3route400m_prop <- sum(Baseline_StopsRoutes400m[Baseline_StopsRoutes400m$Routes >= 3,"People"])/BaselinePopulation
         Baseline_4route400m_prop <- sum(Baseline_StopsRoutes400m[Baseline_StopsRoutes400m$Routes >= 4,"People"])/BaselinePopulation
         Baseline_5route400m_prop <- sum(Baseline_StopsRoutes400m[Baseline_StopsRoutes400m$Routes >= 5,"People"])/BaselinePopulation
       
   
 BaselineRouteAccess800m <- cbind(ID=Baseline_BusRoutes$Residence,BusStops=BaselineBusStops800m,BaselineRouteAccess800m)
   BaselineFinalStop800m <- as.double(length(BaselineRouteAccess800m))
   BaselineStopsRoutes800m <- aggregate.data.frame(BaselineRouteAccess800m[,2:BaselineFinalStop800m],by=list(BaselineRouteAccess800m$ID),sum)
   BaselineRoutesOnly800m <- BaselineStopsRoutes800m[,3:BaselineFinalStop800m]
   BaselineRoutesOnly800mCount <- ifelse(BaselineRoutesOnly800m==0,0,1)
   
     BaselineTransitStops800m <- BaselineStopsRoutes800m[,2]
     BaselineTransitRoutes800m <- rowSums(BaselineRoutesOnly800mCount)
     Baseline_StopsRoutes800m <- data.frame(People=BaselinePeople,Stops=BaselineTransitStops800m,Routes=BaselineTransitRoutes800m)
       Baseline_Population800mBusStops_prop <- sum(Baseline_StopsRoutes800m[Baseline_StopsRoutes800m$Stops>0,"People"])/BaselinePopulation
       Baseline_AverageStops_800m <- weighted.mean(Baseline_StopsRoutes800m$Stops, Baseline_StopsRoutes800m$People)
       Baseline_AverageRoutes_800m <- weighted.mean(Baseline_StopsRoutes800m$Routes, Baseline_StopsRoutes800m$People)
       
         Baseline_1route800m_prop <- sum(Baseline_StopsRoutes800m[Baseline_StopsRoutes800m$Routes >= 1,"People"])/BaselinePopulation
         Baseline_2route800m_prop <- sum(Baseline_StopsRoutes800m[Baseline_StopsRoutes800m$Routes >= 2,"People"])/BaselinePopulation
         Baseline_3route800m_prop <- sum(Baseline_StopsRoutes800m[Baseline_StopsRoutes800m$Routes >= 3,"People"])/BaselinePopulation
         Baseline_4route800m_prop <- sum(Baseline_StopsRoutes800m[Baseline_StopsRoutes800m$Routes >= 4,"People"])/BaselinePopulation
         Baseline_5route800m_prop <- sum(Baseline_StopsRoutes800m[Baseline_StopsRoutes800m$Routes >= 5,"People"])/BaselinePopulation
   
       
#Calculate access to numbers of bus stops and transit routes within walking distance for the Scenario
 Scenario_BusRoutes <- cSplit(ScenarioBusRoutes,"ResidenceRoute", sep=" - ")
   colnames(Scenario_BusRoutes)[names(Scenario_BusRoutes) == "ResidenceRoute_1"] <- "Residence"
   colnames(Scenario_BusRoutes)[names(Scenario_BusRoutes) == "ResidenceRoute_2"] <- "Route"
 
 Scenario_BusRoutes <- cSplit(Scenario_BusRoutes,"Route", sep="-")
   ScenarioFirstRoute <- as.double(which(colnames(Scenario_BusRoutes) == "Route_1"))
   ScenarioLastRoute <- as.double(length(Scenario_BusRoutes))
   ScenarioRouteAccess <- Scenario_BusRoutes[,ScenarioFirstRoute:ScenarioLastRoute]
   
     ScenarioBusStops400m <- (ifelse(Scenario_BusRoutes$Distance<400,1,0))
     ScenarioRouteAccess400m <- ScenarioRouteAccess*ScenarioBusStops400m
   
     ScenarioBusStops800m <- (ifelse(Scenario_BusRoutes$Distance<800,1,0))
     ScenarioRouteAccess800m <- ScenarioRouteAccess*ScenarioBusStops800m
   
   
 ScenarioRouteAccess400m <- cbind(ID=Scenario_BusRoutes$Residence,BusStops=ScenarioBusStops400m,ScenarioRouteAccess400m)
   ScenarioFinalStop400m <- as.double(length(ScenarioRouteAccess400m))
   ScenarioStopsRoutes400m <- aggregate.data.frame(ScenarioRouteAccess400m[,2:ScenarioFinalStop400m],by=list(ScenarioRouteAccess400m$ID),sum)
   ScenarioRoutesOnly400m <- ScenarioStopsRoutes400m[,3:ScenarioFinalStop400m]
   ScenarioRoutesOnly400mCount <- ifelse(ScenarioRoutesOnly400m==0,0,1)
   
     ScenarioTransitStops400m <- ScenarioStopsRoutes400m[,2]
     ScenarioTransitRoutes400m <- rowSums(ScenarioRoutesOnly400mCount)
     Scenario_StopsRoutes400m <- data.frame(People=ScenarioPeople,Stops=ScenarioTransitStops400m,Routes=ScenarioTransitRoutes400m)
       Scenario_Population400mBusStops_prop <- sum(Scenario_StopsRoutes400m[Scenario_StopsRoutes400m$Stops>0,"People"])/ScenarioPopulation
       Scenario_AverageStops_400m <- weighted.mean(Scenario_StopsRoutes400m$Stops, Scenario_StopsRoutes400m$People)
       Scenario_AverageRoutes_400m <- weighted.mean(Scenario_StopsRoutes400m$Routes, Scenario_StopsRoutes400m$People)
       
         Scenario_1route400m_prop <- sum(Scenario_StopsRoutes400m[Scenario_StopsRoutes400m$Routes >= 1,"People"])/ScenarioPopulation
         Scenario_2route400m_prop <- sum(Scenario_StopsRoutes400m[Scenario_StopsRoutes400m$Routes >= 2,"People"])/ScenarioPopulation
         Scenario_3route400m_prop <- sum(Scenario_StopsRoutes400m[Scenario_StopsRoutes400m$Routes >= 3,"People"])/ScenarioPopulation
         Scenario_4route400m_prop <- sum(Scenario_StopsRoutes400m[Scenario_StopsRoutes400m$Routes >= 4,"People"])/ScenarioPopulation
         Scenario_5route400m_prop <- sum(Scenario_StopsRoutes400m[Scenario_StopsRoutes400m$Routes >= 5,"People"])/ScenarioPopulation
     
   
 ScenarioRouteAccess800m <- cbind(ID=Scenario_BusRoutes$Residence,BusStops=ScenarioBusStops800m,ScenarioRouteAccess800m)
   ScenarioFinalStop800m <- as.double(length(ScenarioRouteAccess800m))
   ScenarioStopsRoutes800m <- aggregate.data.frame(ScenarioRouteAccess800m[,2:ScenarioFinalStop800m],by=list(ScenarioRouteAccess800m$ID),sum)
   ScenarioRoutesOnly800m <- ScenarioStopsRoutes800m[,3:ScenarioFinalStop800m]
   ScenarioRoutesOnly800mCount <- ifelse(ScenarioRoutesOnly800m==0,0,1)
   
     ScenarioTransitStops800m <- ScenarioStopsRoutes800m[,2]
     ScenarioTransitRoutes800m <- rowSums(ScenarioRoutesOnly800mCount)
     Scenario_StopsRoutes800m <- data.frame(People=ScenarioPeople,Stops=ScenarioTransitStops800m,Routes=ScenarioTransitRoutes800m)
       Scenario_Population800mBusStops_prop <- sum(Scenario_StopsRoutes800m[Scenario_StopsRoutes800m$Stops>0,"People"])/ScenarioPopulation
       Scenario_AverageStops_800m <- weighted.mean(Scenario_StopsRoutes800m$Stops, Scenario_StopsRoutes800m$People)
       Scenario_AverageRoutes_800m <- weighted.mean(Scenario_StopsRoutes800m$Routes, Scenario_StopsRoutes800m$People)
   
         Scenario_1route800m_prop <- sum(Scenario_StopsRoutes800m[Scenario_StopsRoutes800m$Routes >= 1,"People"])/ScenarioPopulation
         Scenario_2route800m_prop <- sum(Scenario_StopsRoutes800m[Scenario_StopsRoutes800m$Routes >= 2,"People"])/ScenarioPopulation
         Scenario_3route800m_prop <- sum(Scenario_StopsRoutes800m[Scenario_StopsRoutes800m$Routes >= 3,"People"])/ScenarioPopulation
         Scenario_4route800m_prop <- sum(Scenario_StopsRoutes800m[Scenario_StopsRoutes800m$Routes >= 4,"People"])/ScenarioPopulation
         Scenario_5route800m_prop <- sum(Scenario_StopsRoutes800m[Scenario_StopsRoutes800m$Routes >= 5,"People"])/ScenarioPopulation
       
   
#Replace transit viability 'no data' with zero values and calculate based on local residential/commercial density
 BaselineTransitViability_400m[is.na(BaselineTransitViability_400m)] <- 0
   BaselineTransitViability_800m[is.na(BaselineTransitViability_800m)] <- 0
   ScenarioTransitViability_400m[is.na(ScenarioTransitViability_400m)] <- 0
   ScenarioTransitViability_800m[is.na(ScenarioTransitViability_800m)] <- 0
   
   
 BaselineStopDensity_400m <- data.frame(BaselineTransitViability_400m,Density=((BaselineTransitViability_400m$People+BaselineTransitViability_400m$EmployW)/((pi*(400^2))/10000)))
   BaselineAverageStopDensity400m_pph <- mean(BaselineStopDensity_400m$Density)
   BaselineViableStops400m_prop <- length(BaselineStopDensity_400m[BaselineStopDensity_400m$Density>50,"Density"])/length(BaselineStopDensity_400m$Density) 
   
 BaselineStopDensity_800m <- data.frame(BaselineTransitViability_800m,Density=((BaselineTransitViability_800m$People+BaselineTransitViability_800m$EmployW)/((pi*(800^2))/10000)))
   BaselineAverageStopDensity800m_pph <- mean(BaselineStopDensity_800m$Density)
   BaselineViableStops800m_prop <- length(BaselineStopDensity_800m[BaselineStopDensity_800m$Density>50,"Density"])/length(BaselineStopDensity_800m$Density) 
   
   
 ScenarioStopDensity_400m <- data.frame(ScenarioTransitViability_400m,Density=((ScenarioTransitViability_400m$People+ScenarioTransitViability_400m$EmployW)/((pi*(400^2))/10000)))
   ScenarioAverageStopDensity400m_pph <- mean(ScenarioStopDensity_400m$Density)
   ScenarioViableStops400m_prop <- length(ScenarioStopDensity_400m[ScenarioStopDensity_400m$Density>50,"Density"])/length(ScenarioStopDensity_400m$Density) 
   
 ScenarioStopDensity_800m <- data.frame(ScenarioTransitViability_800m,Density=((ScenarioTransitViability_800m$People+ScenarioTransitViability_800m$EmployW)/((pi*(800^2))/10000)))
   ScenarioAverageStopDensity800m_pph <- mean(ScenarioStopDensity_800m$Density)
   ScenarioViableStops800m_prop <- length(ScenarioStopDensity_800m[ScenarioStopDensity_800m$Density>50,"Density"])/length(ScenarioStopDensity_800m$Density) 
   
   
#Remove data and components that are not needed for other calculations
 rm(Baseline_BusRoutes, BaselineFirstRoute, BaselineLastRoute, BaselineRouteAccess, BaselineBusStops400m, BaselineRouteAccess400m,
    BaselineFinalStop400m, BaselineStopsRoutes400m, BaselineRoutesOnly400m, BaselineRoutesOnly400mCount, Baseline_StopsRoutes400m,
    BaselineBusStops800m, BaselineRouteAccess800m, BaselineFinalStop800m, BaselineStopsRoutes800m,
    BaselineRoutesOnly800m, BaselineRoutesOnly800mCount, Baseline_StopsRoutes800m, 
    Scenario_BusRoutes, ScenarioFirstRoute, ScenarioLastRoute, ScenarioRouteAccess, ScenarioBusStops400m, ScenarioRouteAccess400m,
    ScenarioFinalStop400m, ScenarioStopsRoutes400m, ScenarioRoutesOnly400m, ScenarioRoutesOnly400mCount, Scenario_StopsRoutes400m,
    ScenarioBusStops800m, ScenarioRouteAccess800m, ScenarioFinalStop800m, Scenario_StopsRoutes800m,
    ScenarioStopsRoutes800m, ScenarioRoutesOnly800m, ScenarioRoutesOnly800mCount)
   
  
  
#---------------LOCAL COMMUTE------------------

#Confirm splitstackshape package and column separating function are enabled
 library(splitstackshape)
 
  
#Define a weighted standard deviation function
 weightedSD <- function(var,weight,mean){sqrt(sum((weight*((var-mean)^2)))/
                                                 (((length(weight[weight != 0])-1)/(length(weight[weight != 0])))*
                                                     sum(weight)))}

 
 #Rename columns
 colnames(BaselineCommuteRoad) <- c("OID","ResidenceEmployee","OriginID","DestinationID","MinDistanceRank","Distance")
 colnames(BaselineCommuteRoadTrail) <- c("OID","ResidenceEmployee","OriginID","DestinationID","MinDistanceRank","Distance")
 
 colnames(ScenarioCommuteRoad) <- c("OID","ResidenceEmployee","OriginID","DestinationID","MinDistanceRank","Distance")
 colnames(ScenarioCommuteRoadTrail) <- c("OID","ResidenceEmployee","OriginID","DestinationID","MinDistanceRank","Distance")
 
 
#Calculate average local commuting distance by road and road/trail networks
 BaselineCommuteRoad <- cSplit(BaselineCommuteRoad, "ResidenceEmployee", sep=" - ")
   colnames(BaselineCommuteRoad)[names(BaselineCommuteRoad) == "ResidenceEmployee_1"] <- "Residence"
   colnames(BaselineCommuteRoad)[names(BaselineCommuteRoad) == "ResidenceEmployee_2"] <- "Employees"  
 
 Baseline_CommuteRoad <- cbind(BaselineCommuteRoad, DistanceWeighted=BaselineCommuteRoad$Distance*BaselineCommuteRoad$Employees)
   BaselineDistanceSumBR <- tapply(Baseline_CommuteRoad$DistanceWeighted, Baseline_CommuteRoad$Residence, sum)
   BaselineEmployeeSumBR <- tapply(Baseline_CommuteRoad$Employees, Baseline_CommuteRoad$Residence, sum)
   BaselineCommute_Road <- BaselineDistanceSumBR/BaselineEmployeeSumBR
   
   Baseline_AverageCommute_Road <- weighted.mean(BaselineCommute_Road,BaselinePeople)
   Baseline_AverageCommuteSD_Road <- weightedSD(BaselineCommute_Road,BaselinePeople,Baseline_AverageCommute_Road)
   
 
 BaselineCommuteRoadTrail <- cSplit(BaselineCommuteRoadTrail, "ResidenceEmployee", sep=" - ")
   colnames(BaselineCommuteRoadTrail)[names(BaselineCommuteRoadTrail) == "ResidenceEmployee_1"] <- "Residence"
   colnames(BaselineCommuteRoadTrail)[names(BaselineCommuteRoadTrail) == "ResidenceEmployee_2"] <- "Employees"
 
 Baseline_CommuteRoadTrail <- cbind(BaselineCommuteRoadTrail, DistanceWeighted=BaselineCommuteRoadTrail$Distance*BaselineCommuteRoadTrail$Employees)
   BaselineDistanceSumBRT <- tapply(Baseline_CommuteRoadTrail$DistanceWeighted, Baseline_CommuteRoadTrail$Residence, sum)
   BaselineEmployeeSumBRT <- tapply(Baseline_CommuteRoadTrail$Employees, Baseline_CommuteRoadTrail$Residence, sum)
   BaselineCommute_RoadTrail <- BaselineDistanceSumBRT/BaselineEmployeeSumBRT
 
   Baseline_AverageCommute_RoadTrail <- weighted.mean(BaselineCommute_RoadTrail,BaselinePeople)
   Baseline_AverageCommuteSD_RoadTrail <- weightedSD(BaselineCommute_RoadTrail,BaselinePeople,Baseline_AverageCommute_RoadTrail)
 
 
 ScenarioCommuteRoad <- cSplit(ScenarioCommuteRoad, "ResidenceEmployee", sep=" - ")
   colnames(ScenarioCommuteRoad)[names(ScenarioCommuteRoad) == "ResidenceEmployee_1"] <- "Residence"
   colnames(ScenarioCommuteRoad)[names(ScenarioCommuteRoad) == "ResidenceEmployee_2"] <- "Employees"  
 
 Scenario_CommuteRoad <- cbind(ScenarioCommuteRoad, DistanceWeighted=ScenarioCommuteRoad$Distance*ScenarioCommuteRoad$Employees)
   ScenarioDistanceSumSR <- tapply(Scenario_CommuteRoad$DistanceWeighted, Scenario_CommuteRoad$Residence, sum)
   ScenarioEmployeeSumSR <- tapply(Scenario_CommuteRoad$Employees, Scenario_CommuteRoad$Residence, sum)
   ScenarioCommute_Road <- ScenarioDistanceSumSR/ScenarioEmployeeSumSR
   
   Scenario_AverageCommute_Road <- weighted.mean(ScenarioCommute_Road,ScenarioPeople)
   Scenario_AverageCommuteSD_Road <- weightedSD(ScenarioCommute_Road,ScenarioPeople,Scenario_AverageCommute_Road)
   
 
 ScenarioCommuteRoadTrail <- cSplit(ScenarioCommuteRoadTrail, "ResidenceEmployee", sep=" - ")
   colnames(ScenarioCommuteRoadTrail)[names(ScenarioCommuteRoadTrail) == "ResidenceEmployee_1"] <- "Residence"
   colnames(ScenarioCommuteRoadTrail)[names(ScenarioCommuteRoadTrail) == "ResidenceEmployee_2"] <- "Employees"  
 
 Scenario_CommuteRoadTrail <- cbind(ScenarioCommuteRoadTrail, DistanceWeighted=ScenarioCommuteRoadTrail$Distance*ScenarioCommuteRoadTrail$Employees)
   ScenarioDistanceSumSRT <- tapply(Scenario_CommuteRoadTrail$DistanceWeighted, Scenario_CommuteRoadTrail$Residence, sum)
   ScenarioEmployeeSumSRT <- tapply(Scenario_CommuteRoadTrail$Employees, Scenario_CommuteRoadTrail$Residence, sum)
   ScenarioCommute_RoadTrail <- ScenarioDistanceSumSRT/ScenarioEmployeeSumSRT
 
   Scenario_AverageCommute_RoadTrail <- weighted.mean(ScenarioCommute_RoadTrail,ScenarioPeople)
   Scenario_AverageCommuteSD_RoadTrail <- weightedSD(ScenarioCommute_RoadTrail,ScenarioPeople,Scenario_AverageCommute_RoadTrail)
 
 
#Calculate walking and biking trips, and calibrate commute distances
 BaselineWalking <- walking(BaselineCommute_RoadTrail)
 BaselineBiking <- biking(BaselineCommute_RoadTrail)
   BaselineCalibratedDistance <- CalibrateDistance(BaselineCommute_RoadTrail)
   BaselineWalkProportion <- weighted.mean(BaselineWalking,BaselinePeople)
   BaselineBikeProportion <- weighted.mean(BaselineBiking,BaselinePeople)
 
 ScenarioWalking <- walking(ScenarioCommute_RoadTrail)
 ScenarioBiking <- biking(ScenarioCommute_RoadTrail)
   ScenarioCalibratedDistance <- CalibrateDistance(ScenarioCommute_RoadTrail)
   ScenarioWalkProportion <- weighted.mean(ScenarioWalking,ScenarioPeople)
   ScenarioBikeProportion <- weighted.mean(ScenarioBiking,ScenarioPeople)
 
 
#Identify local commuters  
 BaselineLocal_ppl <- as.double(BaselinePlaceWork[BaselinePlaceWork$PlaceOfWork == "Local", "People"])
 ScenarioLocal_ppl <- BaselineLocal_ppl + sum(PlannedCommercialLand$Employees) + sum(ScenarioCommercialLand$Employees)
 
 
#Remove data and components that are not needed for other calculations
 rm(BaselineDistanceSumBR, BaselineEmployeeSumBR, BaselineDistanceSumBRT, BaselineEmployeeSumBRT,
    ScenarioDistanceSumSR, ScenarioEmployeeSumSR, ScenarioDistanceSumSRT, ScenarioEmployeeSumSRT)
 
 
 
#---------------PLACE OF WORK------------------ 

#Add local and no-fixed workplace distances to the Baseline
 BaselinePlaceWork[BaselinePlaceWork$PlaceOfWork == "Local","Distance"] <- Baseline_AverageCommute_Road/1000
  BaselinePlaceWorkNFWP <- BaselinePlaceWork[BaselinePlaceWork$PlaceOfWork != "No-fixed" & BaselinePlaceWork$PlaceOfWork != "Homebased" &
                                             BaselinePlaceWork$PlaceOfWork != "Outside BC/Canada",]
  BaselineNFWPDistance <- weighted.mean(BaselinePlaceWorkNFWP$Distance,BaselinePlaceWorkNFWP$People)
  BaselinePlaceWork[BaselinePlaceWork$PlaceOfWork == "No-fixed","Distance"] <- BaselineNFWPDistance
  Baseline_PlaceWork <- data.frame(BaselinePlaceWork,ProportionEmployed=BaselinePlaceWork$People/BaselineEmployed,
                                   TravelKM=BaselinePlaceWork$People*BaselinePlaceWork$Distance*2)

  
#Create Scenario workplace table with distribution of local and regional workers
 ScenarioEmployed <- ScenarioPopulation*Employed
  ScenarioNFWP_ppl <- ScenarioPopulation*Employed*ScenarioNofixedWorkplace
  ScenarioHB_ppl <- ScenarioPopulation*Employed*ScenarioHomebased
  Scenario_PlaceWork <- data.frame(Baseline_PlaceWork,ScenarioPeople=(ScenarioPopulation*Employed-(ScenarioLocal_ppl+ScenarioNFWP_ppl+ScenarioHB_ppl))*
                               (Baseline_PlaceWork$ProportionEmployed/(sum(Baseline_PlaceWork$ProportionEmployed)-
                                sum(Baseline_PlaceWork$ProportionEmployed[c(1:3)]))))
  
 Scenario_PlaceWork[Scenario_PlaceWork$PlaceOfWork == "Local","ScenarioPeople"] <- ScenarioLocal_ppl  
  Scenario_PlaceWork[Scenario_PlaceWork$PlaceOfWork == "No-fixed","ScenarioPeople"] <- ScenarioNFWP_ppl  
  Scenario_PlaceWork[Scenario_PlaceWork$PlaceOfWork == "Homebased","ScenarioPeople"] <- ScenarioHB_ppl
  
 Scenario_PlaceWork$People <- Scenario_PlaceWork$ScenarioPeople
  Scenario_PlaceWork$ScenarioPeople <- NULL
  Scenario_PlaceWork$ProportionEmployed <- Scenario_PlaceWork$People/(ScenarioPopulation*Employed)

  
#Add regional, local and no-fixed workplace distances to Scenario, with no-fixed based on current regional commuter behaviours
 Scenario_PlaceWork[Scenario_PlaceWork$PlaceOfWork == "Local","Distance"] <- Scenario_AverageCommute_Road/1000
  ScenarioPlaceWorkNFWP <- BaselinePlaceWorkNFWP
  ScenarioPlaceWorkNFWP[ScenarioPlaceWorkNFWP$PlaceOfWork == "Local","Distance"] <- Scenario_AverageCommute_Road/1000
  ScenarioNFWPDistance <- weighted.mean(ScenarioPlaceWorkNFWP$Distance,ScenarioPlaceWorkNFWP$People) 
  Scenario_PlaceWork[Scenario_PlaceWork$PlaceOfWork == "No-fixed","Distance"] <- ScenarioNFWPDistance  
  Scenario_PlaceWork$TravelKM <- Scenario_PlaceWork$People*Scenario_PlaceWork$Distance*2


 
#---------------ALL COMMUTES-------------------  

#Identify local commuters  
 BaselineLocal_ppl <- as.double(BaselinePlaceWork[BaselinePlaceWork$PlaceOfWork == "Local", "People"])
 ScenarioLocal_ppl <- BaselineLocal_ppl + sum(PlannedCommercialLand$Employees) + sum(ScenarioCommercialLand$Employees)
 
 
#Confirm willingness to walk to transit and add to proximity to bus stops data
 willingness <- function(distance){ifelse(distance<800,((100-0.25*distance+0.0001565*distance^2)/100),0)}
 
 Baseline_BusStops <- data.frame(BaselineBusStops, WillingToWalk=willingness(BaselineBusStops$Distance)) 
 Baseline_TransitRidership_prop <- sum(Baseline_BusStops$WillingToWalk*BaselinePeople*MaxTransitUsage)/BaselinePopulation  
 
 Scenario_BusStops <- data.frame(ScenarioBusStops, WillingToWalk=willingness(ScenarioBusStops$Distance)) 
 Scenario_TransitRidership_prop <- sum(Scenario_BusStops$WillingToWalk*ScenarioPeople*MaxTransitUsage)/ScenarioPopulation  
  
  
#Calculate numbers of commuters and commuting distances   
 LocalAnnualVKT <- function(drivers,LocalCommuteM){((FullTimeDays*drivers*FullTime*(LocalCommuteM/1000)*2)+
                                                   (PartTimeDays*drivers*PartTime*(LocalCommuteM/1000)*2))*52}
 
 NFWPAnnualVKT <- function(drivers,NFWPCommuteKM){((FullTimeDays*drivers*FullTime*NFWPCommuteKM*2)+
                                                  (PartTimeDays*drivers*PartTime*NFWPCommuteKM*2))*52}
 
 RegionalAnnualVKT <- function(drivers,RegionalCommuteKM,PeopleWeight){((FullTimeDays*drivers*FullTime*weighted.mean(RegionalCommuteKM,PeopleWeight)*2)+
                                                                       (PartTimeDays*drivers*PartTime*weighted.mean(RegionalCommuteKM,PeopleWeight)*2))*52}
  
  
 Baseline_LocalDrivers <- BaselineLocal_ppl - (BaselineLocal_ppl*BaselineWalkProportion + BaselineLocal_ppl*BaselineBikeProportion + 
                                               BaselineLocal_ppl*Local_1passenger*0.5 + BaselineLocal_ppl*Local_2passengers*0.67 +
                                               Baseline_TransitRidership_ppl)
 
 Baseline_RegionalPlaceWork <- Baseline_PlaceWork[Baseline_PlaceWork$PlaceOfWork != "Local" & Baseline_PlaceWork$PlaceOfWork != "No-fixed" &
                               Baseline_PlaceWork$PlaceOfWork != "Homebased" & Baseline_PlaceWork$PlaceOfWork != "Outside BC/Canada",]
 BaselineRegional_ppl <- as.double(sum(Baseline_RegionalPlaceWork$People))
 Baseline_RegionalDrivers <- BaselineRegional_ppl - (BaselineRegional_ppl*Regional_1passenger*0.5 + BaselineRegional_ppl*Regional_2passengers*0.67)
                                                 
     Baseline_AverageDailyCommute_km <- sum(Baseline_PlaceWork$TravelKM)/sum(Baseline_PlaceWork$People) 
     Baseline_AnnualMVKT_Local <- LocalAnnualVKT(Baseline_LocalDrivers,Baseline_AverageCommute_Road)/1000000
     Baseline_AnnualMVKT_NFWP <- NFWPAnnualVKT(BaselineEmployed*BaselineNofixedWorkplace,BaselineNFWPDistance)/1000000 
     Baseline_AnnualMVKT_Regional <- RegionalAnnualVKT(Baseline_RegionalDrivers,Baseline_RegionalPlaceWork$Distance,Baseline_RegionalPlaceWork$People)/1000000 

       Baseline_AnnualMVKT <- Baseline_AnnualMVKT_Local + Baseline_AnnualMVKT_NFWP + Baseline_AnnualMVKT_Regional

       
 Scenario_LocalDrivers <- ScenarioLocal_ppl - (ScenarioLocal_ppl*ScenarioWalkProportion + ScenarioLocal_ppl*ScenarioBikeProportion + 
                                               ScenarioLocal_ppl*Local_1passenger*0.5 + ScenarioLocal_ppl*Local_2passengers*0.67 +
                                               Scenario_TransitRidership_ppl)
    
   Scenario_RegionalPlaceWork <- Scenario_PlaceWork[Scenario_PlaceWork$PlaceOfWork != "Local" & Scenario_PlaceWork$PlaceOfWork != "No-fixed" &
                                                           Scenario_PlaceWork$PlaceOfWork != "Homebased" & Scenario_PlaceWork$PlaceOfWork != "Outside BC/Canada",]
   ScenarioRegional_ppl <- as.double(sum(Scenario_RegionalPlaceWork$People))
   Scenario_RegionalDrivers <- ScenarioRegional_ppl - (ScenarioRegional_ppl*Regional_1passenger*0.5 + ScenarioRegional_ppl*Regional_2passengers*0.67)
       
     Scenario_AverageDailyCommute_km <- sum(Scenario_PlaceWork$TravelKM)/sum(Scenario_PlaceWork$People) 
     Scenario_AnnualMVKT_Local <- LocalAnnualVKT(Scenario_LocalDrivers,Scenario_AverageCommute_Road)/1000000
     Scenario_AnnualMVKT_NFWP <- NFWPAnnualVKT(ScenarioEmployed*ScenarioNofixedWorkplace,ScenarioNFWPDistance)/1000000 
     Scenario_AnnualMVKT_Regional <- RegionalAnnualVKT(Scenario_RegionalDrivers,Scenario_RegionalPlaceWork$Distance,Scenario_RegionalPlaceWork$People)/1000000 
       
       Scenario_AnnualMVKT <- Scenario_AnnualMVKT_Local + Scenario_AnnualMVKT_NFWP + Scenario_AnnualMVKT_Regional
       

#Calculate numbers of people commuting using different modes of transportation
 BaselineWalkers_ppl <- BaselineWalkProportion*BaselineLocal_ppl
   BaselineCyclists_ppl <- BaselineBikeProportion*BaselineLocal_ppl
   Baseline_TransitRidership_ppl <- Baseline_TransitRidership_prop*BaselineLocal_ppl
   BaselineCarpool_1passenger_ppl <- (BaselineLocal_ppl*Local_1passenger)+(BaselineRegional_ppl*Regional_1passenger)
   BaselineCarpool_2passengers_ppl <- (BaselineLocal_ppl*Local_2passengers)+(BaselineRegional_ppl*Regional_2passengers)
   BaselineSOVDrivers_ppl <- (BaselineLocal_ppl+BaselineRegional_ppl)-(BaselineWalkers_ppl+BaselineCyclists_ppl+Baseline_TransitRidership_ppl+BaselineCarpool_1passenger_ppl+BaselineCarpool_2passengers_ppl)
   BaselineDrivers_ppl <- Baseline_LocalDrivers+Baseline_RegionalDrivers
 
 ScenarioWalkers_ppl <- ScenarioWalkProportion*ScenarioLocal_ppl
   ScenarioCyclists_ppl <- ScenarioBikeProportion*ScenarioLocal_ppl
   Scenario_TransitRidership_ppl <- Scenario_TransitRidership_prop*ScenarioLocal_ppl
   ScenarioCarpool_1passenger_ppl <- (ScenarioLocal_ppl*Local_1passenger)+(ScenarioRegional_ppl*Regional_1passenger)
   ScenarioCarpool_2passengers_ppl <- (ScenarioLocal_ppl*Local_2passengers)+(ScenarioRegional_ppl*Regional_2passengers)
   ScenarioSOVDrivers_ppl <- (ScenarioLocal_ppl+ScenarioRegional_ppl)-(ScenarioWalkers_ppl+ScenarioCyclists_ppl+Scenario_TransitRidership_ppl+ScenarioCarpool_1passenger_ppl+ScenarioCarpool_2passengers_ppl)
   ScenarioDrivers_ppl <- Scenario_LocalDrivers+Scenario_RegionalDrivers
   
      
#Remove data and components that are not needed for other calculations
 rm(BaselinePlaceWork, BaselinePlaceWorkNFWP,BaselineNFWPDistance, ScenarioPlaceWorkNFWP, ScenarioNFWPDistance, ScenarioNFWP_ppl, ScenarioHB_ppl)
 

 
#---------------HEALTH-------------------------
 
#Calculate particulate matter emissions produced through commuting traffic
 BaselinePM2.5commute_Annual_kg <- Baseline_AnnualMVKT*VehiclePM2.5_GperKM*1000
 BaselinePM2.5commute_PerCapita_tpp <- BaselinePM2.5commute_Annual_kg/BaselinePopulation
 
 ScenarioPM2.5commute_Annual_kg <- Scenario_AnnualMVKT*VehiclePM2.5_GperKM*1000
 ScenarioPM2.5commute_PerCapita_tpp <- ScenarioPM2.5commute_Annual_kg/ScenarioPopulation 
 
 
#Calculate commuting trips done by active transportation
 DailyActiveCommuteKM <- function(CalibratedDistance,WalkTrips,People,LocalEmployedProportion)
                                 {((sum(CalibratedDistance*WalkTrips*People)*FullTime*Employed*LocalEmployedProportion*(FullTimeDays/7))+
                                  (sum(CalibratedDistance*WalkTrips*People)*PartTime*Employed*LocalEmployedProportion*(PartTimeDays/7)))*2}
 
 DailyActiveCommuteTrips <- function(WalkTrips,People,LocalEmployedProportion)
                                    {((sum(WalkTrips*People)*FullTime*Employed*LocalEmployedProportion*(FullTimeDays/7))+
                                     (sum(WalkTrips*People)*PartTime*Employed*LocalEmployedProportion*(PartTimeDays/7)))}
 
 
   Baseline_LocalEmployed_prop <- Baseline_PlaceWork[Baseline_PlaceWork$PlaceOfWork == "Local", "ProportionEmployed"]
     Baseline_DailyWalk_km <- DailyActiveCommuteKM(BaselineCalibratedDistance,BaselineWalking,BaselinePeople,Baseline_LocalEmployed_prop)/1000
     Baseline_DailyWalk_mpp <- ((Baseline_DailyWalk_km)/(BaselineLocal_ppl + BaselineRegional_ppl))*1000
     Baseline_DailyWalk_RoundTrips <- DailyActiveCommuteTrips(BaselineWalking,BaselinePeople,Baseline_LocalEmployed_prop)
     Baseline_DailyWalk_prop <- ((BaselineLocal_ppl*BaselineWalkProportion)/(BaselineLocal_ppl + BaselineRegional_ppl))
     
     Baseline_DailyBike_km <- DailyActiveCommuteKM(BaselineCalibratedDistance,BaselineBiking,BaselinePeople,Baseline_LocalEmployed_prop)/1000
     Baseline_DailyBike_mpp <- ((Baseline_DailyBike_km)/(BaselineLocal_ppl + BaselineRegional_ppl))*1000
     Baseline_DailyBike_RoundTrips <- DailyActiveCommuteTrips(BaselineBiking,BaselinePeople,Baseline_LocalEmployed_prop)
     Baseline_DailyBike_prop <- ((BaselineLocal_ppl*BaselineBikeProportion)/(BaselineLocal_ppl + BaselineRegional_ppl))
     
     Baseline_DailyActive_km <- Baseline_DailyWalk_km + Baseline_DailyBike_km
     Baseline_DailyActive_mpp <- ((Baseline_DailyActive_km)/(BaselineLocal_ppl + BaselineRegional_ppl))*1000   
     Baseline_DailyActive_RoundTrips <- Baseline_DailyWalk_RoundTrips + Baseline_DailyBike_RoundTrips
     Baseline_DailyActive_prop <- Baseline_DailyWalk_prop + Baseline_DailyBike_prop
     

   Scenario_LocalEmployed_prop <- Scenario_PlaceWork[Scenario_PlaceWork$PlaceOfWork == "Local", "ProportionEmployed"]
     Scenario_DailyWalk_km <- DailyActiveCommuteKM(ScenarioCalibratedDistance,ScenarioWalking,ScenarioPeople,Scenario_LocalEmployed_prop)/1000
     Scenario_DailyWalk_mpp <- ((Scenario_DailyWalk_km)/(ScenarioLocal_ppl + ScenarioRegional_ppl))*1000
     Scenario_DailyWalk_RoundTrips <- DailyActiveCommuteTrips(ScenarioWalking,ScenarioPeople,Scenario_LocalEmployed_prop)
     Scenario_DailyWalk_prop <- ((ScenarioLocal_ppl*ScenarioWalkProportion)/(ScenarioLocal_ppl + ScenarioRegional_ppl))
     
     Scenario_DailyBike_km <- DailyActiveCommuteKM(ScenarioCalibratedDistance,ScenarioBiking,ScenarioPeople,Scenario_LocalEmployed_prop)/1000
     Scenario_DailyBike_mpp <- ((Scenario_DailyBike_km)/(ScenarioLocal_ppl + ScenarioRegional_ppl))*1000
     Scenario_DailyBike_RoundTrips <- DailyActiveCommuteTrips(ScenarioBiking,ScenarioPeople,Scenario_LocalEmployed_prop)
     Scenario_DailyBike_prop <- ((ScenarioLocal_ppl*ScenarioBikeProportion)/(ScenarioLocal_ppl + ScenarioRegional_ppl))
     
     Scenario_DailyActive_km <- Scenario_DailyWalk_km + Scenario_DailyBike_km
     Scenario_DailyActive_mpp <- ((Scenario_DailyActive_km)/(ScenarioLocal_ppl + ScenarioRegional_ppl))*1000   
     Scenario_DailyActive_RoundTrips <- Scenario_DailyWalk_RoundTrips + Scenario_DailyBike_RoundTrips
     Scenario_DailyActive_prop <- Scenario_DailyWalk_prop + Scenario_DailyBike_prop
     

#Remove data and components that are not needed for other calculations
 rm(Baseline_LocalEmployed_prop, Scenario_LocalEmployed_prop)
 
 
 
#---------------AMENITIES----------------------

#Rename distance columns
 colnames(BaselineHealth)[names(BaselineHealth) == "MIN_Total_Length"] <- "Distance_m"
 colnames(BaselineSocial)[names(BaselineSocial) == "MIN_Total_Length"] <- "Distance_m"
 colnames(BaselineNonFoodRetail)[names(BaselineNonFoodRetail) == "MIN_Total_Length"] <- "Distance_m"
 colnames(BaselineRestaurants)[names(BaselineRestaurants) == "MIN_Total_Length"] <- "Distance_m"
 colnames(BaselineExercise)[names(BaselineExercise) == "MIN_Total_Length"] <- "Distance_m"
 colnames(BaselineChildcare)[names(BaselineChildcare) == "MIN_Total_Length"] <- "Distance_m" 
 colnames(BaselineGrocery)[names(BaselineGrocery) == "MIN_Total_Length"] <- "Distance_m"
 colnames(BaselineParksTrails)[names(BaselineParksTrails) == "MIN_Total_Length"] <- "Distance_m"
 colnames(BaselineElementarySchools)[names(BaselineElementarySchools) == "MIN_Total_Length"] <- "Distance_m"
 
 colnames(ScenarioHealth)[names(ScenarioHealth) == "MIN_Total_Length"] <- "Distance_m"
 colnames(ScenarioSocial)[names(ScenarioSocial) == "MIN_Total_Length"] <- "Distance_m"
 colnames(ScenarioNonFoodRetail)[names(ScenarioNonFoodRetail) == "MIN_Total_Length"] <- "Distance_m"
 colnames(ScenarioRestaurants)[names(ScenarioRestaurants) == "MIN_Total_Length"] <- "Distance_m"
 colnames(ScenarioExercise)[names(ScenarioExercise) == "MIN_Total_Length"] <- "Distance_m"
 colnames(ScenarioChildcare)[names(ScenarioChildcare) == "MIN_Total_Length"] <- "Distance_m" 
 colnames(ScenarioGrocery)[names(ScenarioGrocery) == "MIN_Total_Length"] <- "Distance_m"
 colnames(ScenarioParksTrails)[names(ScenarioParksTrails) == "MIN_Total_Length"] <- "Distance_m"
 colnames(ScenarioElementarySchools)[names(ScenarioElementarySchools) == "MIN_Total_Length"] <- "Distance_m"
 

#Calculate distance from residential to amenities for the Baseline
 Baseline_Health <- BaselineHealth$Distance_m
 Baseline_Social <- BaselineSocial$Distance_m
 Baseline_NonFoodRetail <- BaselineNonFoodRetail$Distance_m
 Baseline_Restaurants <- BaselineRestaurants$Distance_m
 Baseline_Exercise <- BaselineExercise$Distance_m
 Baseline_Childcare <- BaselineChildcare$Distance_m
 Baseline_Grocery <- BaselineGrocery$Distance_m
 Baseline_ParksTrails <- BaselineParksTrails$Distance_m
 Baseline_ElementarySchools <- BaselineElementarySchools$Distance_m

  
 BaselineHealthPeople <- data.frame(Distance=Baseline_Health,People=BaselinePeople)
   BaselineHealth400m <- BaselineHealthPeople[BaselineHealthPeople$Distance<400,]
   BaselineHealth800m <- BaselineHealthPeople[BaselineHealthPeople$Distance<800,]
  
   BaselineHealth_AverageDistance <- weighted.mean(Baseline_Health,BaselinePeople)
   BaselineHealth400m_prop <- sum(BaselineHealth400m$People)/sum(BaselinePeople)
   BaselineHealth800m_prop <- sum(BaselineHealth800m$People)/sum(BaselinePeople)
  
  
 BaselineSocialPeople <- data.frame(Distance=Baseline_Social,People=BaselinePeople)
   BaselineSocial400m <- BaselineSocialPeople[BaselineSocialPeople$Distance<400,]
   BaselineSocial800m <- BaselineSocialPeople[BaselineSocialPeople$Distance<800,]
  
   BaselineSocial_AverageDistance <- weighted.mean(Baseline_Social,BaselinePeople)
   BaselineSocial400m_prop <- sum(BaselineSocial400m$People)/sum(BaselinePeople)
   BaselineSocial800m_prop <- sum(BaselineSocial800m$People)/sum(BaselinePeople)
  
  
 BaselineNonFoodRetailPeople <- data.frame(Distance=Baseline_NonFoodRetail,People=BaselinePeople)
   BaselineNonFoodRetail400m <- BaselineNonFoodRetailPeople[BaselineNonFoodRetailPeople$Distance<400,]
   BaselineNonFoodRetail800m <- BaselineNonFoodRetailPeople[BaselineNonFoodRetailPeople$Distance<800,]
  
   BaselineNonFoodRetail_AverageDistance <- weighted.mean(Baseline_NonFoodRetail,BaselinePeople)
   BaselineNonFoodRetail400m_prop <- sum(BaselineNonFoodRetail400m$People)/sum(BaselinePeople)
   BaselineNonFoodRetail800m_prop <- sum(BaselineNonFoodRetail800m$People)/sum(BaselinePeople)
  
 
 BaselineRestaurantsPeople <- data.frame(Distance=Baseline_Restaurants,People=BaselinePeople)
   BaselineRestaurants400m <- BaselineRestaurantsPeople[BaselineRestaurantsPeople$Distance<400,]
   BaselineRestaurants800m <- BaselineRestaurantsPeople[BaselineRestaurantsPeople$Distance<800,]
  
   BaselineRestaurants_AverageDistance <- weighted.mean(Baseline_Restaurants,BaselinePeople)
   BaselineRestaurants400m_prop <- sum(BaselineRestaurants400m$People)/sum(BaselinePeople)
   BaselineRestaurants800m_prop <- sum(BaselineRestaurants800m$People)/sum(BaselinePeople)
  

 BaselineExercisePeople <- data.frame(Distance=Baseline_Exercise,People=BaselinePeople)
   BaselineExercise400m <- BaselineExercisePeople[BaselineExercisePeople$Distance<400,]
   BaselineExercise800m <- BaselineExercisePeople[BaselineExercisePeople$Distance<800,]
  
   BaselineExercise_AverageDistance <- weighted.mean(Baseline_Exercise,BaselinePeople)
   BaselineExercise400m_prop <- sum(BaselineExercise400m$People)/sum(BaselinePeople)
   BaselineExercise800m_prop <- sum(BaselineExercise800m$People)/sum(BaselinePeople)
  
  
 BaselineChildcarePeople <- data.frame(Distance=Baseline_Childcare,People=BaselinePeople)
   BaselineChildcare400m <- BaselineChildcarePeople[BaselineChildcarePeople$Distance<400,]
   BaselineChildcare800m <- BaselineChildcarePeople[BaselineChildcarePeople$Distance<800,]
  
   BaselineChildcare_AverageDistance <- weighted.mean(Baseline_Childcare,BaselinePeople)
   BaselineChildcare400m_prop <- sum(BaselineChildcare400m$People)/sum(BaselinePeople)
   BaselineChildcare800m_prop <- sum(BaselineChildcare800m$People)/sum(BaselinePeople)
   

 BaselineGroceryPeople <- data.frame(Distance=Baseline_Grocery,People=BaselinePeople)
   BaselineGrocery400m <- BaselineGroceryPeople[BaselineGroceryPeople$Distance<400,]
   BaselineGrocery800m <- BaselineGroceryPeople[BaselineGroceryPeople$Distance<800,]
   
   BaselineGrocery_AverageDistance <- weighted.mean(Baseline_Grocery,BaselinePeople)
   BaselineGrocery400m_prop <- sum(BaselineGrocery400m$People)/sum(BaselinePeople)
   BaselineGrocery800m_prop <- sum(BaselineGrocery800m$People)/sum(BaselinePeople)
   

 BaselineParksTrailsPeople <- data.frame(Distance=Baseline_ParksTrails,People=BaselinePeople)
   BaselineParksTrails400m <- BaselineParksTrailsPeople[BaselineParksTrailsPeople$Distance<400,]
   BaselineParksTrails800m <- BaselineParksTrailsPeople[BaselineParksTrailsPeople$Distance<800,]
   
   BaselineParksTrails_AverageDistance <- weighted.mean(Baseline_ParksTrails,BaselinePeople)
   BaselineParksTrails400m_prop <- sum(BaselineParksTrails400m$People)/sum(BaselinePeople)
   BaselineParksTrails800m_prop <- sum(BaselineParksTrails800m$People)/sum(BaselinePeople)
   

 BaselineElementarySchoolsPeople <- data.frame(Distance=Baseline_ElementarySchools,People=BaselinePeople)
   BaselineElementarySchools400m <- BaselineElementarySchoolsPeople[BaselineElementarySchoolsPeople$Distance<400,]
   BaselineElementarySchools800m <- BaselineElementarySchoolsPeople[BaselineElementarySchoolsPeople$Distance<800,]
   
   BaselineElementarySchools_AverageDistance <- weighted.mean(Baseline_ElementarySchools,BaselinePeople)
   BaselineElementarySchools400m_prop <- sum(BaselineElementarySchools400m$People)/sum(BaselinePeople)
   BaselineElementarySchools800m_prop <- sum(BaselineElementarySchools800m$People)/sum(BaselinePeople)
   

 BaselineAmenities_Distances <- data.frame(Health=Baseline_Health, Social=Baseline_Social,NonFoodRetail=Baseline_NonFoodRetail,
                                           Restaurants=Baseline_Restaurants, Exercise=Baseline_Exercise, Childcare=Baseline_Childcare,
                                           Grocery=Baseline_Grocery, ParksTrails=Baseline_ParksTrails, Elementary=Baseline_ElementarySchools)
  BaselineAmenities_400mAccess <- ifelse(BaselineAmenities_Distances < 400,1,0)
  BaselineAmenities_800mAccess <- ifelse(BaselineAmenities_Distances < 800,1,0)
    BaselineNumberAmenities_400m <- rowSums(BaselineAmenities_400mAccess)
    BaselineNumberAmenities_800m <- rowSums(BaselineAmenities_800mAccess)

  
  AmenitiesAccess <- function(data,amenities,population){
      AmenitiesRows <- (data[data$Amenities >= amenities,])
      (sum(AmenitiesRows$People)/population)}  
  
  BaselineNumberAmenitiesPeople_400m <- data.frame(Amenities=BaselineNumberAmenities_400m, People=BaselinePeople)
    BaselineAmenities400m_9 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_400m,9,BaselinePopulation)
    BaselineAmenities400m_8 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_400m,8,BaselinePopulation)
    BaselineAmenities400m_7 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_400m,7,BaselinePopulation)
    BaselineAmenities400m_6 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_400m,6,BaselinePopulation)
    BaselineAmenities400m_5 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_400m,5,BaselinePopulation)
    BaselineAmenities400m_4 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_400m,4,BaselinePopulation)
    BaselineAmenities400m_3 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_400m,3,BaselinePopulation)
    BaselineAmenities400m_2 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_400m,2,BaselinePopulation)
    BaselineAmenities400m_1 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_400m,1,BaselinePopulation)
    BaselineNoAmenities400m <- 1-BaselineAmenities400m_1
    
  BaselineNumberAmenitiesPeople_800m <- data.frame(Amenities=BaselineNumberAmenities_800m, People=BaselinePeople)
    BaselineAmenities800m_9 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_800m,9,BaselinePopulation)
    BaselineAmenities800m_8 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_800m,8,BaselinePopulation)
    BaselineAmenities800m_7 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_800m,7,BaselinePopulation)
    BaselineAmenities800m_6 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_800m,6,BaselinePopulation)
    BaselineAmenities800m_5 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_800m,5,BaselinePopulation)
    BaselineAmenities800m_4 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_800m,4,BaselinePopulation)
    BaselineAmenities800m_3 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_800m,3,BaselinePopulation)
    BaselineAmenities800m_2 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_800m,2,BaselinePopulation)
    BaselineAmenities800m_1 <- AmenitiesAccess(BaselineNumberAmenitiesPeople_800m,1,BaselinePopulation)
    BaselineNoAmenities800m <- 1-BaselineAmenities800m_1


#Calculate distance from residential to amenities for the Scenario
 Scenario_Health <- ScenarioHealth$Distance_m
 Scenario_Social <- ScenarioSocial$Distance_m
 Scenario_NonFoodRetail <- ScenarioNonFoodRetail$Distance_m
 Scenario_Restaurants <- ScenarioRestaurants$Distance_m
 Scenario_Exercise <- ScenarioExercise$Distance_m
 Scenario_Childcare <- ScenarioChildcare$Distance_m
 Scenario_Grocery <- ScenarioGrocery$Distance_m
 Scenario_ParksTrails <- ScenarioParksTrails$Distance_m
 Scenario_ElementarySchools <- ScenarioElementarySchools$Distance_m
    
    
 ScenarioHealthPeople <- data.frame(Distance=Scenario_Health,People=ScenarioPeople)
   ScenarioHealth400m <- ScenarioHealthPeople[ScenarioHealthPeople$Distance<400,]
   ScenarioHealth800m <- ScenarioHealthPeople[ScenarioHealthPeople$Distance<800,]
    
   ScenarioHealth_AverageDistance <- weighted.mean(Scenario_Health,ScenarioPeople)
   ScenarioHealth400m_prop <- sum(ScenarioHealth400m$People)/sum(ScenarioPeople)
   ScenarioHealth800m_prop <- sum(ScenarioHealth800m$People)/sum(ScenarioPeople)
    
    
 ScenarioSocialPeople <- data.frame(Distance=Scenario_Social,People=ScenarioPeople)
   ScenarioSocial400m <- ScenarioSocialPeople[ScenarioSocialPeople$Distance<400,]
   ScenarioSocial800m <- ScenarioSocialPeople[ScenarioSocialPeople$Distance<800,]
    
   ScenarioSocial_AverageDistance <- weighted.mean(Scenario_Social,ScenarioPeople)
   ScenarioSocial400m_prop <- sum(ScenarioSocial400m$People)/sum(ScenarioPeople)
   ScenarioSocial800m_prop <- sum(ScenarioSocial800m$People)/sum(ScenarioPeople)
    
    
 ScenarioNonFoodRetailPeople <- data.frame(Distance=Scenario_NonFoodRetail,People=ScenarioPeople)
   ScenarioNonFoodRetail400m <- ScenarioNonFoodRetailPeople[ScenarioNonFoodRetailPeople$Distance<400,]
   ScenarioNonFoodRetail800m <- ScenarioNonFoodRetailPeople[ScenarioNonFoodRetailPeople$Distance<800,]
    
   ScenarioNonFoodRetail_AverageDistance <- weighted.mean(Scenario_NonFoodRetail,ScenarioPeople)
   ScenarioNonFoodRetail400m_prop <- sum(ScenarioNonFoodRetail400m$People)/sum(ScenarioPeople)
   ScenarioNonFoodRetail800m_prop <- sum(ScenarioNonFoodRetail800m$People)/sum(ScenarioPeople)
    
    
 ScenarioRestaurantsPeople <- data.frame(Distance=Scenario_Restaurants,People=ScenarioPeople)
   ScenarioRestaurants400m <- ScenarioRestaurantsPeople[ScenarioRestaurantsPeople$Distance<400,]
   ScenarioRestaurants800m <- ScenarioRestaurantsPeople[ScenarioRestaurantsPeople$Distance<800,]
    
   ScenarioRestaurants_AverageDistance <- weighted.mean(Scenario_Restaurants,ScenarioPeople)
   ScenarioRestaurants400m_prop <- sum(ScenarioRestaurants400m$People)/sum(ScenarioPeople)
   ScenarioRestaurants800m_prop <- sum(ScenarioRestaurants800m$People)/sum(ScenarioPeople)
    
    
 ScenarioExercisePeople <- data.frame(Distance=Scenario_Exercise,People=ScenarioPeople)
   ScenarioExercise400m <- ScenarioExercisePeople[ScenarioExercisePeople$Distance<400,]
   ScenarioExercise800m <- ScenarioExercisePeople[ScenarioExercisePeople$Distance<800,]
    
   ScenarioExercise_AverageDistance <- weighted.mean(Scenario_Exercise,ScenarioPeople)
   ScenarioExercise400m_prop <- sum(ScenarioExercise400m$People)/sum(ScenarioPeople)
   ScenarioExercise800m_prop <- sum(ScenarioExercise800m$People)/sum(ScenarioPeople)
    
    
 ScenarioChildcarePeople <- data.frame(Distance=Scenario_Childcare,People=ScenarioPeople)
   ScenarioChildcare400m <- ScenarioChildcarePeople[ScenarioChildcarePeople$Distance<400,]
   ScenarioChildcare800m <- ScenarioChildcarePeople[ScenarioChildcarePeople$Distance<800,]
    
   ScenarioChildcare_AverageDistance <- weighted.mean(Scenario_Childcare,ScenarioPeople)
   ScenarioChildcare400m_prop <- sum(ScenarioChildcare400m$People)/sum(ScenarioPeople)
   ScenarioChildcare800m_prop <- sum(ScenarioChildcare800m$People)/sum(ScenarioPeople)
    
    
 ScenarioGroceryPeople <- data.frame(Distance=Scenario_Grocery,People=ScenarioPeople)
   ScenarioGrocery400m <- ScenarioGroceryPeople[ScenarioGroceryPeople$Distance<400,]
   ScenarioGrocery800m <- ScenarioGroceryPeople[ScenarioGroceryPeople$Distance<800,]
    
   ScenarioGrocery_AverageDistance <- weighted.mean(Scenario_Grocery,ScenarioPeople)
   ScenarioGrocery400m_prop <- sum(ScenarioGrocery400m$People)/sum(ScenarioPeople)
   ScenarioGrocery800m_prop <- sum(ScenarioGrocery800m$People)/sum(ScenarioPeople)
    
    
 ScenarioParksTrailsPeople <- data.frame(Distance=Scenario_ParksTrails,People=ScenarioPeople)
   ScenarioParksTrails400m <- ScenarioParksTrailsPeople[ScenarioParksTrailsPeople$Distance<400,]
   ScenarioParksTrails800m <- ScenarioParksTrailsPeople[ScenarioParksTrailsPeople$Distance<800,]
    
   ScenarioParksTrails_AverageDistance <- weighted.mean(Scenario_ParksTrails,ScenarioPeople)
   ScenarioParksTrails400m_prop <- sum(ScenarioParksTrails400m$People)/sum(ScenarioPeople)
   ScenarioParksTrails800m_prop <- sum(ScenarioParksTrails800m$People)/sum(ScenarioPeople)
    
    
 ScenarioElementarySchoolsPeople <- data.frame(Distance=Scenario_ElementarySchools,People=ScenarioPeople)
   ScenarioElementarySchools400m <- ScenarioElementarySchoolsPeople[ScenarioElementarySchoolsPeople$Distance<400,]
   ScenarioElementarySchools800m <- ScenarioElementarySchoolsPeople[ScenarioElementarySchoolsPeople$Distance<800,]
    
   ScenarioElementarySchools_AverageDistance <- weighted.mean(Scenario_ElementarySchools,ScenarioPeople)
   ScenarioElementarySchools400m_prop <- sum(ScenarioElementarySchools400m$People)/sum(ScenarioPeople)
   ScenarioElementarySchools800m_prop <- sum(ScenarioElementarySchools800m$People)/sum(ScenarioPeople)
    
    
 ScenarioAmenities_Distances <- data.frame(Health=Scenario_Health, Social=Scenario_Social,NonFoodRetail=Scenario_NonFoodRetail,
                                              Restaurants=Scenario_Restaurants, Exercise=Scenario_Exercise, Childcare=Scenario_Childcare,
                                              Grocery=Scenario_Grocery, ParksTrails=Scenario_ParksTrails, Elementary=Scenario_ElementarySchools)
  ScenarioAmenities_400mAccess <- ifelse(ScenarioAmenities_Distances < 400,1,0)
  ScenarioAmenities_800mAccess <- ifelse(ScenarioAmenities_Distances < 800,1,0)
    ScenarioNumberAmenities_400m <- rowSums(ScenarioAmenities_400mAccess)
    ScenarioNumberAmenities_800m <- rowSums(ScenarioAmenities_800mAccess)
    
    
  AmenitiesAccess <- function(data,amenities,population){
      AmenitiesRows <- (data[data$Amenities >= amenities,])
      (sum(AmenitiesRows$People)/population)}  
    
  ScenarioNumberAmenitiesPeople_400m <- data.frame(Amenities=ScenarioNumberAmenities_400m, People=ScenarioPeople)
    ScenarioAmenities400m_9 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_400m,9,ScenarioPopulation)
    ScenarioAmenities400m_8 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_400m,8,ScenarioPopulation)
    ScenarioAmenities400m_7 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_400m,7,ScenarioPopulation)
    ScenarioAmenities400m_6 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_400m,6,ScenarioPopulation)
    ScenarioAmenities400m_5 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_400m,5,ScenarioPopulation)
    ScenarioAmenities400m_4 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_400m,4,ScenarioPopulation)
    ScenarioAmenities400m_3 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_400m,3,ScenarioPopulation)
    ScenarioAmenities400m_2 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_400m,2,ScenarioPopulation)
    ScenarioAmenities400m_1 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_400m,1,ScenarioPopulation)
    ScenarioNoAmenities400m <- 1-ScenarioAmenities400m_1
    
  ScenarioNumberAmenitiesPeople_800m <- data.frame(Amenities=ScenarioNumberAmenities_800m, People=ScenarioPeople)
    ScenarioAmenities800m_9 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_800m,9,ScenarioPopulation)
    ScenarioAmenities800m_8 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_800m,8,ScenarioPopulation)
    ScenarioAmenities800m_7 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_800m,7,ScenarioPopulation)
    ScenarioAmenities800m_6 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_800m,6,ScenarioPopulation)
    ScenarioAmenities800m_5 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_800m,5,ScenarioPopulation)
    ScenarioAmenities800m_4 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_800m,4,ScenarioPopulation)
    ScenarioAmenities800m_3 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_800m,3,ScenarioPopulation)
    ScenarioAmenities800m_2 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_800m,2,ScenarioPopulation)
    ScenarioAmenities800m_1 <- AmenitiesAccess(ScenarioNumberAmenitiesPeople_800m,1,ScenarioPopulation)
    ScenarioNoAmenities800m <- 1-ScenarioAmenities800m_1
    
    
#Remove data and components that are not needed for other calculations
 rm(Baseline_Health, Baseline_Social, Baseline_NonFoodRetail, Baseline_Restaurants, Baseline_Exercise,
    Baseline_Childcare, Baseline_Grocery, Baseline_ParksTrails, Baseline_ElementarySchools,
    BaselineHealthPeople, BaselineHealth400m, BaselineHealth800m,
    BaselineSocialPeople,BaselineSocial400m, BaselineSocial800m,
    BaselineNonFoodRetailPeople, BaselineNonFoodRetail400m, BaselineNonFoodRetail800m,
    BaselineRestaurantsPeople, BaselineRestaurants400m, BaselineRestaurants800m,
    BaselineExercisePeople, BaselineExercise400m, BaselineExercise800m,
    BaselineChildcarePeople, BaselineChildcare400m, BaselineChildcare800m,
    BaselineGroceryPeople, BaselineGrocery400m, BaselineGrocery800m,
    BaselineParksTrailsPeople, BaselineParksTrails400m, BaselineParksTrails800m,
    BaselineElementarySchoolsPeople, BaselineElementarySchools400m, BaselineElementarySchools800m,
    Scenario_Health, Scenario_Social, Scenario_NonFoodRetail, Scenario_Restaurants, Scenario_Exercise,
    Scenario_Childcare, Scenario_Grocery, Scenario_ParksTrails, Scenario_ElementarySchools,
    ScenarioHealthPeople, ScenarioHealth400m, ScenarioHealth800m,
    ScenarioSocialPeople, ScenarioSocial400m, ScenarioSocial800m,
    ScenarioNonFoodRetailPeople, ScenarioNonFoodRetail400m, ScenarioNonFoodRetail800m,
    ScenarioRestaurantsPeople, ScenarioRestaurants400m, ScenarioRestaurants800m,
    ScenarioExercisePeople, ScenarioExercise400m, ScenarioExercise800m,
    ScenarioChildcarePeople, ScenarioChildcare400m, ScenarioChildcare800m,
    ScenarioGroceryPeople, ScenarioGrocery400m, ScenarioGrocery800m,
    ScenarioParksTrailsPeople, ScenarioParksTrails400m, ScenarioParksTrails800m,
    ScenarioElementarySchoolsPeople, ScenarioElementarySchools400m, ScenarioElementarySchools800m)
 
 
 
#---------------FOOD AND FARM------------------
 
#Confirm splitstackshape package and column separating function are enabled
 library(splitstackshape)

 
#Rename columns
 colnames(BaselineApartmentsGardens) <- c("OID","PeopleGardensize","OriginID","DestinationID","MinDistanceRank","Distance_m")
 colnames(ScenarioApartmentsGardens) <- c("OID","PeopleGardensize","OriginID","DestinationID","MinDistanceRank","Distance_m")
 

#Confirm distance from residences to grocery and restaurants
 colnames(BaselineRestaurants)[names(BaselineRestaurants) == "MIN_Total_Length"] <- "Distance_m"
 Baseline_Restaurants <- BaselineRestaurants$Distance_m
 
   BaselineRestaurantsPeople <- data.frame(Distance=Baseline_Restaurants,People=BaselinePeople)
     BaselineRestaurants400m <- BaselineRestaurantsPeople[BaselineRestaurantsPeople$Distance<400,]
     BaselineRestaurants800m <- BaselineRestaurantsPeople[BaselineRestaurantsPeople$Distance<800,]
 
     BaselineRestaurants_AverageDistance <- weighted.mean(Baseline_Restaurants,BaselinePeople)
     BaselineRestaurants400m_prop <- sum(BaselineRestaurants400m$People)/sum(BaselinePeople)
     BaselineRestaurants800m_prop <- sum(BaselineRestaurants800m$People)/sum(BaselinePeople)

 colnames(BaselineGrocery)[names(BaselineGrocery) == "MIN_Total_Length"] <- "Distance_m"
 Baseline_Grocery <- BaselineGrocery$Distance_m
  
   BaselineGroceryPeople <- data.frame(Distance=Baseline_Grocery,People=BaselinePeople)
     BaselineGrocery400m <- BaselineGroceryPeople[BaselineGroceryPeople$Distance<400,]
     BaselineGrocery800m <- BaselineGroceryPeople[BaselineGroceryPeople$Distance<800,]
 
     BaselineGrocery_AverageDistance <- weighted.mean(Baseline_Grocery,BaselinePeople)
     BaselineGrocery400m_prop <- sum(BaselineGrocery400m$People)/sum(BaselinePeople)
     BaselineGrocery800m_prop <- sum(BaselineGrocery800m$People)/sum(BaselinePeople)
 

 colnames(ScenarioRestaurants)[names(ScenarioRestaurants) == "MIN_Total_Length"] <- "Distance_m"
 Scenario_Restaurants <- ScenarioRestaurants$Distance_m
     
   ScenarioRestaurantsPeople <- data.frame(Distance=Scenario_Restaurants,People=ScenarioPeople)
     ScenarioRestaurants400m <- ScenarioRestaurantsPeople[ScenarioRestaurantsPeople$Distance<400,]
     ScenarioRestaurants800m <- ScenarioRestaurantsPeople[ScenarioRestaurantsPeople$Distance<800,]
 
     ScenarioRestaurants_AverageDistance <- weighted.mean(Scenario_Restaurants,ScenarioPeople)
     ScenarioRestaurants400m_prop <- sum(ScenarioRestaurants400m$People)/sum(ScenarioPeople)
     ScenarioRestaurants800m_prop <- sum(ScenarioRestaurants800m$People)/sum(ScenarioPeople)
 
 colnames(ScenarioGrocery)[names(ScenarioGrocery) == "MIN_Total_Length"] <- "Distance_m"
 Scenario_Grocery <- ScenarioGrocery$Distance_m
 
   ScenarioGroceryPeople <- data.frame(Distance=Scenario_Grocery,People=ScenarioPeople)
     ScenarioGrocery400m <- ScenarioGroceryPeople[ScenarioGroceryPeople$Distance<400,]
     ScenarioGrocery800m <- ScenarioGroceryPeople[ScenarioGroceryPeople$Distance<800,]
 
     ScenarioGrocery_AverageDistance <- weighted.mean(Scenario_Grocery,ScenarioPeople)
     ScenarioGrocery400m_prop <- sum(ScenarioGrocery400m$People)/sum(ScenarioPeople)
     ScenarioGrocery800m_prop <- sum(ScenarioGrocery800m$People)/sum(ScenarioPeople)

  
#Calculate distance from residences to food education facilities and programs
 colnames(BaselineFoodEducation)[names(BaselineFoodEducation) == "MIN_Total_Length"] <- "Distance_m"
 Baseline_FoodEducation <- BaselineFoodEducation$Distance_m
 
   BaselineFoodEducationPeople <- data.frame(Distance=Baseline_FoodEducation,People=BaselinePeople)
     BaselineFoodEducation400m <- BaselineFoodEducationPeople[BaselineFoodEducationPeople$Distance<400,]
     BaselineFoodEducation800m <- BaselineFoodEducationPeople[BaselineFoodEducationPeople$Distance<800,]
 
   BaselineFoodEducation_AverageDistance <- weighted.mean(Baseline_FoodEducation,BaselinePeople)
     BaselineFoodEducation400m_prop <- sum(BaselineFoodEducation400m$People)/sum(BaselinePeople)
     BaselineFoodEducation800m_prop <- sum(BaselineFoodEducation800m$People)/sum(BaselinePeople)
 
       
 colnames(ScenarioFoodEducation)[names(ScenarioFoodEducation) == "MIN_Total_Length"] <- "Distance_m"
 Scenario_FoodEducation <- ScenarioFoodEducation$Distance_m
     
   ScenarioFoodEducationPeople <- data.frame(Distance=Scenario_FoodEducation,People=ScenarioPeople)
     ScenarioFoodEducation400m <- ScenarioFoodEducationPeople[ScenarioFoodEducationPeople$Distance<400,]
     ScenarioFoodEducation800m <- ScenarioFoodEducationPeople[ScenarioFoodEducationPeople$Distance<800,]
     
   ScenarioFoodEducation_AverageDistance <- weighted.mean(Scenario_FoodEducation,ScenarioPeople)
     ScenarioFoodEducation400m_prop <- sum(ScenarioFoodEducation400m$People)/sum(ScenarioPeople)
     ScenarioFoodEducation800m_prop <- sum(ScenarioFoodEducation800m$People)/sum(ScenarioPeople) 


#Convert farm land types from metres squared to hectares
 FarmLand <- function(data,type){
            ifelse(length((data[data$Type == type,"SUM_Area_m"])/10000) == 0,c(0),
            ((data[data$Type == type,"SUM_Area_m"])/10000))
            }
   
 BaselineFarm_AvailableLand <- FarmLand(BaselineFarmLand,"A")
   BaselineFarm_FarmedLand <- FarmLand(BaselineFarmLand,"F")
   BaselineFarm_CommunityGarden <- FarmLand(BaselineFarmLand,"G")
   BaselineFarm_Limited <- FarmLand(BaselineFarmLand,"L")
   BaselineFarm_Other <- FarmLand(BaselineFarmLand,"O")
   BaselineFarm_Support <- FarmLand(BaselineFarmLand,"S")
   BaselineFarm_GardenSupport <- FarmLand(BaselineFarmLand,"SG") 
   BaselineFarm_UnavailableLand <- FarmLand(BaselineFarmLand,"U")
 
 Baseline_UsedFarming <- BaselineFarm_FarmedLand + BaselineFarm_CommunityGarden + BaselineFarm_Other + BaselineFarm_Support + BaselineFarm_GardenSupport
   Baseline_AvailableFarming <- BaselineFarm_AvailableLand
   Baseline_LimitedFarming <- BaselineFarm_Limited
   Baseline_UnavailableFarming <- BaselineFarm_UnavailableLand

   
 ScenarioFarm_AvailableLand <- FarmLand(ScenarioFarmLand,"A")
   ScenarioFarm_FarmedLand <- FarmLand(ScenarioFarmLand,"F")
   ScenarioFarm_CommunityGarden <- FarmLand(ScenarioFarmLand,"G")
   ScenarioFarm_Limited <- FarmLand(ScenarioFarmLand,"L")
   ScenarioFarm_Other <- FarmLand(ScenarioFarmLand,"O")
   ScenarioFarm_Support <- FarmLand(ScenarioFarmLand,"S")
   ScenarioFarm_GardenSupport <- FarmLand(ScenarioFarmLand,"SG") 
   ScenarioFarm_UnavailableLand <- FarmLand(ScenarioFarmLand,"U")
   
 Scenario_UsedFarming <- ScenarioFarm_FarmedLand + ScenarioFarm_CommunityGarden + ScenarioFarm_Other + ScenarioFarm_Support + ScenarioFarm_GardenSupport
   Scenario_AvailableFarming <- ScenarioFarm_AvailableLand
   Scenario_LimitedFarming <- ScenarioFarm_Limited
   Scenario_UnavailableFarming <- ScenarioFarm_UnavailableLand
   
 ScenarioChange_UsedFarming <- (Scenario_UsedFarming-Baseline_UsedFarming)/Scenario_UsedFarming
   ScenarioChange_AvailableFarming <- (Scenario_AvailableFarming-Baseline_AvailableFarming)/Scenario_AvailableFarming
   ScenarioChange_LimitedFarming <- (Scenario_LimitedFarming-Baseline_LimitedFarming)/Scenario_LimitedFarming
   ScenarioChange_UnavailableFarming <- (Scenario_UnavailableFarming-Baseline_UnavailableFarming)/Scenario_UnavailableFarming

   
#Calculate apartment residents' access to community gardens and garden space per resident
 Baseline_ApartmentsGardens <- cSplit(BaselineApartmentsGardens,"PeopleGardensize", sep=" - ")
   Baseline_ApartmentsGardens <- data.frame(Baseline_ApartmentsGardens,Nearest=(ifelse(Baseline_ApartmentsGardens$MinDistanceRank == 1,1,0)))
   Baseline_ApartmentsGardens <- data.frame(Baseline_ApartmentsGardens,People=(Baseline_ApartmentsGardens$Nearest*Baseline_ApartmentsGardens$PeopleGardensize_1),
                                            GardenSize=(Baseline_ApartmentsGardens$Nearest*Baseline_ApartmentsGardens$PeopleGardensize_2),
                                            Distance=(Baseline_ApartmentsGardens$Nearest*Baseline_ApartmentsGardens$Distance_m))
   Baseline_ApartmentsGardens[,c("PeopleGardensize_1","PeopleGardensize_2","Distance_m","MinDistanceRank","Nearest")] <- NULL   
   
 Baseline_ApartmentsGardens_People <- aggregate.data.frame(Baseline_ApartmentsGardens, by=list(Baseline_ApartmentsGardens$OriginID),sum)  
   Baseline_ApartmentsGardens_People_400m <- Baseline_ApartmentsGardens_People[Baseline_ApartmentsGardens_People$Distance<400,]
   Baseline_ApartmentsGardens_People_800m <- Baseline_ApartmentsGardens_People[Baseline_ApartmentsGardens_People$Distance<800,]
     BaselineGardens_AverageDistance <- weighted.mean(Baseline_ApartmentsGardens_People$Distance,Baseline_ApartmentsGardens_People$People)  
     BaselineGardens_Access400m_prop <- sum(Baseline_ApartmentsGardens_People_400m$People)/sum(Baseline_ApartmentsGardens_People$People)    
     BaselineGardens_Access800m_prop <- sum(Baseline_ApartmentsGardens_People_800m$People)/sum(Baseline_ApartmentsGardens_People$People)    
 
 Baseline_ApartmentsGardens_People[,c("Group.1")] <- NULL    
   Baseline_ApartmentsGardens_Gardens <- aggregate.data.frame(Baseline_ApartmentsGardens_People, by=list(Baseline_ApartmentsGardens_People$GardenSize),sum)      
   Baseline_ApartmentsGardens_Gardens <- data.frame(Baseline_ApartmentsGardens_Gardens, GardenSize_m2=(as.double(Baseline_ApartmentsGardens_Gardens$Group.1)))     
   Baseline_ApartmentsGardens_Gardens <- data.frame(Baseline_ApartmentsGardens_Gardens, GardenPerPerson=(Baseline_ApartmentsGardens_Gardens$GardenSize_m2/Baseline_ApartmentsGardens_Gardens$People))  
     BaselineGardens_SpacePerPerson <- weighted.mean(Baseline_ApartmentsGardens_Gardens$GardenPerPerson,Baseline_ApartmentsGardens_Gardens$People) 

     
 Scenario_ApartmentsGardens <- cSplit(ScenarioApartmentsGardens,"PeopleGardensize", sep=" - ")
   Scenario_ApartmentsGardens <- data.frame(Scenario_ApartmentsGardens,Nearest=(ifelse(Scenario_ApartmentsGardens$MinDistanceRank == 1,1,0)))
   Scenario_ApartmentsGardens <- data.frame(Scenario_ApartmentsGardens,People=(Scenario_ApartmentsGardens$Nearest*Scenario_ApartmentsGardens$PeopleGardensize_1),
                                              GardenSize=(Scenario_ApartmentsGardens$Nearest*Scenario_ApartmentsGardens$PeopleGardensize_2),
                                              Distance=(Scenario_ApartmentsGardens$Nearest*Scenario_ApartmentsGardens$Distance_m))
   Scenario_ApartmentsGardens[,c("PeopleGardensize_1","PeopleGardensize_2","Distance_m","MinDistanceRank","Nearest")] <- NULL   
   
 Scenario_ApartmentsGardens_People <- aggregate.data.frame(Scenario_ApartmentsGardens, by=list(Scenario_ApartmentsGardens$OriginID),sum)  
   Scenario_ApartmentsGardens_People_400m <- Scenario_ApartmentsGardens_People[Scenario_ApartmentsGardens_People$Distance<400,]
   Scenario_ApartmentsGardens_People_800m <- Scenario_ApartmentsGardens_People[Scenario_ApartmentsGardens_People$Distance<800,]
     ScenarioGardens_AverageDistance <- weighted.mean(Scenario_ApartmentsGardens_People$Distance,Scenario_ApartmentsGardens_People$People)  
     ScenarioGardens_Access400m_prop <- sum(Scenario_ApartmentsGardens_People_400m$People)/sum(Scenario_ApartmentsGardens_People$People)    
     ScenarioGardens_Access800m_prop <- sum(Scenario_ApartmentsGardens_People_800m$People)/sum(Scenario_ApartmentsGardens_People$People)    
     
 Scenario_ApartmentsGardens_People[,c("Group.1")] <- NULL    
   Scenario_ApartmentsGardens_Gardens <- aggregate.data.frame(Scenario_ApartmentsGardens_People, by=list(Scenario_ApartmentsGardens_People$GardenSize),sum)      
   Scenario_ApartmentsGardens_Gardens <- data.frame(Scenario_ApartmentsGardens_Gardens, GardenSize_m2=(as.double(Scenario_ApartmentsGardens_Gardens$Group.1)))     
   Scenario_ApartmentsGardens_Gardens <- data.frame(Scenario_ApartmentsGardens_Gardens, GardenPerPerson=(Scenario_ApartmentsGardens_Gardens$GardenSize_m2/Scenario_ApartmentsGardens_Gardens$People))  
     ScenarioGardens_SpacePerPerson <- weighted.mean(Scenario_ApartmentsGardens_Gardens$GardenPerPerson,Scenario_ApartmentsGardens_Gardens$People) 


#Remove data and components that are not needed for other calculations
 rm(Baseline_FoodEducation, BaselineFoodEducationPeople, BaselineFoodEducation400m, BaselineFoodEducation800m,
    Scenario_FoodEducation, ScenarioFoodEducationPeople, ScenarioFoodEducation400m, ScenarioFoodEducation800m,
    Baseline_ApartmentsGardens, Baseline_ApartmentsGardens_People, Baseline_ApartmentsGardens_Gardens,
    Baseline_ApartmentsGardens_People_400m, Baseline_ApartmentsGardens_People_800m,
    Scenario_ApartmentsGardens, Scenario_ApartmentsGardens_People, Scenario_ApartmentsGardens_Gardens,
    Scenario_ApartmentsGardens_People_400m,Scenario_ApartmentsGardens_People_800m)

 

#---------------EDUCATION----------------------

#Define a weighted standard deviation function
 weightedSD <- function(var,weight,mean){sqrt(sum((weight*((var-mean)^2)))/
                                                 (((length(weight[weight != 0])-1)/(length(weight[weight != 0])))*
                                                     sum(weight)))}

 
#Rename distance columns
 colnames(BaselineElementarySchools)[names(BaselineElementarySchools) == "MIN_Total_Length"] <- "Distance_m"
 colnames(BaselinePublicElementary)[names(BaselinePublicElementary) == "MIN_Total_Length"] <- "Distance_m"
 colnames(BaselineSecondarySchools)[names(BaselineSecondarySchools) == "MIN_Total_Length"] <- "Distance_m"
 colnames(BaselinePublicSecondary)[names(BaselinePublicSecondary) == "MIN_Total_Length"] <- "Distance_m"

 colnames(ScenarioElementarySchools)[names(ScenarioElementarySchools) == "MIN_Total_Length"] <- "Distance_m"
 colnames(ScenarioPublicElementary)[names(ScenarioPublicElementary) == "MIN_Total_Length"] <- "Distance_m"
 colnames(ScenarioSecondarySchools)[names(ScenarioSecondarySchools) == "MIN_Total_Length"] <- "Distance_m"
 colnames(ScenarioPublicSecondary)[names(ScenarioPublicSecondary) == "MIN_Total_Length"] <- "Distance_m"
 
 
#Calculate distances from residences to schools
 Baseline_DistanceAllElementary_m <- weighted.mean(BaselineElementarySchools$Distance_m,BaselinePeople)
   Baseline_DistanceAllElementary_SD <- weightedSD(BaselineElementarySchools$Distance_m,BaselinePeople,Baseline_DistanceAllElementary_m)
 
 Baseline_DistancePublicElementary_m <- weighted.mean(BaselinePublicElementary$Distance_m,BaselinePeople)
   Baseline_DistancePublicElementary_SD <- weightedSD(BaselinePublicElementary$Distance_m,BaselinePeople,Baseline_DistancePublicElementary_m)
 
 Baseline_DistanceAllSecondary_m <- weighted.mean(BaselineSecondarySchools$Distance_m,BaselinePeople)
   Baseline_DistanceAllSecondary_SD <- weightedSD(BaselineSecondarySchools$Distance_m,BaselinePeople,Baseline_DistanceAllSecondary_m)
 
 Baseline_DistancePublicSecondary_m <- weighted.mean(BaselinePublicSecondary$Distance_m,BaselinePeople)
   Baseline_DistancePublicSecondary_SD <- weightedSD(BaselinePublicSecondary$Distance_m,BaselinePeople,Baseline_DistancePublicSecondary_m)


 Scenario_DistanceAllElementary_m <- weighted.mean(ScenarioElementarySchools$Distance_m,ScenarioPeople)
   Scenario_DistanceAllElementary_SD <- weightedSD(ScenarioElementarySchools$Distance_m,ScenarioPeople,Scenario_DistanceAllElementary_m)
   
 Scenario_DistancePublicElementary_m <- weighted.mean(ScenarioPublicElementary$Distance_m,ScenarioPeople)
   Scenario_DistancePublicElementary_SD <- weightedSD(ScenarioPublicElementary$Distance_m,ScenarioPeople,Scenario_DistancePublicElementary_m)
   
 Scenario_DistanceAllSecondary_m <- weighted.mean(ScenarioSecondarySchools$Distance_m,ScenarioPeople)
   Scenario_DistanceAllSecondary_SD <- weightedSD(ScenarioSecondarySchools$Distance_m,ScenarioPeople,Scenario_DistanceAllSecondary_m)
   
 Scenario_DistancePublicSecondary_m <- weighted.mean(ScenarioPublicSecondary$Distance_m,ScenarioPeople)
   Scenario_DistancePublicSecondary_SD <- weightedSD(ScenarioPublicSecondary$Distance_m,ScenarioPeople,Scenario_DistancePublicSecondary_m)
   
   
#Calulate proportions of population within walking distance of schools
 Baseline_ElementarySchools <- data.frame(People=BaselinePeople, Distance_m=BaselineElementarySchools$Distance_m)
 Baseline_PublicElementary <- data.frame(People=BaselinePeople, Distance_m=BaselinePublicElementary$Distance_m)
 Baseline_SecondarySchools <- data.frame(People=BaselinePeople, Distance_m=BaselineSecondarySchools$Distance_m)
 Baseline_PublicSecondary <- data.frame(People=BaselinePeople, Distance_m=BaselinePublicSecondary$Distance_m)
 
   Baseline_AllElementary400m_prop <- sum(Baseline_ElementarySchools[Baseline_ElementarySchools$Distance_m<400,"People"])/BaselinePopulation
   Baseline_PublicElementary400m_prop <- sum(Baseline_PublicElementary[Baseline_PublicElementary$Distance_m<400,"People"])/BaselinePopulation
   Baseline_AllSecondary400m_prop <- sum(Baseline_SecondarySchools[Baseline_SecondarySchools$Distance_m<400,"People"])/BaselinePopulation
   Baseline_PublicSecondary400m_prop <- sum(Baseline_PublicSecondary[Baseline_PublicSecondary$Distance_m<400,"People"])/BaselinePopulation
  
   Baseline_AllElementary800m_prop <- sum(Baseline_ElementarySchools[Baseline_ElementarySchools$Distance_m<800,"People"])/BaselinePopulation
   Baseline_PublicElementary800m_prop <- sum(Baseline_PublicElementary[Baseline_PublicElementary$Distance_m<800,"People"])/BaselinePopulation
   Baseline_AllSecondary800m_prop <- sum(Baseline_SecondarySchools[Baseline_SecondarySchools$Distance_m<800,"People"])/BaselinePopulation
   Baseline_PublicSecondary800m_prop <- sum(Baseline_PublicSecondary[Baseline_PublicSecondary$Distance_m<800,"People"])/BaselinePopulation

   
 Scenario_ElementarySchools <- data.frame(People=ScenarioPeople, Distance_m=ScenarioElementarySchools$Distance_m)
 Scenario_PublicElementary <- data.frame(People=ScenarioPeople, Distance_m=ScenarioPublicElementary$Distance_m)
 Scenario_SecondarySchools <- data.frame(People=ScenarioPeople, Distance_m=ScenarioSecondarySchools$Distance_m)
 Scenario_PublicSecondary <- data.frame(People=ScenarioPeople, Distance_m=ScenarioPublicSecondary$Distance_m)
   
   Scenario_AllElementary400m_prop <- sum(Scenario_ElementarySchools[Scenario_ElementarySchools$Distance_m<400,"People"])/ScenarioPopulation
   Scenario_PublicElementary400m_prop <- sum(Scenario_PublicElementary[Scenario_PublicElementary$Distance_m<400,"People"])/ScenarioPopulation
   Scenario_AllSecondary400m_prop <- sum(Scenario_SecondarySchools[Scenario_SecondarySchools$Distance_m<400,"People"])/ScenarioPopulation
   Scenario_PublicSecondary400m_prop <- sum(Scenario_PublicSecondary[Scenario_PublicSecondary$Distance_m<400,"People"])/ScenarioPopulation
   
   Scenario_AllElementary800m_prop <- sum(Scenario_ElementarySchools[Scenario_ElementarySchools$Distance_m<800,"People"])/ScenarioPopulation
   Scenario_PublicElementary800m_prop <- sum(Scenario_PublicElementary[Scenario_PublicElementary$Distance_m<800,"People"])/ScenarioPopulation
   Scenario_AllSecondary800m_prop <- sum(Scenario_SecondarySchools[Scenario_SecondarySchools$Distance_m<800,"People"])/ScenarioPopulation
   Scenario_PublicSecondary800m_prop <- sum(Scenario_PublicSecondary[Scenario_PublicSecondary$Distance_m<800,"People"])/ScenarioPopulation


#Calculate numbers of youth and school-aged children
 Education_YouthDemographics$Demographics <- as.character(Education_YouthDemographics$Demographics)
   ElementaryStudents <- c("Elementary ages 5.5 to 12.5",0)
   MiddleStudents <- c("Middle school ages 12.5 to 15.5",0)
   SecondaryStudents <- c("Secondary school ages 15.5 to 18.5",0)
   Students_YouthDemographics <- rbind(Education_YouthDemographics, ElementaryStudents, MiddleStudents, SecondaryStudents)
   Students_YouthDemographics$People <- as.numeric(Students_YouthDemographics$People)
 
 Students_YouthDemographics[Students_YouthDemographics$Demographics == "Elementary ages 5.5 to 12.5", "People"] <-
                            Students_YouthDemographics[Students_YouthDemographics$Demographics == "5 to 9 years", "People"]*(9/10) +
                            Students_YouthDemographics[Students_YouthDemographics$Demographics == "10 to 14 years", "People"]*(5/10)
 Students_YouthDemographics[Students_YouthDemographics$Demographics == "Middle school ages 12.5 to 15.5", "People"] <-
                            Students_YouthDemographics[Students_YouthDemographics$Demographics == "10 to 14 years", "People"]*(5/10) +
                            Students_YouthDemographics[Students_YouthDemographics$Demographics == "15 to 19 years", "People"]*(1/10)
 Students_YouthDemographics[Students_YouthDemographics$Demographics == "Secondary school ages 15.5 to 18.5", "People"] <-
                            Students_YouthDemographics[Students_YouthDemographics$Demographics == "15 to 19 years", "People"]*(8/10)
     
 Students_YouthDemographics <- data.frame(Students_YouthDemographics,ProportionPop=Students_YouthDemographics$People/
                                         (Students_YouthDemographics[Students_YouthDemographics$Demographics == "Community Population","People"]))
 Students_YouthDemographics <- data.frame(Students_YouthDemographics, ScenarioPeople=(Students_YouthDemographics$ProportionPop*ScenarioPopulation))


#Rename and remove columns in student catchment data
 Baseline_SchoolCatchment <- data.frame(School=BaselineSchoolCatchment$Name,SchoolType=BaselineSchoolCatchment$SchoolType, BaselinePeople=BaselineSchoolCatchment$People)
 Scenario_SchoolCatchment <- data.frame(School=ScenarioSchoolCatchment$Name,SchoolType=ScenarioSchoolCatchment$SchoolType, ScenarioPeople=ScenarioSchoolCatchment$People)
 
   
#Calculate potential students in catchment areas and compare to capacity
 Students_CatchmentCapacity <- merge.data.frame(x=Education_SchoolBodyCapacity[Education_SchoolBodyCapacity$PublicCatchment == 1,],y=Baseline_SchoolCatchment,by.x="School",by.y="School")
 Students_CatchmentCapacity <- merge.data.frame(x=Students_CatchmentCapacity,y=Scenario_SchoolCatchment,by.x="School",by.y="School")
 Students_CatchmentCapacity <- merge.data.frame(x=Students_CatchmentCapacity,y=Baseline_SchoolCatchment,by.x="DividedCatchment",by.y="School",all.x=TRUE)
 Students_CatchmentCapacity <- data.frame(Students_CatchmentCapacity, Adjustment=(ifelse(is.na(Students_CatchmentCapacity$BaselinePeople.y),0,Students_CatchmentCapacity$BaselinePeople.y))) 
 Students_CatchmentCapacity <- data.frame(School=Students_CatchmentCapacity$School, Elementary=Students_CatchmentCapacity$Elementary, Middle=Students_CatchmentCapacity$Middle,
                                          Secondary=Students_CatchmentCapacity$Secondary, SchoolTypes=(Students_CatchmentCapacity$Elementary+Students_CatchmentCapacity$Middle+Students_CatchmentCapacity$Secondary),
                                          BaselineEnrolment=Students_CatchmentCapacity$BaselineEnrolment, StudentCapacity=Students_CatchmentCapacity$StudentCapacity, NewSchool=Students_CatchmentCapacity$New,
                                          Difference=(ifelse(Students_CatchmentCapacity$New == 0,(Students_CatchmentCapacity$ScenarioPeople-Students_CatchmentCapacity$BaselinePeople.x-Students_CatchmentCapacity$Adjustment),
                                                             Students_CatchmentCapacity$ScenarioPeople)))
 
   Students_CatchmentCapacity$Elementary <- Students_CatchmentCapacity$Elementary*(Students_YouthDemographics[Students_YouthDemographics$Demographics == "Elementary ages 5.5 to 12.5","ProportionPop"])
   Students_CatchmentCapacity$Middle <- Students_CatchmentCapacity$Middle*(Students_YouthDemographics[Students_YouthDemographics$Demographics == "Middle school ages 12.5 to 15.5","ProportionPop"])
   Students_CatchmentCapacity$Secondary <- Students_CatchmentCapacity$Secondary*(Students_YouthDemographics[Students_YouthDemographics$Demographics == "Secondary school ages 15.5 to 18.5","ProportionPop"])
   
 Students_CatchmentCapacity <- data.frame(Students_CatchmentCapacity,ScenarioEnrolment=Students_CatchmentCapacity$BaselineEnrolment+
                                         (Students_CatchmentCapacity$Difference*((Students_CatchmentCapacity$Elementary+Students_CatchmentCapacity$Middle+Students_CatchmentCapacity$Secondary)/Students_CatchmentCapacity$SchoolTypes)))                                          
 Students_CatchmentCapacity <- data.frame(Students_CatchmentCapacity,BaselineCapacity=Students_CatchmentCapacity$BaselineEnrolment/Students_CatchmentCapacity$StudentCapacity,
                                          ScenarioCapacity=Students_CatchmentCapacity$ScenarioEnrolment/Students_CatchmentCapacity$StudentCapacity,
                                          BaselineOverCapacity=ifelse(Students_CatchmentCapacity$BaselineEnrolment-Students_CatchmentCapacity$StudentCapacity>0,(Students_CatchmentCapacity$BaselineEnrolment-Students_CatchmentCapacity$StudentCapacity),0),
                                          ScenarioOverCapacity=ifelse(Students_CatchmentCapacity$ScenarioEnrolment-Students_CatchmentCapacity$StudentCapacity>0,(Students_CatchmentCapacity$ScenarioEnrolment-Students_CatchmentCapacity$StudentCapacity),0))
 
   Baseline_ElementaryCapacity_mean <- mean(Students_CatchmentCapacity[Students_CatchmentCapacity$Elementary>0 & Students_CatchmentCapacity$NewSchool == 0, "BaselineCapacity"])
   Baseline_SecondaryCapacity_mean <- mean(Students_CatchmentCapacity[(Students_CatchmentCapacity$Middle+Students_CatchmentCapacity$Secondary)>0 & Students_CatchmentCapacity$NewSchool == 0, "BaselineCapacity"])
     Baseline_ElementaryOverCapacity_ppl <- sum(Students_CatchmentCapacity[Students_CatchmentCapacity$Elementary>0 & Students_CatchmentCapacity$NewSchool == 0, "BaselineOverCapacity"])
     Baseline_SecondaryOverCapacity_ppl <- sum(Students_CatchmentCapacity[(Students_CatchmentCapacity$Middle+Students_CatchmentCapacity$Secondary)>0 & Students_CatchmentCapacity$NewSchool == 0, "BaselineOverCapacity"])
   
   Scenario_ElementaryCapacity_mean <- mean(Students_CatchmentCapacity[Students_CatchmentCapacity$Elementary>0, "ScenarioCapacity"])
   Scenario_SecondaryCapacity_mean <- mean(Students_CatchmentCapacity[(Students_CatchmentCapacity$Middle+Students_CatchmentCapacity$Secondary)>0, "ScenarioCapacity"])
     Scenario_ElementaryOverCapacity_ppl <- sum(Students_CatchmentCapacity[Students_CatchmentCapacity$Elementary>0, "ScenarioOverCapacity"])
     Scenario_SecondaryOverCapacity_ppl <- sum(Students_CatchmentCapacity[(Students_CatchmentCapacity$Middle+Students_CatchmentCapacity$Secondary)>0, "ScenarioOverCapacity"])

     
#Distribute over-capacity students to independent and alternative schools in the Baseline
 Students_AlternativeEnrolment <- Education_SchoolBodyCapacity[Education_SchoolBodyCapacity$PublicCatchment == 0,1:7]
   Students_AlternativeEnrolment <- data.frame(Students_AlternativeEnrolment,MiddleSecondary=ifelse((Students_AlternativeEnrolment$Middle+Students_AlternativeEnrolment$Secondary)>0,1,0))
   Students_AlternativeEnrolment$Middle <- Students_AlternativeEnrolment$Middle/2
   Students_AlternativeEnrolment$Secondary <- Students_AlternativeEnrolment$Secondary/2
 
   Students_AlternativeEnrolment <- data.frame(Students_AlternativeEnrolment, AlternativeType=(ifelse(Students_AlternativeEnrolment$New == 0, "N",
                                               (ifelse(Students_AlternativeEnrolment$Elementary>0 & (Students_AlternativeEnrolment$MiddleSecondary)>0, "ES", (ifelse((Students_AlternativeEnrolment$MiddleSecondary)>0,"S","E")))))))
   Students_AlternativeEnrolment <- data.frame(Students_AlternativeEnrolment, FutureBaseEnrolment=ifelse(Students_AlternativeEnrolment$AlternativeType == "N", Students_AlternativeEnrolment$BaselineEnrolment,
                                               (ifelse(Students_AlternativeEnrolment$AlternativeType == "ES",mean(Students_AlternativeEnrolment[Students_AlternativeEnrolment$New == 0, "BaselineEnrolment"]),
                                                       ifelse(Students_AlternativeEnrolment$AlternativeType == "E", mean(Students_AlternativeEnrolment[Students_AlternativeEnrolment$New == 0 & Students_AlternativeEnrolment$Elementary == 1, "BaselineEnrolment"]),
                                                              ifelse(Students_AlternativeEnrolment$AlternativeType == "S", mean(Students_AlternativeEnrolment[Students_AlternativeEnrolment$New == 0 & (Students_AlternativeEnrolment$MiddleSecondary)>1, "BaselineEnrolment"]),
                                                                     0))))))
 
   
   Students_AlternativeEnrolment_Current <- Students_AlternativeEnrolment[Students_AlternativeEnrolment$New == 0,]
     Students_AlternativeEnrolment_Current <- data.frame(Students_AlternativeEnrolment_Current, BaselineElementaryOver=(Students_AlternativeEnrolment_Current$Elementary*Baseline_ElementaryOverCapacity_ppl)/
                                                            sum(Students_AlternativeEnrolment_Current$Elementary),
                                                         BaselineMiddleOver=(Students_AlternativeEnrolment_Current$Middle*Baseline_SecondaryOverCapacity_ppl)/
                                                            sum(Students_AlternativeEnrolment_Current$MiddleSecondary),
                                                         BaselineSecondaryOver=(Students_AlternativeEnrolment_Current$Secondary*Baseline_SecondaryOverCapacity_ppl)/
                                                            sum(Students_AlternativeEnrolment_Current$MiddleSecondary))
     
     Students_AlternativeEnrolment_Current <- data.frame(School=Students_AlternativeEnrolment_Current$School, BaselineElementaryOver=Students_AlternativeEnrolment_Current$BaselineElementaryOver,
                                                         BaselineMiddleOver=Students_AlternativeEnrolment_Current$BaselineMiddleOver,
                                                         BaselineSecondaryOver=Students_AlternativeEnrolment_Current$BaselineSecondaryOver)
     
     Students_AlternativeEnrolment <- merge.data.frame(x=Students_AlternativeEnrolment, y=Students_AlternativeEnrolment_Current, by.x="School",by.y="School",all.x=TRUE)
       Students_AlternativeEnrolment[is.na(Students_AlternativeEnrolment)] <- 0
       Students_AlternativeEnrolment <- data.frame(Students_AlternativeEnrolment,BaselineOverDistributed=Students_AlternativeEnrolment$BaselineEnrolment+Students_AlternativeEnrolment$BaselineElementaryOver+Students_AlternativeEnrolment$BaselineMiddleOver+
                                                      Students_AlternativeEnrolment$BaselineSecondaryOver)
       Students_AlternativeEnrolment <- data.frame(Students_AlternativeEnrolment,BaselineIncreasedFold=(Students_AlternativeEnrolment$BaselineOverDistributed/Students_AlternativeEnrolment$BaselineEnrolment))
       Students_AverageAlternativeSchoolBaselineIncrease_fold <- mean(Students_AlternativeEnrolment[Students_AlternativeEnrolment$New == 0, "BaselineIncreasedFold"])

       
#Distribute over-capacity students to independent and alternative schools in the Scenario
 Students_AlternativeEnrolment <- data.frame(Students_AlternativeEnrolment,SchoolTypesNumber=(Students_AlternativeEnrolment$Elementary+Students_AlternativeEnrolment$Middle+Students_AlternativeEnrolment$Secondary))
   Students_AlternativeEnrolment <- data.frame(Students_AlternativeEnrolment, ScenarioRemoveElementary=(Students_AlternativeEnrolment$New*Students_AlternativeEnrolment$Elementary*Students_AlternativeEnrolment$FutureBaseEnrolment)/
                                                                                                        Students_AlternativeEnrolment$SchoolTypesNumber,
                                                                              ScenarioRemoveMiddle=(Students_AlternativeEnrolment$New*Students_AlternativeEnrolment$Middle*Students_AlternativeEnrolment$FutureBaseEnrolment)/
                                                                                                    Students_AlternativeEnrolment$SchoolTypesNumber,
                                                                              ScenarioRemoveSecondary=(Students_AlternativeEnrolment$New*Students_AlternativeEnrolment$Secondary*Students_AlternativeEnrolment$FutureBaseEnrolment)/
                                                                                                       Students_AlternativeEnrolment$SchoolTypesNumber)

   Scenario_ElementaryOverCapacityAdj_ppl <- Scenario_ElementaryOverCapacity_ppl - (sum(Students_AlternativeEnrolment$ScenarioRemoveElementary))
   Scenario_SecondaryOverCapacityAdj_ppl <- Scenario_SecondaryOverCapacity_ppl - (sum(Students_AlternativeEnrolment$ScenarioRemoveMiddle)+sum( - (sum(Students_AlternativeEnrolment$ScenarioRemoveSecondary))))                                           
                                               
       
 Students_AlternativeEnrolment <- data.frame(Students_AlternativeEnrolment, ScenarioElementaryOver=((Students_AlternativeEnrolment$Elementary*Scenario_ElementaryOverCapacityAdj_ppl)/sum(Students_AlternativeEnrolment$Elementary))-Students_AlternativeEnrolment$ScenarioRemoveElementary,
                                             ScenarioMiddleOver=((Students_AlternativeEnrolment$Middle*Scenario_SecondaryOverCapacityAdj_ppl)/sum(Students_AlternativeEnrolment$MiddleSecondary))-Students_AlternativeEnrolment$ScenarioRemoveMiddle,
                                             ScenarioSecondaryOver=((Students_AlternativeEnrolment$Secondary*Scenario_SecondaryOverCapacityAdj_ppl)/sum(Students_AlternativeEnrolment$MiddleSecondary))-Students_AlternativeEnrolment$ScenarioRemoveSecondary)
       Students_AlternativeEnrolment <- data.frame(Students_AlternativeEnrolment,ScenarioOverDistributed=Students_AlternativeEnrolment$FutureBaseEnrolment+Students_AlternativeEnrolment$ScenarioElementaryOver+Students_AlternativeEnrolment$ScenarioMiddleOver+
                                                      Students_AlternativeEnrolment$ScenarioSecondaryOver)
       Students_AlternativeEnrolment <- data.frame(Students_AlternativeEnrolment,ScenarioIncreasedFold=(Students_AlternativeEnrolment$ScenarioOverDistributed/Students_AlternativeEnrolment$FutureBaseEnrolment))
       Students_AverageAlternativeSchoolScenarioIncrease_fold <- mean(Students_AlternativeEnrolment[Students_AlternativeEnrolment$New == 0, "ScenarioIncreasedFold"])
       
 
#Remove unnecessary columns from independent and alternative schools data
 Students_AlternativeEnrolment <- data.frame(School=Students_AlternativeEnrolment$School,
                                             Elementary=Students_AlternativeEnrolment$Elementary,Middle=ifelse(Students_AlternativeEnrolment$Middle>0,1,0),Secondary=ifelse(Students_AlternativeEnrolment$Secondary>0,1,0),
                                             BaselineEnrolment=Students_AlternativeEnrolment$BaselineEnrolment,
                                             BaselineStudentIncreases=ifelse(Students_AlternativeEnrolment$New == 0, Students_AlternativeEnrolment$BaselineOverDistributed - Students_AlternativeEnrolment$BaselineEnrolment, NA),
                                             BaselineIncreasedFold=ifelse(Students_AlternativeEnrolment$New == 0, Students_AlternativeEnrolment$BaselineIncreasedFold, NA),
                                             FutureBaseEnrolment=Students_AlternativeEnrolment$FutureBaseEnrolment,
                                             ScenarioEnrolment=Students_AlternativeEnrolment$ScenarioOverDistributed,
                                             ScenarioStudentIncreases=ifelse(Students_AlternativeEnrolment$New == 0, Students_AlternativeEnrolment$ScenarioOverDistributed - Students_AlternativeEnrolment$BaselineEnrolment, NA),
                                             ScenarioIncreasedFold=ifelse(Students_AlternativeEnrolment$New == 0, Students_AlternativeEnrolment$ScenarioIncreasedFold, NA))
                                             

#Remove data and components that are not needed for other calculations                 
 rm(Baseline_ElementarySchools, Baseline_PublicElementary, Baseline_SecondarySchools, Baseline_PublicSecondary, Scenario_ElementarySchools, Scenario_PublicElementary, Scenario_SecondarySchools, Scenario_PublicSecondary,
    ElementaryStudents, MiddleStudents, SecondaryStudents, Students_AlternativeEnrolment_Current, Scenario_ElementaryOverCapacityAdj_ppl, Scenario_SecondaryOverCapacityAdj_ppl)
 
 
   
#---------------PARK ACCESS--------------------

#Confirm splitstackshape package and column separating function are enabled
 library(splitstackshape)

 
#Define a weighted standard deviation function
 weightedSD <- function(var,weight,mean){sqrt(sum((weight*((var-mean)^2)))/
                                                 (((length(weight[weight != 0])-1)/(length(weight[weight != 0])))*
                                                     sum(weight)))}

 
#Rename columns
 colnames(BaselineParkAccess) <- c("OID","PeopleParksize","OriginID","DestinationID","MinDistanceRank","Distance")
 colnames(ScenarioParkAccess) <- c("OID","PeopleParksize","OriginID","DestinationID","MinDistanceRank","Distance")

 
#Calculate average numbers of people within walking distances of parks of different sizes
 BaselineParkAccess <- cSplit(BaselineParkAccess, "PeopleParksize", sep=" - ")
   colnames(BaselineParkAccess)[names(BaselineParkAccess) == "OriginID"] <- "ResidenceID"
   colnames(BaselineParkAccess)[names(BaselineParkAccess) == "PeopleParksize_1"] <- "People"
   colnames(BaselineParkAccess)[names(BaselineParkAccess) == "PeopleParksize_2"] <- "Park_m2"
   colnames(BaselineParkAccess)[names(BaselineParkAccess) == "Distance"] <- "Distance_m"
     Baseline_ParkAccess_Walkable <- data.frame(BaselineParkAccess, "PeopleWithin400m"=((ifelse(BaselineParkAccess$Distance_m<400,1,0))*BaselineParkAccess$People),
                                              "PeopleWithin800m"=((ifelse(BaselineParkAccess$Distance_m<800,1,0))*BaselineParkAccess$People))
     Baseline_ParkAccess_Walkable <- data.frame(ID=paste(Baseline_ParkAccess_Walkable$ResidenceID," - ", Baseline_ParkAccess_Walkable$Park_m2), Park_m2=Baseline_ParkAccess_Walkable$Park_m2,
                                              PeopleWithin400m=Baseline_ParkAccess_Walkable$PeopleWithin400m, PeopleWithin800m=Baseline_ParkAccess_Walkable$PeopleWithin800m)
     Baseline_ParkAccess_Walkable <- aggregate.data.frame(Baseline_ParkAccess_Walkable[2:4],list(Baseline_ParkAccess_Walkable$ID), max)
     Baseline_ParkAccess_Walkable <- Baseline_ParkAccess_Walkable[2:4]
     Baseline_ParkAccess <- aggregate.data.frame(Baseline_ParkAccess_Walkable, list(Baseline_ParkAccess_Walkable$Park_m2), sum)
     Baseline_ParkAccess <- data.frame(Park_m2=Baseline_ParkAccess$Group.1, PeopleWithin400m=Baseline_ParkAccess$PeopleWithin400m,
                                     PeopleWithin800m=Baseline_ParkAccess$PeopleWithin800m)
   
   Baseline_ParkAccess_60ac <- Baseline_ParkAccess[Baseline_ParkAccess$Park_m2>242811,]
   Baseline_ParkAccess_10to60ac <- Baseline_ParkAccess[Baseline_ParkAccess$Park_m2<242811 & Baseline_ParkAccess$Park_m2>40468,]
   Baseline_ParkAccess_2to10ac <- Baseline_ParkAccess[Baseline_ParkAccess$Park_m2<40468 & Baseline_ParkAccess$Park_m2>8093,]
   Baseline_ParkAccess_2ac <- Baseline_ParkAccess[Baseline_ParkAccess$Park_m2<8093,]
   
     BaselineAveragePeople_400mParks_60ac <- mean(Baseline_ParkAccess_60ac$PeopleWithin400m)
     BaselineAveragePeople_400mParks_10to60ac <- mean(Baseline_ParkAccess_10to60ac$PeopleWithin400m)
     BaselineAveragePeople_400mParks_2to10ac <- mean(Baseline_ParkAccess_2to10ac$PeopleWithin400m)
     BaselineAveragePeople_400mParks_2ac <- mean(Baseline_ParkAccess_2ac$PeopleWithin400m)
   
     BaselineAveragePeople_800mParks_60ac <- mean(Baseline_ParkAccess_60ac$PeopleWithin800m)
     BaselineAveragePeople_800mParks_10to60ac <- mean(Baseline_ParkAccess_10to60ac$PeopleWithin800m)
     BaselineAveragePeople_800mParks_2to10ac <- mean(Baseline_ParkAccess_2to10ac$PeopleWithin800m)
     BaselineAveragePeople_800mParks_2ac <- mean(Baseline_ParkAccess_2ac$PeopleWithin800m)

   
 ScenarioParkAccess <- cSplit(ScenarioParkAccess, "PeopleParksize", sep=" - ")
   colnames(ScenarioParkAccess)[names(ScenarioParkAccess) == "OriginID"] <- "ResidenceID"
   colnames(ScenarioParkAccess)[names(ScenarioParkAccess) == "PeopleParksize_1"] <- "People"
   colnames(ScenarioParkAccess)[names(ScenarioParkAccess) == "PeopleParksize_2"] <- "Park_m2"
   colnames(ScenarioParkAccess)[names(ScenarioParkAccess) == "Distance"] <- "Distance_m"
     Scenario_ParkAccess_Walkable <- data.frame(ScenarioParkAccess, "PeopleWithin400m"=((ifelse(ScenarioParkAccess$Distance_m<400,1,0))*ScenarioParkAccess$People),
                                              "PeopleWithin800m"=((ifelse(ScenarioParkAccess$Distance_m<800,1,0))*ScenarioParkAccess$People))
     Scenario_ParkAccess_Walkable <- data.frame(ID=paste(Scenario_ParkAccess_Walkable$ResidenceID," - ", Scenario_ParkAccess_Walkable$Park_m2), Park_m2=Scenario_ParkAccess_Walkable$Park_m2,
                                              PeopleWithin400m=Scenario_ParkAccess_Walkable$PeopleWithin400m, PeopleWithin800m=Scenario_ParkAccess_Walkable$PeopleWithin800m)
     Scenario_ParkAccess_Walkable <- aggregate.data.frame(Scenario_ParkAccess_Walkable[2:4],list(Scenario_ParkAccess_Walkable$ID), max)
     Scenario_ParkAccess_Walkable <- Scenario_ParkAccess_Walkable[2:4]
     Scenario_ParkAccess <- aggregate.data.frame(Scenario_ParkAccess_Walkable, list(Scenario_ParkAccess_Walkable$Park_m2), sum)
     Scenario_ParkAccess <- data.frame(Park_m2=Scenario_ParkAccess$Group.1, PeopleWithin400m=Scenario_ParkAccess$PeopleWithin400m,
                                     PeopleWithin800m=Scenario_ParkAccess$PeopleWithin800m)
   
   Scenario_ParkAccess_60ac <- Scenario_ParkAccess[Scenario_ParkAccess$Park_m2>242811,]
   Scenario_ParkAccess_10to60ac <- Scenario_ParkAccess[Scenario_ParkAccess$Park_m2<242811 & Scenario_ParkAccess$Park_m2>40468,]
   Scenario_ParkAccess_2to10ac <- Scenario_ParkAccess[Scenario_ParkAccess$Park_m2<40468 & Scenario_ParkAccess$Park_m2>8093,]
   Scenario_ParkAccess_2ac <- Scenario_ParkAccess[Scenario_ParkAccess$Park_m2<8093,]
   
     ScenarioAveragePeople_400mParks_60ac <- mean(Scenario_ParkAccess_60ac$PeopleWithin400m)
     ScenarioAveragePeople_400mParks_10to60ac <- mean(Scenario_ParkAccess_10to60ac$PeopleWithin400m)
     ScenarioAveragePeople_400mParks_2to10ac <- mean(Scenario_ParkAccess_2to10ac$PeopleWithin400m)
     ScenarioAveragePeople_400mParks_2ac <- mean(Scenario_ParkAccess_2ac$PeopleWithin400m)  
     
     ScenarioAveragePeople_800mParks_60ac <- mean(Scenario_ParkAccess_60ac$PeopleWithin800m)
     ScenarioAveragePeople_800mParks_10to60ac <- mean(Scenario_ParkAccess_10to60ac$PeopleWithin800m)
     ScenarioAveragePeople_800mParks_2to10ac <- mean(Scenario_ParkAccess_2to10ac$PeopleWithin800m)
     ScenarioAveragePeople_800mParks_2ac <- mean(Scenario_ParkAccess_2ac$PeopleWithin800m)  
   

#Calculate proportion of population within walking distances of parks of different sizes
 Baseline_LargestParkAccess <- data.frame(ID=BaselineParkAccess$ResidenceID,ParkWithin400m=(ifelse(BaselineParkAccess$Distance_m<400,1,0)*BaselineParkAccess$Park_m2),
                                          ParkWithin800m=(ifelse(BaselineParkAccess$Distance_m<800,1,0)*BaselineParkAccess$Park_m2))
 Baseline_LargestParkAccess <- aggregate.data.frame(Baseline_LargestParkAccess, list(Baseline_LargestParkAccess$ID),max)
 Baseline_LargestParkAccess <- data.frame(People=BaselinePeople,ParkWithin400m_m2=Baseline_LargestParkAccess$ParkWithin400m,ParkWithin800m_m2=Baseline_LargestParkAccess$ParkWithin800m)
    
   Baseline_LargestParkAccess400m_60ac <- Baseline_LargestParkAccess[Baseline_LargestParkAccess$ParkWithin400m>242811,]
   Baseline_LargestParkAccess400m_10ac <- Baseline_LargestParkAccess[Baseline_LargestParkAccess$ParkWithin400m>40468,]
   Baseline_LargestParkAccess400m_2ac <- Baseline_LargestParkAccess[Baseline_LargestParkAccess$ParkWithin400m>8093,]
   Baseline_LargestParkAccess400m_All <- Baseline_LargestParkAccess[Baseline_LargestParkAccess$ParkWithin400m>0,]
 
     Baseline_Proportion400mParks_60ac <- sum(Baseline_LargestParkAccess400m_60ac$People)/BaselinePopulation
     Baseline_Proportion400mParks_10ac <- sum(Baseline_LargestParkAccess400m_10ac$People)/BaselinePopulation
     Baseline_Proportion400mParks_2ac <- sum(Baseline_LargestParkAccess400m_2ac$People)/BaselinePopulation
     Baseline_Proportion400mParks_All <- sum(Baseline_LargestParkAccess400m_All$People)/BaselinePopulation
     
   Baseline_LargestParkAccess800m_60ac <- Baseline_LargestParkAccess[Baseline_LargestParkAccess$ParkWithin800m>242811,]
   Baseline_LargestParkAccess800m_10ac <- Baseline_LargestParkAccess[Baseline_LargestParkAccess$ParkWithin800m>40468,]
   Baseline_LargestParkAccess800m_2ac <- Baseline_LargestParkAccess[Baseline_LargestParkAccess$ParkWithin800m>8093,]
   Baseline_LargestParkAccess800m_All <- Baseline_LargestParkAccess[Baseline_LargestParkAccess$ParkWithin800m>0,]
     
     Baseline_Proportion800mParks_60ac <- sum(Baseline_LargestParkAccess800m_60ac$People)/BaselinePopulation
     Baseline_Proportion800mParks_10ac <- sum(Baseline_LargestParkAccess800m_10ac$People)/BaselinePopulation
     Baseline_Proportion800mParks_2ac <- sum(Baseline_LargestParkAccess800m_2ac$People)/BaselinePopulation
     Baseline_Proportion800mParks_All <- sum(Baseline_LargestParkAccess800m_All$People)/BaselinePopulation
     
     
 Scenario_LargestParkAccess <- data.frame(ID=ScenarioParkAccess$ResidenceID,ParkWithin400m=(ifelse(ScenarioParkAccess$Distance_m<400,1,0)*ScenarioParkAccess$Park_m2),
                                              ParkWithin800m=(ifelse(ScenarioParkAccess$Distance_m<800,1,0)*ScenarioParkAccess$Park_m2))
 Scenario_LargestParkAccess <- aggregate.data.frame(Scenario_LargestParkAccess, list(Scenario_LargestParkAccess$ID),max)
 Scenario_LargestParkAccess <- data.frame(People=ScenarioPeople,ParkWithin400m_m2=Scenario_LargestParkAccess$ParkWithin400m,ParkWithin800m_m2=Scenario_LargestParkAccess$ParkWithin800m)
     
   Scenario_LargestParkAccess400m_60ac <- Scenario_LargestParkAccess[Scenario_LargestParkAccess$ParkWithin400m>242811,]
   Scenario_LargestParkAccess400m_10ac <- Scenario_LargestParkAccess[Scenario_LargestParkAccess$ParkWithin400m>40468,]
   Scenario_LargestParkAccess400m_2ac <- Scenario_LargestParkAccess[Scenario_LargestParkAccess$ParkWithin400m>8093,]
   Scenario_LargestParkAccess400m_All <- Scenario_LargestParkAccess[Scenario_LargestParkAccess$ParkWithin400m>0,]
     
     Scenario_Proportion400mParks_60ac <- sum(Scenario_LargestParkAccess400m_60ac$People)/ScenarioPopulation
     Scenario_Proportion400mParks_10ac <- sum(Scenario_LargestParkAccess400m_10ac$People)/ScenarioPopulation
     Scenario_Proportion400mParks_2ac <- sum(Scenario_LargestParkAccess400m_2ac$People)/ScenarioPopulation
     Scenario_Proportion400mParks_All <- sum(Scenario_LargestParkAccess400m_All$People)/ScenarioPopulation
     
   Scenario_LargestParkAccess800m_60ac <- Scenario_LargestParkAccess[Scenario_LargestParkAccess$ParkWithin800m>242811,]
   Scenario_LargestParkAccess800m_10ac <- Scenario_LargestParkAccess[Scenario_LargestParkAccess$ParkWithin800m>40468,]
   Scenario_LargestParkAccess800m_2ac <- Scenario_LargestParkAccess[Scenario_LargestParkAccess$ParkWithin800m>8093,]
   Scenario_LargestParkAccess800m_All <- Scenario_LargestParkAccess[Scenario_LargestParkAccess$ParkWithin800m>0,]
     
     Scenario_Proportion800mParks_60ac <- sum(Scenario_LargestParkAccess800m_60ac$People)/ScenarioPopulation
     Scenario_Proportion800mParks_10ac <- sum(Scenario_LargestParkAccess800m_10ac$People)/ScenarioPopulation
     Scenario_Proportion800mParks_2ac <- sum(Scenario_LargestParkAccess800m_2ac$People)/ScenarioPopulation
     Scenario_Proportion800mParks_All <- sum(Scenario_LargestParkAccess800m_All$People)/ScenarioPopulation


#Calculate park space, average distances and user density
 Baseline_ParkSpace_ha <- sum(Baseline_ParkAccess[,"Park_m2"])/10000
 
 Baseline_ClosestPark <- tapply(BaselineParkAccess$Distance_m, BaselineParkAccess$ResidenceID, FUN=min)
   Baseline_AverageParkDistance <- weighted.mean(Baseline_ClosestPark,BaselinePeople)
   Baseline_AverageParkDistance_SD <- weightedSD(Baseline_ClosestPark,BaselinePeople,Baseline_AverageParkDistance)

 Baseline_LocalPark800m <- BaselineParkAccess[BaselineParkAccess$Distance_m<800,]
   Baseline_LocalPark800m <- data.frame(ID=paste(Baseline_LocalPark800m$ResidenceID," - ",Baseline_LocalPark800m$People, " - ", Baseline_LocalPark800m$Park_m2),
                                        ResidenceID=Baseline_LocalPark800m$ResidenceID, People=Baseline_LocalPark800m$People, Park_m2=Baseline_LocalPark800m$Park_m2)
   Baseline_LocalPark800m <- aggregate.data.frame(Baseline_LocalPark800m[2:4], by=list(Baseline_LocalPark800m$ID),max)
   Baseline_LocalPark800m <- data.frame(ResidenceID=Baseline_LocalPark800m$ResidenceID, People=Baseline_LocalPark800m$People, Park_m2=Baseline_LocalPark800m$Park_m2)
     Baseline_ParkSpaceAroundResidences <- aggregate.data.frame(Baseline_LocalPark800m$Park_m2, list(Baseline_LocalPark800m$ResidenceID),sum)
     colnames(Baseline_ParkSpaceAroundResidences) <- c("ResidenceID","TotalParkSpace_m2")
     Baseline_LocalPark800m <- merge(x=Baseline_LocalPark800m,y=Baseline_ParkSpaceAroundResidences,by.x="ResidenceID",by.y="ResidenceID")
     Baseline_LocalPark800m <- data.frame(Park_m2=Baseline_LocalPark800m$Park_m2, PeopleDistributed=((Baseline_LocalPark800m$Park_m2/Baseline_LocalPark800m$TotalParkSpace_m2)*Baseline_LocalPark800m$People))
       Baseline_LocalPark800m <- aggregate.data.frame(Baseline_LocalPark800m[2], by=list(Baseline_LocalPark800m$Park_m2), FUN=sum)
       colnames(Baseline_LocalPark800m) <- c("Park_m2","People")
       Baseline_LocalPark800m <- data.frame(Park_m2=Baseline_LocalPark800m$Park_m2, People=Baseline_LocalPark800m$People, UserDensity=((Baseline_LocalPark800m$People/Baseline_LocalPark800m$Park_m2)*10000))
       Baseline_LocalPark800m_UserDensity <- weighted.mean(Baseline_LocalPark800m$UserDensity,Baseline_LocalPark800m$People)


 Scenario_ParkSpace_ha <- sum(Scenario_ParkAccess[,"Park_m2"])/10000
       
 Scenario_ClosestPark <- tapply(ScenarioParkAccess$Distance_m, ScenarioParkAccess$ResidenceID, FUN=min)
   Scenario_AverageParkDistance <- weighted.mean(Scenario_ClosestPark,ScenarioPeople)
   Scenario_AverageParkDistance_SD <- weightedSD(Scenario_ClosestPark,ScenarioPeople,Scenario_AverageParkDistance)
       
 Scenario_LocalPark800m <- ScenarioParkAccess[ScenarioParkAccess$Distance_m<800,]
   Scenario_LocalPark800m <- data.frame(ID=paste(Scenario_LocalPark800m$ResidenceID," - ",Scenario_LocalPark800m$People, " - ", Scenario_LocalPark800m$Park_m2),
                                            ResidenceID=Scenario_LocalPark800m$ResidenceID, People=Scenario_LocalPark800m$People, Park_m2=Scenario_LocalPark800m$Park_m2)
   Scenario_LocalPark800m <- aggregate.data.frame(Scenario_LocalPark800m[2:4], by=list(Scenario_LocalPark800m$ID),max)
   Scenario_LocalPark800m <- data.frame(ResidenceID=Scenario_LocalPark800m$ResidenceID, People=Scenario_LocalPark800m$People, Park_m2=Scenario_LocalPark800m$Park_m2)
     Scenario_ParkSpaceAroundResidences <- aggregate.data.frame(Scenario_LocalPark800m$Park_m2, list(Scenario_LocalPark800m$ResidenceID),sum)
     colnames(Scenario_ParkSpaceAroundResidences) <- c("ResidenceID","TotalParkSpace_m2")
     Scenario_LocalPark800m <- merge(x=Scenario_LocalPark800m,y=Scenario_ParkSpaceAroundResidences,by.x="ResidenceID",by.y="ResidenceID")
     Scenario_LocalPark800m <- data.frame(Park_m2=Scenario_LocalPark800m$Park_m2, PeopleDistributed=((Scenario_LocalPark800m$Park_m2/Scenario_LocalPark800m$TotalParkSpace_m2)*Scenario_LocalPark800m$People))
       Scenario_LocalPark800m <- aggregate.data.frame(Scenario_LocalPark800m[2], by=list(Scenario_LocalPark800m$Park_m2), FUN=sum)
       colnames(Scenario_LocalPark800m) <- c("Park_m2","People")
       Scenario_LocalPark800m <- data.frame(Park_m2=Scenario_LocalPark800m$Park_m2, People=Scenario_LocalPark800m$People, UserDensity=((Scenario_LocalPark800m$People/Scenario_LocalPark800m$Park_m2)*10000))
       Scenario_LocalPark800m_UserDensity <- weighted.mean(Scenario_LocalPark800m$UserDensity,Scenario_LocalPark800m$People)      
     
       
#Remove data and components that are not needed for other calculations   
 rm(Baseline_ParkAccess_Walkable, Baseline_ParkAccess_60ac, Baseline_ParkAccess_10to60ac, Baseline_ParkAccess_2to10ac, Baseline_ParkAccess_2ac,
    Baseline_LargestParkAccess, Baseline_LargestParkAccess400m_60ac, Baseline_LargestParkAccess400m_10ac, Baseline_LargestParkAccess400m_2ac, Baseline_LargestParkAccess400m_All,
    Baseline_LargestParkAccess800m_60ac, Baseline_LargestParkAccess800m_10ac, Baseline_LargestParkAccess800m_2ac, Baseline_LargestParkAccess800m_All,
    Baseline_ClosestPark, Baseline_ParkSpaceAroundResidences, Baseline_LocalPark800m,
    Scenario_ParkAccess_Walkable, Scenario_ParkAccess_60ac, Scenario_ParkAccess_10to60ac, Scenario_ParkAccess_2to10ac, Scenario_ParkAccess_2ac,
    Scenario_LargestParkAccess, Scenario_LargestParkAccess400m_60ac, Scenario_LargestParkAccess400m_10ac, Scenario_LargestParkAccess400m_2ac, Scenario_LargestParkAccess400m_All,
    Scenario_LargestParkAccess800m_60ac, Scenario_LargestParkAccess800m_10ac, Scenario_LargestParkAccess800m_2ac, Scenario_LargestParkAccess800m_All,
    Scenario_ClosestPark, Scenario_ParkSpaceAroundResidences, Scenario_LocalPark800m)
 
 
 
#---------------HABITAT THREAT-----------------

#Rename people and encroachment area columns
 colnames(BaselineHighSensitivity) <- c("OID","Parcel_ID","People","Encroachment")
 colnames(BaselineHighMediumSensitivity) <- c("OID","Parcel_ID","People","Encroachment")
 colnames(BaselineRiparianConnectivity) <- c("OID","Parcel_ID","People","Encroachment")
 colnames(BaselineThreatenedSpecies) <- c("OID","Parcel_ID","People","Encroachment")
 
 colnames(ScenarioHighSensitivity) <- c("OID","Parcel_ID","People","Encroachment")
 colnames(ScenarioHighMediumSensitivity) <- c("OID","Parcel_ID","People","Encroachment")
 colnames(ScenarioRiparianConnectivity) <- c("OID","Parcel_ID","People","Encroachment")
 colnames(ScenarioThreatenedSpecies) <- c("OID","Parcel_ID","People","Encroachment")
 
 
#Calculate residential encroachment on sensitive ecosystems
 Baseline_HighSensitivity <- BaselineHighSensitivity[BaselineHighSensitivity$People>0,]
   BaselineEnroach_HighSensitivity_ha <- sum(Baseline_HighSensitivity$Encroachment)/10000 
   BaselineEnroach_HighSensitivity_prop <- sum(Baseline_HighSensitivity$People)/BaselinePopulation   
   BaselineEnroach_HighSensitivity_m2pp <- sum(Baseline_HighSensitivity$Encroachment)/BaselinePopulation
   BaselineEnroach_HighSensitivity_Pressure <- sum(Baseline_HighSensitivity$People*Baseline_HighSensitivity$Encroachment)/10000

 Baseline_HighMediumSensitivity <- BaselineHighMediumSensitivity[BaselineHighMediumSensitivity$People>0,]
   BaselineEnroach_HighMediumSensitivity_ha <- sum(Baseline_HighMediumSensitivity$Encroachment)/10000 
   BaselineEnroach_HighMediumSensitivity_prop <- sum(Baseline_HighMediumSensitivity$People)/BaselinePopulation   
   BaselineEnroach_HighMediumSensitivity_m2pp <- sum(Baseline_HighMediumSensitivity$Encroachment)/BaselinePopulation
   BaselineEnroach_HighMediumSensitivity_Pressure <- sum(Baseline_HighMediumSensitivity$People*Baseline_HighMediumSensitivity$Encroachment)/10000
 
 Baseline_RiparianConnectivity <- BaselineRiparianConnectivity[BaselineRiparianConnectivity$People>0,]
   BaselineEnroach_RiparianConnectivity_ha <- sum(Baseline_RiparianConnectivity$Encroachment)/10000 
   BaselineEnroach_RiparianConnectivity_prop <- sum(Baseline_RiparianConnectivity$People)/BaselinePopulation   
   BaselineEnroach_RiparianConnectivity_m2pp <- sum(Baseline_RiparianConnectivity$Encroachment)/BaselinePopulation
   BaselineEnroach_RiparianConnectivity_Pressure <- sum(Baseline_RiparianConnectivity$People*Baseline_RiparianConnectivity$Encroachment)/10000
 
 Baseline_ThreatenedSpecies <- BaselineThreatenedSpecies[BaselineThreatenedSpecies$People>0,]
   BaselineEnroach_ThreatenedSpecies_ha <- sum(Baseline_ThreatenedSpecies$Encroachment)/10000 
   BaselineEnroach_ThreatenedSpecies_prop <- sum(Baseline_ThreatenedSpecies$People)/BaselinePopulation   
   BaselineEnroach_ThreatenedSpecies_m2pp <- sum(Baseline_ThreatenedSpecies$Encroachment)/BaselinePopulation
   BaselineEnroach_ThreatenedSpecies_Pressure <- sum(Baseline_ThreatenedSpecies$People*Baseline_ThreatenedSpecies$Encroachment)/10000

   
 Scenario_HighSensitivity <- ScenarioHighSensitivity[ScenarioHighSensitivity$People>0,]
   ScenarioEnroach_HighSensitivity_ha <- sum(Scenario_HighSensitivity$Encroachment)/10000 
   ScenarioEnroach_HighSensitivity_prop <- sum(Scenario_HighSensitivity$People)/ScenarioPopulation   
   ScenarioEnroach_HighSensitivity_m2pp <- sum(Scenario_HighSensitivity$Encroachment)/ScenarioPopulation
   ScenarioEnroach_HighSensitivity_Pressure <- sum(Scenario_HighSensitivity$People*Scenario_HighSensitivity$Encroachment)/10000
   
 Scenario_HighMediumSensitivity <- ScenarioHighMediumSensitivity[ScenarioHighMediumSensitivity$People>0,]
   ScenarioEnroach_HighMediumSensitivity_ha <- sum(Scenario_HighMediumSensitivity$Encroachment)/10000 
   ScenarioEnroach_HighMediumSensitivity_prop <- sum(Scenario_HighMediumSensitivity$People)/ScenarioPopulation   
   ScenarioEnroach_HighMediumSensitivity_m2pp <- sum(Scenario_HighMediumSensitivity$Encroachment)/ScenarioPopulation
   ScenarioEnroach_HighMediumSensitivity_Pressure <- sum(Scenario_HighMediumSensitivity$People*Scenario_HighMediumSensitivity$Encroachment)/10000
   
 Scenario_RiparianConnectivity <- ScenarioRiparianConnectivity[ScenarioRiparianConnectivity$People>0,]
   ScenarioEnroach_RiparianConnectivity_ha <- sum(Scenario_RiparianConnectivity$Encroachment)/10000 
   ScenarioEnroach_RiparianConnectivity_prop <- sum(Scenario_RiparianConnectivity$People)/ScenarioPopulation   
   ScenarioEnroach_RiparianConnectivity_m2pp <- sum(Scenario_RiparianConnectivity$Encroachment)/ScenarioPopulation
   ScenarioEnroach_RiparianConnectivity_Pressure <- sum(Scenario_RiparianConnectivity$People*Scenario_RiparianConnectivity$Encroachment)/10000
   
 Scenario_ThreatenedSpecies <- ScenarioThreatenedSpecies[ScenarioThreatenedSpecies$People>0,]
   ScenarioEnroach_ThreatenedSpecies_ha <- sum(Scenario_ThreatenedSpecies$Encroachment)/10000 
   ScenarioEnroach_ThreatenedSpecies_prop <- sum(Scenario_ThreatenedSpecies$People)/ScenarioPopulation   
   ScenarioEnroach_ThreatenedSpecies_m2pp <- sum(Scenario_ThreatenedSpecies$Encroachment)/ScenarioPopulation
   ScenarioEnroach_ThreatenedSpecies_Pressure <- sum(Scenario_ThreatenedSpecies$People*Scenario_ThreatenedSpecies$Encroachment)/10000


#Remove data and components that are not needed for other calculations
 rm(Baseline_HighSensitivity, Baseline_HighMediumSensitivity, Baseline_RiparianConnectivity, Baseline_ThreatenedSpecies,
    Scenario_HighSensitivity, Scenario_HighMediumSensitivity, Scenario_RiparianConnectivity, Scenario_ThreatenedSpecies)   

 
 
#---------------AFFORDABILITY------------------

#Rename columns
 colnames(BaselineHousingDiversity) <- c("OID","Neighbourhood","HousingType","RowCount","People","Units")
 colnames(ScenarioHousingDiversity) <- c("OID","Neighbourhood","HousingType","RowCount","People","Units")
 

#Define a weighted standard deviation function
 weightedSD <- function(var,weight,mean){sqrt(sum((weight*((var-mean)^2)))/
                                         (((length(weight[weight != 0])-1)/(length(weight[weight != 0])))*
                                          sum(weight)))}
  
#Calculate total units for different housing types
 Baseline_HousingDiversity <- BaselineHousingDiversity[,c("HousingType","People","Units")] 
   Baseline_HousingDiversity_Community <- aggregate.data.frame(Baseline_HousingDiversity$Units,by=list(Baseline_HousingDiversity$HousingType),sum)
   colnames(Baseline_HousingDiversity_Community) <- c("HousingType","Units")
   Baseline_HousingPrices <- merge.data.frame(HousingPrices,Baseline_HousingDiversity_Community,"HousingType","HousingType")
   Baseline_HousingPrices <- data.frame(Baseline_HousingPrices,TenYearProjection=Baseline_HousingPrices$Price_BenchmarkAverages*(1+Baseline_HousingPrices$TenYearChange_Percent))

   BaselineCurrentHousingPrice_Average <- weighted.mean(Baseline_HousingPrices$Price_BenchmarkAverages,Baseline_HousingPrices$Units)
   BaselineCurrentHousingPrice_Upper <- BaselineCurrentHousingPrice_Average + weightedSD(Baseline_HousingPrices$Price_BenchmarkAverages, Baseline_HousingPrices$Units, BaselineCurrentHousingPrice_Average)
   BaselineCurrentHousingPrice_Lower <- BaselineCurrentHousingPrice_Average - weightedSD(Baseline_HousingPrices$Price_BenchmarkAverages, Baseline_HousingPrices$Units, BaselineCurrentHousingPrice_Average)
  
   BaselineFutureHousingPrice_Average <- weighted.mean(Baseline_HousingPrices$TenYearProjection,Baseline_HousingPrices$Units)
   BaselineFutureHousingPrice_Upper <- BaselineFutureHousingPrice_Average + weightedSD(Baseline_HousingPrices$TenYearProjection, Baseline_HousingPrices$Units, BaselineFutureHousingPrice_Average)
   BaselineFutureHousingPrice_Lower <- BaselineFutureHousingPrice_Average - weightedSD(Baseline_HousingPrices$TenYearProjection, Baseline_HousingPrices$Units, BaselineFutureHousingPrice_Average)
   
 
 Scenario_HousingDiversity <- ScenarioHousingDiversity[,c("HousingType","People","Units")] 
   Scenario_HousingDiversity_Community <- aggregate.data.frame(Scenario_HousingDiversity$Units,by=list(Scenario_HousingDiversity$HousingType),sum)
   colnames(Scenario_HousingDiversity_Community) <- c("HousingType","Units")
   Scenario_HousingPrices <- merge.data.frame(HousingPrices,Scenario_HousingDiversity_Community,"HousingType","HousingType")
   Scenario_HousingPrices <- data.frame(Scenario_HousingPrices,TenYearProjection=Scenario_HousingPrices$Price_BenchmarkAverages*(1+Scenario_HousingPrices$TenYearChange_Percent))
   
   ScenarioCurrentHousingPrice_Average <- weighted.mean(Scenario_HousingPrices$Price_BenchmarkAverages,Scenario_HousingPrices$Units)
   ScenarioCurrentHousingPrice_Upper <- ScenarioCurrentHousingPrice_Average + weightedSD(Scenario_HousingPrices$Price_BenchmarkAverages, Scenario_HousingPrices$Units, ScenarioCurrentHousingPrice_Average)
   ScenarioCurrentHousingPrice_Lower <- ScenarioCurrentHousingPrice_Average - weightedSD(Scenario_HousingPrices$Price_BenchmarkAverages, Scenario_HousingPrices$Units, ScenarioCurrentHousingPrice_Average)
   
   ScenarioFutureHousingPrice_Average <- weighted.mean(Scenario_HousingPrices$TenYearProjection,Scenario_HousingPrices$Units)
   ScenarioFutureHousingPrice_Upper <- ScenarioFutureHousingPrice_Average + weightedSD(Scenario_HousingPrices$TenYearProjection, Scenario_HousingPrices$Units, ScenarioFutureHousingPrice_Average)
   ScenarioFutureHousingPrice_Lower <- ScenarioFutureHousingPrice_Average - weightedSD(Scenario_HousingPrices$TenYearProjection, Scenario_HousingPrices$Units, ScenarioFutureHousingPrice_Average)

   
#Remove data and components that are not needed for other calculations
 rm(Baseline_HousingDiversity, Baseline_HousingDiversity_Community, Scenario_HousingDiversity, Scenario_HousingDiversity_Community)   
      
 
    
#---------------DIVERSITY----------------------

#Remove under construction and unbuilt dwellings
 Baseline_HousingDiversity <- BaselineHousingDiversity[BaselineHousingDiversity$HousingType != "Unbuilt single-detached house",]
 Scenario_HousingDiversity <- ScenarioHousingDiversity[ScenarioHousingDiversity$HousingType != "Unbuilt single-detached house",]


#Calculate Simpson's Diversity Index for neighbourhoods
 SimpsonIndex <- function(SimpsonIndexCalc, People){1-(SimpsonIndexCalc/((People-1)*People))}
 
   Baseline_HousingDiversity <- data.frame(Baseline_HousingDiversity,SimpsonIndexCalc=(Baseline_HousingDiversity$People-1)*Baseline_HousingDiversity$People)
     BaselineDiversity_People <- aggregate.data.frame(Baseline_HousingDiversity$People, by=list(Baseline_HousingDiversity$Neighbourhood),sum)
     BaselineDiversity_SimpsonIndexCalc <- aggregate.data.frame(Baseline_HousingDiversity$SimpsonIndexCalc, by=list(Baseline_HousingDiversity$Neighbourhood),sum)
     Baseline_SocialDiversity <- merge.data.frame(BaselineDiversity_People,BaselineDiversity_SimpsonIndexCalc,"Group.1","Group.1")
     colnames(Baseline_SocialDiversity) <- c("Neighbourhood","People","SimpsonIndexCalc")
     Baseline_SocialDiversity <- data.frame(Baseline_SocialDiversity,SimpsonIndex=SimpsonIndex(Baseline_SocialDiversity$SimpsonIndexCalc,Baseline_SocialDiversity$People))

   Scenario_HousingDiversity <- data.frame(Scenario_HousingDiversity,SimpsonIndexCalc=(Scenario_HousingDiversity$People-1)*Scenario_HousingDiversity$People)
     ScenarioDiversity_People <- aggregate.data.frame(Scenario_HousingDiversity$People, by=list(Scenario_HousingDiversity$Neighbourhood),sum)
     ScenarioDiversity_SimpsonIndexCalc <- aggregate.data.frame(Scenario_HousingDiversity$SimpsonIndexCalc, by=list(Scenario_HousingDiversity$Neighbourhood),sum)
     Scenario_SocialDiversity <- merge.data.frame(ScenarioDiversity_People,ScenarioDiversity_SimpsonIndexCalc,"Group.1","Group.1")
     colnames(Scenario_SocialDiversity) <- c("Neighbourhood","People","SimpsonIndexCalc")
     Scenario_SocialDiversity <- data.frame(Scenario_SocialDiversity,SimpsonIndex=SimpsonIndex(Scenario_SocialDiversity$SimpsonIndexCalc,Scenario_SocialDiversity$People))
     

#Calculate Simpson's Diversity Index for community and weighted averages for diversity
 Baseline_CommunityDiversity_People <- aggregate.data.frame(Baseline_HousingDiversity$People,by=list(Baseline_HousingDiversity$HousingType),sum)
   colnames(Baseline_CommunityDiversity_People) <- c("HousingType","People")
   Baseline_CommunityDiversity <- data.frame(Baseline_CommunityDiversity_People,SimpsonIndexCal=((Baseline_CommunityDiversity_People$People-1)*Baseline_CommunityDiversity_People$People)) 
   Baseline_CommunitySimpsonIndex <- SimpsonIndex(sum(Baseline_CommunityDiversity$SimpsonIndexCal),sum(Baseline_CommunityDiversity$People))
     Baseline_CommunityAverageDiversity <- weighted.mean(Baseline_SocialDiversity$SimpsonIndex,Baseline_SocialDiversity$People)

 Scenario_CommunityDiversity_People <- aggregate.data.frame(Scenario_HousingDiversity$People,by=list(Scenario_HousingDiversity$HousingType),sum)
   colnames(Scenario_CommunityDiversity_People) <- c("HousingType","People")
   Scenario_CommunityDiversity <- data.frame(Scenario_CommunityDiversity_People,SimpsonIndexCal=((Scenario_CommunityDiversity_People$People-1)*Scenario_CommunityDiversity_People$People)) 
   Scenario_CommunitySimpsonIndex <- SimpsonIndex(sum(Scenario_CommunityDiversity$SimpsonIndexCal),sum(Scenario_CommunityDiversity$People))
     Scenario_CommunityAverageDiversity <- weighted.mean(Scenario_SocialDiversity$SimpsonIndex,Scenario_SocialDiversity$People)

     
#Remove data and components that are not needed for other calculations
 rm(BaselineDiversity_People, BaselineDiversity_SimpsonIndexCalc, Baseline_CommunityDiversity, Baseline_CommunityDiversity_People,
    ScenarioDiversity_People, ScenarioDiversity_SimpsonIndexCalc, Scenario_CommunityDiversity, Scenario_CommunityDiversity_People)     
     
     
 
#---------------CLIMATE ACTION-----------------

#Rename columns
 colnames(BaselineFloodplain5m) <- c("OID","Floodplain","People","Apartment")
 colnames(ScenarioFloodplain5m) <- c("OID","Floodplain","People","Apartment")
 
 colnames(BaselineWildfireZone30m) <- c("OID","ParcelID","People","AreaWithinZone")
 colnames(ScenarioWildfireZone30m) <- c("OID","ParcelID","People","AreaWithinZone")
 
 colnames(ScenarioDevelopedLand) <- c("OID","LandCode","Count","DevelopedArea")
 
    
#Calculate people and population living in floodplain areas that are below 5m elevation
 Baseline_FloodplainResidents <- BaselineFloodplain5m[BaselineFloodplain5m$Floodplain == 1,]
   Baseline_FloodplainResidents_ppl <- sum(Baseline_FloodplainResidents$People)
   Baseline_FloodplainResidents_prop <- Baseline_FloodplainResidents_ppl/BaselinePopulation
   
 Baseline_FloodplainNonApartment <- Baseline_FloodplainResidents[Baseline_FloodplainResidents$Apartment == 0,]
   Baseline_FloodplainNonApartment_ppl <- sum(Baseline_FloodplainNonApartment$People)
   Baseline_FloodplainNonApartment_prop <- Baseline_FloodplainNonApartment_ppl/BaselinePopulation  
 
   
 Scenario_FloodplainResidents <- ScenarioFloodplain5m[ScenarioFloodplain5m$Floodplain == 1,]
   Scenario_FloodplainResidents_ppl <- sum(Scenario_FloodplainResidents$People)
   Scenario_FloodplainResidents_prop <- Scenario_FloodplainResidents_ppl/ScenarioPopulation
   
 Scenario_FloodplainNonApartment <- Scenario_FloodplainResidents[Scenario_FloodplainResidents$Apartment == 0,]
   Scenario_FloodplainNonApartment_ppl <- sum(Scenario_FloodplainNonApartment$People)
   Scenario_FloodplainNonApartment_prop <- Scenario_FloodplainNonApartment_ppl/ScenarioPopulation  

   
#Calculate people and population living in wildfire zones that are within 30m of wildfire fuel
 Baseline_WildfireZone_ppl <- sum(BaselineWildfireZone30m$People)
   Baseline_WildfireZone_prop <- Baseline_WildfireZone_ppl/BaselinePopulation
   Baseline_WildfireZone_ha <- sum(BaselineWildfireZone30m$AreaWithinZone)/10000
   Baseline_WildfireRisk_PPLxHA <- sum((BaselineWildfireZone30m$People*BaselineWildfireZone30m$AreaWithinZone)/10000)
 
 Scenario_WildfireZone_ppl <- sum(ScenarioWildfireZone30m$People)
   Scenario_WildfireZone_prop <- Scenario_WildfireZone_ppl/ScenarioPopulation
   Scenario_WildfireZone_ha <- sum(ScenarioWildfireZone30m$AreaWithinZone)/10000    
   Scenario_WildfireRisk_PPLxHA <- sum((ScenarioWildfireZone30m$People*ScenarioWildfireZone30m$AreaWithinZone)/10000)


#Calculate greenhouse gas emissions produced through commuting traffic
 BaselineCO2commute_Annual_t <- Baseline_AnnualMVKT*VehicleCO2e_KGperKM*1000
   BaselineCO2commute_PerCapita_tpp <- BaselineCO2commute_Annual_t/BaselinePopulation
   
 ScenarioCO2commute_Annual_t <- Scenario_AnnualMVKT*VehicleCO2e_KGperKM*1000
   ScenarioCO2commute_PerCapita_tpp <- ScenarioCO2commute_Annual_t/ScenarioPopulation
   
   
#Calculate loss of carbon storage and sequestration potential due to development

 ScenarioDevelopedForest <- ifelse(length(ScenarioDevelopedLand[ScenarioDevelopedLand$LandCode == "F","DevelopedArea"]) == 0, 0, ScenarioDevelopedLand[ScenarioDevelopedLand$LandCode == "F","DevelopedArea"])
 ScenarioDevelopedTidal <- ifelse(length(ScenarioDevelopedLand[ScenarioDevelopedLand$LandCode == "T","DevelopedArea"]) == 0, 0, ScenarioDevelopedLand[ScenarioDevelopedLand$LandCode == "T","DevelopedArea"])
 ScenarioDevelopedWetland <- ifelse(length(ScenarioDevelopedLand[ScenarioDevelopedLand$LandCode == "W","DevelopedArea"]) == 0, 0, ScenarioDevelopedLand[ScenarioDevelopedLand$LandCode == "W","DevelopedArea"])
   
   ScenarioCO2loss_Stored_t <- ((ScenarioDevelopedForest-ForestReserve_m2)*Forest_StoredCO2_TperHA + (ScenarioDevelopedTidal-TidalReserve_m2)*Tidal_StoredCO2_TperHA + (ScenarioDevelopedWetland-WetlandReserve_m2)*Wetlands_StoredCO2_TperHA)/10000
   ScenarioCO2loss_uptake_tpy <- ((ScenarioDevelopedForest-ForestReserve_m2)*Forest_UptakeCO2_TperHAperY + (ScenarioDevelopedTidal-TidalReserve_m2)*Tidal_UptakeCO2t_TperHAperY + (ScenarioDevelopedWetland-WetlandReserve_m2)*Wetlands_UptakeCO2t_TperHAperY)/10000


#Remove data and components that are not needed for other calculations
 rm(ScenarioDevelopedForest, ScenarioDevelopedTidal, ScenarioDevelopedWetland)
 

 
#---------------RESULTS TABLE------------------

#Confirm data.table package is enabled
 library(data.table)


#Create spacer
 Space <- c("","","","")
 
 
#Compile results
 #Population
 Population1 <- c("Population","Total residents",BaselinePopulation,ScenarioPopulation)
 
 #Employment
 Employment1 <- c("Employment","Labour force",BaselineLabourForce,ScenarioPopulation*(BaselineLabourForce/BaselineCensusPopulation))
 Employment2 <- c("Employment","Employed",BaselineEmployed,ScenarioPopulation*Employed)
 Employment3 <- c("Employment","Unemployed",BaselineUnemployed,(ScenarioPopulation*(BaselineLabourForce/BaselineCensusPopulation))-(ScenarioPopulation*Employed))
 Employment4 <- c("Employment","Locally employed (ppl)",BaselineLocal_ppl+(BaselinePopulation*BaselineHomebased*Employed),ScenarioLocal_ppl+(ScenarioPopulation*ScenarioHomebased*Employed))
 Employment5 <- c("Employment","Locally employed (%)", ((BaselineLocal_ppl+(BaselinePopulation*BaselineHomebased*Employed))/BaselineLabourForce)*100,((ScenarioLocal_ppl+(ScenarioPopulation*ScenarioHomebased*Employed))/(ScenarioPopulation*(BaselineLabourForce/BaselineCensusPopulation)))*100)
 
 #Commercial space
 CommercialSpace1 <- c("Commercial space","Commercial land (ha)",BaselineCommercial,ScenarioCommercial)
 CommercialSpace2 <- c("Commercial space","Commercial change from Baseline (%)",0,((ScenarioCommercial-BaselineCommercial)/BaselineCommercial)*100)
 CommercialSpace3 <- c("Commercial space","Industrial land (ha)",BaselineIndustrial,ScenarioIndustrial)
 CommercialSpace4 <- c("Commercial space","Industrial change from Baseline (%)",0,((ScenarioIndustrial-BaselineIndustrial)/BaselineIndustrial)*100)
 CommercialSpace5 <- c("Commercial space","Total commercial (ha)",(BaselineCommercial+BaselineIndustrial),(ScenarioCommercial+ScenarioIndustrial))
 CommercialSpace6 <- c("Commercial space","Total commercial change from Baseline (%)",0,(((ScenarioCommercial+ScenarioIndustrial)-(BaselineCommercial+BaselineIndustrial))/(BaselineCommercial+BaselineIndustrial))*100)
 
 #Business viability
 BusinessViability1 <- c("Business viability","Business employees within 400m of 25 ppl/ha (ppl)",BaselineBusinessEmployees_25pph_Number,ScenarioBusinessEmployees_25pph_Number)
 BusinessViability2 <- c("Business viability","Business employees within 400m of 25 ppl/ha (%)",BaselineBusinessEmployees_25pph_Percentage,ScenarioBusinessEmployees_25pph_Percentage)
 BusinessViability3 <- c("Business viability","Business employees within 400m of 50 ppl/ha (ppl)",BaselineBusinessEmployees_50pph_Number,ScenarioBusinessEmployees_50pph_Number)
 BusinessViability4 <- c("Business viability","Business employees within 400m of 25 ppl/ha (ppl)",BaselineBusinessEmployees_50pph_Percentage,ScenarioBusinessEmployees_50pph_Percentage)
 
 #Public transit
 Transit1 <- c("Public transit","Ridership (ppl)",Baseline_TransitRidership_ppl,Scenario_TransitRidership_ppl)
 Transit2 <- c("Public transit","Ridership (%)",Baseline_TransitRidership_prop*100,Scenario_TransitRidership_prop*100)
 Transit3 <- c("Public transit","Average distance to stops (m)", Baseline_AvergeDistanceBusStops_m, Scenario_AvergeDistanceBusStops_m)
 Transit4 <- c("Public transit","Average distance to stops (SD)", Baseline_AvergeDistanceBusStops_SD, Scenario_AvergeDistanceBusStops_SD)
 Transit5 <- c("Public transit","Population within 400m of stops (%)", Baseline_Population400mBusStops_prop*100,Scenario_Population400mBusStops_prop*100)
 Transit6 <- c("Public transit","Average bus stops within 400m of residents", Baseline_AverageStops_400m, Scenario_AverageStops_400m)
 Transit7 <- c("Public transit","Population within 800m of stops (%)", Baseline_Population800mBusStops_prop*100, Scenario_Population800mBusStops_prop*100)
 Transit8 <- c("Public transit","Average bus stops within 800m of residents", Baseline_AverageStops_800m, Scenario_AverageStops_800m)
 Transit9 <- c("Public transit","Average bus routes within 400m of residents", Baseline_AverageRoutes_400m, Scenario_AverageRoutes_400m)
 Transit10 <- c("Public transit","Average bus routes within 800m of residents", Baseline_AverageRoutes_800m, Scenario_AverageRoutes_800m)
 Transit11 <- c("Public transit","Population within 400m of at least 1 route (%)", Baseline_1route400m_prop*100,Scenario_1route400m_prop*100)
 Transit12 <- c("Public transit","Population within 400m of at least 2 routes (%)", Baseline_2route400m_prop*100,Scenario_2route400m_prop*100)
 Transit13 <- c("Public transit","Population within 400m of at least 3 routes (%)", Baseline_3route400m_prop*100,Scenario_3route400m_prop*100)
 Transit14 <- c("Public transit","Population within 400m of at least 4 routes (%)", Baseline_4route400m_prop*100,Scenario_4route400m_prop*100)
 Transit15 <- c("Public transit","Population within 400m of at least 5 routes (%)", Baseline_5route400m_prop*100,Scenario_5route400m_prop*100)
 Transit16 <- c("Public transit","Population within 800m of at least 1 route (%)", Baseline_1route800m_prop*100,Scenario_1route800m_prop*100)
 Transit17 <- c("Public transit","Population within 800m of at least 2 routes (%)", Baseline_2route800m_prop*100,Scenario_2route800m_prop*100)
 Transit18 <- c("Public transit","Population within 800m of at least 3 routes (%)", Baseline_3route800m_prop*100,Scenario_3route800m_prop*100)
 Transit19 <- c("Public transit","Population within 800m of at least 4 routes (%)", Baseline_4route800m_prop*100,Scenario_4route800m_prop*100)
 Transit20 <- c("Public transit","Population within 800m of at least 5 routes (%)", Baseline_5route800m_prop*100,Scenario_5route800m_prop*100)
 Transit21 <- c("Public transit","Average density 400m around stops ([ppl + jobs]/ha)",BaselineAverageStopDensity400m_pph, ScenarioAverageStopDensity400m_pph)
 Transit22 <- c("Public transit","Stops within 400m of 50[ppl + jobs]/ha density (%)",BaselineViableStops400m_prop*100, ScenarioViableStops400m_prop*100)
 Transit23 <- c("Public transit","Average density 800m around stops ([ppl + jobs]/ha)",BaselineAverageStopDensity800m_pph, ScenarioAverageStopDensity800m_pph)
 Transit24 <- c("Public transit","Stops within 800m of 50[ppl + jobs]/ha density (%)",BaselineViableStops800m_prop*100, ScenarioViableStops800m_prop*100)
 
 #Commute
 Commute1 <- c("Commute","Local commuters (ppl)",BaselineLocal_ppl,ScenarioLocal_ppl)
 Commute2 <- c("Commute","Local commuters (%)",(BaselineLocal_ppl/BaselineEmployed)*100,(ScenarioLocal_ppl/(ScenarioPopulation*Employed))*100)
 Commute3 <- c("Commute","Regional commuters (ppl)",BaselineRegional_ppl,ScenarioRegional_ppl)
 Commute4 <- c("Commute","Regional commuters (%)",(BaselineRegional_ppl/BaselineEmployed)*100,(ScenarioRegional_ppl/(ScenarioPopulation*Employed))*100)
 Commute5 <- c("Commute","Walking (ppl)", BaselineWalkers_ppl, ScenarioWalkers_ppl)
 Commute6 <- c("Commute","Biking (ppl)", BaselineCyclists_ppl, ScenarioCyclists_ppl)
 Commute7 <- c("Commute","Public transit (ppl)", Baseline_TransitRidership_ppl, Scenario_TransitRidership_ppl)
 Commute8 <- c("Commute","Single occupancy drivers (ppl)", BaselineSOVDrivers_ppl, ScenarioSOVDrivers_ppl)
 Commute9 <- c("Commute","Carpool with 1 passenger (ppl)", BaselineCarpool_1passenger_ppl, ScenarioCarpool_1passenger_ppl)
 Commute10 <- c("Commute","Carpool with 2 passengers (ppl)", BaselineCarpool_2passengers_ppl, ScenarioCarpool_2passengers_ppl)
 Commute11 <- c("Commute","Total drivers (ppl)", BaselineDrivers_ppl, ScenarioDrivers_ppl)
 Commute12 <- c("Commute","Average local commute by road (m)",Baseline_AverageCommute_Road,Scenario_AverageCommute_Road)
 Commute13 <- c("Commute","Average local commute by road (SD)",Baseline_AverageCommuteSD_Road,Scenario_AverageCommuteSD_Road)
 Commute14 <- c("Commute","Average local commute by road and trail (m)",Baseline_AverageCommute_RoadTrail,Scenario_AverageCommute_RoadTrail)
 Commute15 <- c("Commute","Average local commute by road and trail (SD)",Baseline_AverageCommuteSD_RoadTrail,Scenario_AverageCommuteSD_RoadTrail)
 Commute16 <- c("Commute","Average roundtrip commute (km)", Baseline_AverageDailyCommute_km, Scenario_AverageDailyCommute_km)
 Commute17 <- c("Commute","Local workplace annual car travel (million VKT)", Baseline_AnnualMVKT_Local, Scenario_AnnualMVKT_Local)
 Commute18 <- c("Commute","No-fixed workplace annual car travel (million VKT)", Baseline_AnnualMVKT_NFWP, Scenario_AnnualMVKT_NFWP)
 Commute19 <- c("Commute","Regional workplace annual car travel (million VKT)", Baseline_AnnualMVKT_Regional, Scenario_AnnualMVKT_Regional)
 Commute20 <- c("Commute","Total annual car-commute travel (million VKT)", (Baseline_AnnualMVKT_Local+Baseline_AnnualMVKT_NFWP+Baseline_AnnualMVKT_Regional),(Scenario_AnnualMVKT_Local+Scenario_AnnualMVKT_NFWP+Scenario_AnnualMVKT_Regional))
                 
 #Health
 Health1 <- c("Health","Commute-related particulate matter (PM2.5) emissions (kg)", BaselinePM2.5commute_Annual_kg, ScenarioPM2.5commute_Annual_kg)
 Health2 <- c("Health","Commute-related PM2.5 emissions per capita (t/person)", BaselinePM2.5commute_PerCapita_tpp, ScenarioPM2.5commute_PerCapita_tpp)
 Health3 <- c("Health","Daily commute by walking (total km)", Baseline_DailyWalk_km, Scenario_DailyWalk_km)
 Health4 <- c("Health","Daily walk per capita (m per regular commuter)", Baseline_DailyWalk_mpp, Scenario_DailyWalk_mpp)
 Health5 <- c("Health","Average daily walking commutes (round trips)",Baseline_DailyWalk_RoundTrips,Scenario_DailyWalk_RoundTrips)
 Health6 <- c("Health","Walking percentage of regular commutes (%)",Baseline_DailyWalk_prop*100,Scenario_DailyWalk_prop*100)
 Health7 <- c("Health", "Daily commute by biking (total km)", Baseline_DailyBike_km, Scenario_DailyBike_km)
 Health8 <- c("Health", "Daily bike per capita (m per regular commuter)", Baseline_DailyBike_mpp, Scenario_DailyBike_mpp)
 Health9 <- c("Health", "Average daily biking commutes (round trips)", Baseline_DailyBike_RoundTrips, Scenario_DailyBike_RoundTrips)
 Health10 <- c("Health", "Biking percentage of regular commutes (%)", Baseline_DailyBike_prop*100, Scenario_DailyBike_prop*100)
 Health11 <- c("Health", "Daily commute by active transport (total km)", Baseline_DailyActive_km, Scenario_DailyActive_km)
 Health12 <- c("Health", "Daily active transport per capita (m per regular commuter)", Baseline_DailyActive_mpp, Scenario_DailyActive_mpp)
 Health13 <- c("Health", "Average daily active commutes (round trips)", Baseline_DailyActive_RoundTrips, Scenario_DailyActive_RoundTrips)
 Health14 <- c("Health", "Percentage of regular commutes by active travel (%)", Baseline_DailyActive_prop*100, Scenario_DailyActive_prop*100)

 #Access to amenities and walkability
 Amenities1 <- c("Walkability", "Average distance to health services (m)", BaselineHealth_AverageDistance, ScenarioHealth_AverageDistance)
 Amenities2 <- c("Walkability", "Population within 400m of health services (%)", BaselineHealth400m_prop*100, ScenarioHealth400m_prop*100)
 Amenities3 <- c("Walkability", "Population within 800m of health services (%)", BaselineHealth800m_prop*100, ScenarioHealth800m_prop*100)
 Amenities4 <- c("Walkability", "Average distance to social services (m)", BaselineSocial_AverageDistance, ScenarioSocial_AverageDistance)
 Amenities5 <- c("Walkability", "Population within 400m of social services (%)", BaselineSocial400m_prop*100, ScenarioSocial400m_prop*100)
 Amenities6 <- c("Walkability", "Population within 800m of social services (%)", BaselineSocial800m_prop*100, ScenarioSocial800m_prop*100)
 Amenities7 <- c("Walkability", "Average distance to non-food retail (m)", BaselineNonFoodRetail_AverageDistance, ScenarioNonFoodRetail_AverageDistance)
 Amenities8 <- c("Walkability", "Population within 400m of non-food retail (%)", BaselineNonFoodRetail400m_prop*100, ScenarioNonFoodRetail400m_prop*100)
 Amenities9 <- c("Walkability", "Population within 800m of non-food retail (%)", BaselineNonFoodRetail800m_prop*100, ScenarioNonFoodRetail800m_prop*100)
 Amenities10 <- c("Walkability", "Average distance to restaurants (m)", BaselineRestaurants_AverageDistance, ScenarioRestaurants_AverageDistance)
 Amenities11 <- c("Walkability", "Population within 400m of restaurants (%)", BaselineRestaurants400m_prop*100, ScenarioRestaurants400m_prop*100)
 Amenities12 <- c("Walkability", "Population within 800m of restaurants (%)", BaselineRestaurants800m_prop*100, ScenarioRestaurants800m_prop*100)
 Amenities13 <- c("Walkability", "Average distance to exercise services (m)", BaselineExercise_AverageDistance, ScenarioExercise_AverageDistance)
 Amenities14 <- c("Walkability", "Population within 400m of exercise services (%)", BaselineExercise400m_prop*100, ScenarioExercise400m_prop*100)
 Amenities15 <- c("Walkability", "Population within 800m of exercise services (%)", BaselineExercise800m_prop*100, ScenarioExercise800m_prop*100)
 Amenities16 <- c("Walkability", "Average distance to childcare services (m)", BaselineChildcare_AverageDistance, ScenarioChildcare_AverageDistance)
 Amenities17 <- c("Walkability", "Population within 400m of childcare services (%)", BaselineChildcare400m_prop*100, ScenarioChildcare400m_prop*100)
 Amenities18 <- c("Walkability", "Population within 800m of childcare services (%)", BaselineChildcare800m_prop*100, ScenarioChildcare800m_prop*100)
 Amenities19 <- c("Walkability", "Average distance to grocery (m)", BaselineGrocery_AverageDistance, ScenarioGrocery_AverageDistance)
 Amenities20 <- c("Walkability", "Population within 400m of grocery (%)", BaselineGrocery400m_prop*100, ScenarioGrocery400m_prop*100)
 Amenities21 <- c("Walkability", "Population within 800m of grocery (%)", BaselineGrocery800m_prop*100, ScenarioGrocery800m_prop*100)
 Amenities22 <- c("Walkability", "Average distance to parks and trails (m)", BaselineParksTrails_AverageDistance, ScenarioParksTrails_AverageDistance)
 Amenities23 <- c("Walkability", "Population within 400m of parks and trails (%)", BaselineParksTrails400m_prop*100, ScenarioParksTrails400m_prop*100)
 Amenities24 <- c("Walkability", "Population within 800m of parks and trails (%)", BaselineParksTrails800m_prop*100, ScenarioParksTrails800m_prop*100)
 Amenities25 <- c("Walkability", "Average distance to elementary schools (m)", BaselineElementarySchools_AverageDistance, ScenarioElementarySchools_AverageDistance)
 Amenities26 <- c("Walkability", "Population within 400m of elementary schools (%)", BaselineElementarySchools400m_prop*100, ScenarioElementarySchools400m_prop*100)
 Amenities27 <- c("Walkability", "Population within 800m of elementary schools (%)", BaselineElementarySchools800m_prop*100, ScenarioElementarySchools800m_prop*100)
 Amenities28 <- c("Walkability", "Population within 400m of no amenities (%)", BaselineNoAmenities400m, ScenarioNoAmenities400m)
 Amenities29 <- c("Walkability", "Population within 400m of 1 amenity (%)", BaselineAmenities400m_1, ScenarioAmenities400m_1)
 Amenities30 <- c("Walkability", "Population within 400m of 2 amenities (%)", BaselineAmenities400m_2, ScenarioAmenities400m_2)
 Amenities31 <- c("Walkability", "Population within 400m of 3 amenities (%)", BaselineAmenities400m_3, ScenarioAmenities400m_3)
 Amenities32 <- c("Walkability", "Population within 400m of 4 amenities (%)", BaselineAmenities400m_4, ScenarioAmenities400m_4)
 Amenities33 <- c("Walkability", "Population within 400m of 5 amenities (%)", BaselineAmenities400m_5, ScenarioAmenities400m_5)
 Amenities34 <- c("Walkability", "Population within 400m of 6 amenities (%)", BaselineAmenities400m_6, ScenarioAmenities400m_6)
 Amenities35 <- c("Walkability", "Population within 400m of 7 amenities (%)", BaselineAmenities400m_7, ScenarioAmenities400m_7)
 Amenities36 <- c("Walkability", "Population within 400m of 8 amenities (%)", BaselineAmenities400m_8, ScenarioAmenities400m_8)
 Amenities37 <- c("Walkability", "Population within 400m of 9 amenities (%)", BaselineAmenities400m_9, ScenarioAmenities400m_9)
 Amenities38 <- c("Walkability", "Population within 800m of no amenities (%)", BaselineNoAmenities800m, ScenarioNoAmenities800m)
 Amenities39 <- c("Walkability", "Population within 800m of 1 amenity (%)", BaselineAmenities800m_1, ScenarioAmenities800m_1)
 Amenities40 <- c("Walkability", "Population within 800m of 2 amenities (%)", BaselineAmenities800m_2, ScenarioAmenities800m_2)
 Amenities41 <- c("Walkability", "Population within 800m of 3 amenities (%)", BaselineAmenities800m_3, ScenarioAmenities800m_3)
 Amenities42 <- c("Walkability", "Population within 800m of 4 amenities (%)", BaselineAmenities800m_4, ScenarioAmenities800m_4)
 Amenities43 <- c("Walkability", "Population within 800m of 5 amenities (%)", BaselineAmenities800m_5, ScenarioAmenities800m_5)
 Amenities44 <- c("Walkability", "Population within 800m of 6 amenities (%)", BaselineAmenities800m_6, ScenarioAmenities800m_6)
 Amenities45 <- c("Walkability", "Population within 800m of 7 amenities (%)", BaselineAmenities800m_7, ScenarioAmenities800m_7)
 Amenities46 <- c("Walkability", "Population within 800m of 8 amenities (%)", BaselineAmenities800m_8, ScenarioAmenities800m_8)
 Amenities47 <- c("Walkability", "Population within 800m of 9 amenities (%)", BaselineAmenities800m_9, ScenarioAmenities800m_9)
 
 #Food and farm
 Food1 <- c("Food and farm", "Average distance to grocery (m)", BaselineGrocery_AverageDistance, ScenarioGrocery_AverageDistance)
 Food2 <- c("Food and farm", "Population within 400m of grocery (%)", BaselineGrocery400m_prop*100, ScenarioGrocery400m_prop*100)
 Food3 <- c("Food and farm", "Population within 800m of grocery (%)", BaselineGrocery800m_prop*100, ScenarioGrocery800m_prop*100)
 Food4 <- c("Food and farm", "Average distance to food education programs and services (m)", BaselineFoodEducation_AverageDistance, ScenarioFoodEducation_AverageDistance)
 Food5 <- c("Food and farm", "Population within 400m of food education programs and services (%)", BaselineFoodEducation400m_prop*100, ScenarioFoodEducation400m_prop*100)
 Food6 <- c("Food and farm", "Population within 800m of food education programs and services (%)", BaselineFoodEducation800m_prop*100, ScenarioFoodEducation800m_prop*100)
 Food7 <- c("Food and farm", "Average distance to restaurants (m)", BaselineRestaurants_AverageDistance, ScenarioRestaurants_AverageDistance)
 Food8 <- c("Food and farm", "Population within 400m of restaurants (%)", BaselineRestaurants400m_prop*100, ScenarioRestaurants400m_prop*100)
 Food9 <- c("Food and farm", "Population within 800m of restaurants (%)", BaselineRestaurants800m_prop*100, ScenarioRestaurants800m_prop*100)
 Food10 <- c("Food and farm", "Farmed land (ha)", BaselineFarm_FarmedLand, ScenarioFarm_FarmedLand)
 Food11 <- c("Food and farm", "Available land for farming (ha)", BaselineFarm_AvailableLand, ScenarioFarm_AvailableLand)
 Food12 <- c("Food and farm", "Space for farming support (ha)", BaselineFarm_Support, ScenarioFarm_Support)
 Food13 <- c("Food and farm", "Community garden (ha)", BaselineFarm_CommunityGarden, ScenarioFarm_CommunityGarden)
 Food14 <- c("Food and farm", "Space for garden support (ha)", BaselineFarm_GardenSupport, ScenarioFarm_GardenSupport)
 Food15 <- c("Food and farm", "Other agricultural uses (ha)", BaselineFarm_Other, ScenarioFarm_Other)
 Food16 <- c("Food and farm", "Limited agricultural value (ha)", BaselineFarm_Limited, ScenarioFarm_Limited)
 Food17 <- c("Food and farm", "Unavailable for farming (ha)", BaselineFarm_UnavailableLand, ScenarioFarm_UnavailableLand)
 Food18 <- c("Food and farm", "Total space used for farming/agriculture (ha)", Baseline_UsedFarming, Scenario_UsedFarming)
 Food19 <- c("Food and farm", "Total space available for farming/agriculture (ha)", Baseline_AvailableFarming, Scenario_AvailableFarming)
 Food20 <- c("Food and farm", "Total agricultural space with limited farming potential (ha)", Baseline_LimitedFarming, Scenario_LimitedFarming)
 Food21 <- c("Food and farm", "Total agricultural space unavailable for farming (ha)", Baseline_UnavailableFarming, Scenario_UnavailableFarming)
 Food22 <- c("Food and farm", "Change from Baseline in farmed space (%)", 0, ScenarioChange_UsedFarming)
 Food23 <- c("Food and farm", "Change from Baseline in space available for farming/agriculture (%)", 0, ScenarioChange_AvailableFarming)
 Food24 <- c("Food and farm", "Change from Baseline in space with limited farming potential (%)", 0, ScenarioChange_LimitedFarming)
 Food25 <- c("Food and farm", "Change from Baseline in space unavailable for farming (%)", 0, ScenarioChange_UnavailableFarming)
 Food26 <- c("Food and farm", "Average distance from apartments to community gardens (m)", BaselineGardens_AverageDistance, ScenarioGardens_AverageDistance)
 Food27 <- c("Food and farm", "Apartment residents within 400m of community gardens (%)", BaselineGardens_Access400m_prop*100, ScenarioGardens_Access400m_prop*100)
 Food28 <- c("Food and farm", "Apartment residents within 400m of community gardens (%)", BaselineGardens_Access800m_prop*100, ScenarioGardens_Access800m_prop*100)
 Food29 <- c("Food and farm", "Garden space for apartment residents (m2 per person)", BaselineGardens_SpacePerPerson, ScenarioGardens_SpacePerPerson)          
                                     
 #Education
 Education1 <- c("Education","Elementary school aged (5.5 to 12.5) residents (ppl)", Students_YouthDemographics[Students_YouthDemographics$Demographics == "Elementary ages 5.5 to 12.5", "People"],
                 Students_YouthDemographics[Students_YouthDemographics$Demographics == "Elementary ages 5.5 to 12.5", "ScenarioPeople"])
 Education2 <- c("Education","Middle school aged (12.5 to 15.5) residents (ppl)", Students_YouthDemographics[Students_YouthDemographics$Demographics == "Middle school ages 12.5 to 15.5", "People"],
                 Students_YouthDemographics[Students_YouthDemographics$Demographics == "Middle school ages 12.5 to 15.5", "ScenarioPeople"])
 Education3 <- c("Education","High school aged (15.5 to 18.5) residents (ppl)", Students_YouthDemographics[Students_YouthDemographics$Demographics == "Secondary school ages 15.5 to 18.5", "People"],
                 Students_YouthDemographics[Students_YouthDemographics$Demographics == "Secondary school ages 15.5 to 18.5", "ScenarioPeople"])
 Education4 <- c("Education","Average distance to all elementary schools (m)", Baseline_DistanceAllElementary_m, Scenario_DistanceAllElementary_m)
 Education5 <- c("Education","Average distance to all elementary schools (SD)", Baseline_DistanceAllElementary_SD, Scenario_DistanceAllElementary_SD)
 Education6 <- c("Education","Residents within 400m of all elementary schools (%)", Baseline_AllElementary400m_prop*100, Scenario_AllElementary400m_prop*100)
 Education7 <- c("Education","Residents within 800m of all elementary schools (%)", Baseline_AllElementary800m_prop*100, Scenario_AllElementary800m_prop*100)
 Education8 <- c("Education","Average distance to public elementary schools (m)", Baseline_DistancePublicElementary_m, Scenario_DistancePublicElementary_m)
 Education9 <- c("Education","Average distance to public elementary schools (SD)", Baseline_DistancePublicElementary_SD, Scenario_DistancePublicElementary_SD) 
 Education10 <- c("Education","Residents within 400m of public elementary schools (%)", Baseline_PublicElementary400m_prop*100, Scenario_PublicElementary400m_prop*100) 
 Education11 <- c("Education","Residents within 800m of public elementary schools (%)", Baseline_PublicElementary800m_prop*100, Scenario_PublicElementary800m_prop*100)
 Education12 <- c("Education","Average distance to all secondary schools (m)", Baseline_DistanceAllSecondary_m, Scenario_DistanceAllSecondary_m)
 Education13 <- c("Education","Average distance to all secondary schools (SD)", Baseline_DistanceAllSecondary_SD, Scenario_DistanceAllSecondary_SD)
 Education14 <- c("Education","Residents within 400m of schools (%)", Baseline_AllSecondary400m_prop*100, Scenario_AllSecondary400m_prop*100)
 Education15 <- c("Education","Residents within 800m of schools (%)", Baseline_AllSecondary400m_prop*100, Scenario_AllSecondary800m_prop*100)
 Education16 <- c("Education","Average distance to public secondary schools (m)", Baseline_DistancePublicSecondary_m, Scenario_DistancePublicSecondary_m)
 Education17 <- c("Education","Average distance to public secondary schools (SD)", Baseline_DistancePublicSecondary_SD, Scenario_DistancePublicSecondary_SD)
 Education18 <- c("Education","Residents within 400m of schools (%)", Baseline_PublicSecondary400m_prop*100, Scenario_AllSecondary800m_prop*100)
 Education19 <- c("Education","Residents within 800m of schools (%)", Baseline_PublicSecondary800m_prop*100, Scenario_PublicSecondary800m_prop*100)
 Education20 <- c("Education","Average elementary school capacity filled (%)", Baseline_ElementaryCapacity_mean*100, Scenario_ElementaryCapacity_mean*100)
 Education21 <- c("Education","Elementary school students over-capacity (ppl)", Baseline_ElementaryOverCapacity_ppl, Scenario_ElementaryOverCapacity_ppl) 
 Education22 <- c("Education","Average secondary school capacity filled (%)", Baseline_SecondaryCapacity_mean*100, Scenario_SecondaryCapacity_mean*100)
 Education23 <- c("Education","Secondary school students over-capacity (ppl)", Baseline_SecondaryOverCapacity_ppl, Scenario_SecondaryOverCapacity_ppl)
 Education24 <- c("Education","Student body increases in alternative schools when redistributing over-capacity (fold)", Students_AverageAlternativeSchoolBaselineIncrease_fold, Students_AverageAlternativeSchoolScenarioIncrease_fold)
 
   #School capacity and student body increases (enter specific schools in the spaces below)
   SchoolCapacity1 <- c("Student enrolment","Paradise Valley Elementary (ppl)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "ParadiseValleyCA", "BaselineEnrolment"], 
                        Students_CatchmentCapacity[Students_CatchmentCapacity$School == "ParadiseValleyCA", "ScenarioEnrolment"])
   SchoolCapacity2 <- c("Student enrolment","Garibaldi Highlands Elementary (ppl)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "HighlandCA", "BaselineEnrolment"], 
                        Students_CatchmentCapacity[Students_CatchmentCapacity$School == "HighlandCA", "ScenarioEnrolment"])
   SchoolCapacity3 <- c("Student enrolment","Mamquam Elementary (ppl)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "MamquamCA", "BaselineEnrolment"], 
                        Students_CatchmentCapacity[Students_CatchmentCapacity$School == "MamquamCA", "ScenarioEnrolment"])
   SchoolCapacity4 <- c("Student enrolment","Valleycliffe Elementary (ppl)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "ValleycliffeCA", "BaselineEnrolment"], 
                        Students_CatchmentCapacity[Students_CatchmentCapacity$School == "ValleycliffeCA", "ScenarioEnrolment"])
   SchoolCapacity5 <- c("Student enrolment","Squamish Elementary (ppl)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "SquamishCA", "BaselineEnrolment"], 
                        Students_CatchmentCapacity[Students_CatchmentCapacity$School == "SquamishCA", "ScenarioEnrolment"])
   SchoolCapacity6 <- c("Student enrolment","Brackendale Elementary (ppl)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "BrackendaleCA", "BaselineEnrolment"], 
                        Students_CatchmentCapacity[Students_CatchmentCapacity$School == "BrackendaleCA", "ScenarioEnrolment"])
   SchoolCapacity7 <- c("Student enrolment","Don Ross Secondary (ppl)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "DonRossCA", "BaselineEnrolment"], 
                        Students_CatchmentCapacity[Students_CatchmentCapacity$School == "DonRossCA", "ScenarioEnrolment"])
   SchoolCapacity8 <- c("Student enrolment","Howe Sound Secondary (ppl)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "HoweSoundCA", "BaselineEnrolment"], 
                        Students_CatchmentCapacity[Students_CatchmentCapacity$School == "HoweSoundCA", "ScenarioEnrolment"])
   SchoolCapacity9 <- c("Student capacity","Paradise Valley Elementary (%)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "ParadiseValleyCA", "BaselineCapacity"]*100, 
                        Students_CatchmentCapacity[Students_CatchmentCapacity$School == "ParadiseValleyCA", "ScenarioCapacity"]*100)
   SchoolCapacity10 <- c("Student capacity","Garibaldi Highlands Elementary (%)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "HighlandCA", "BaselineCapacity"]*100, 
                        Students_CatchmentCapacity[Students_CatchmentCapacity$School == "HighlandCA", "ScenarioCapacity"]*100)
   SchoolCapacity11 <- c("Student capacity","Mamquam Elementary (%)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "MamquamCA", "BaselineCapacity"]*100, 
                         Students_CatchmentCapacity[Students_CatchmentCapacity$School == "MamquamCA", "ScenarioCapacity"]*100)
   SchoolCapacity12 <- c("Student capacity","Valleycliffe Elementary (%)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "ValleycliffeCA", "BaselineCapacity"]*100, 
                         Students_CatchmentCapacity[Students_CatchmentCapacity$School == "ValleycliffeCA", "ScenarioCapacity"]*100)
   SchoolCapacity13 <- c("Student capacity","Squamish Elementary (%)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "SquamishCA", "BaselineCapacity"]*100, 
                         Students_CatchmentCapacity[Students_CatchmentCapacity$School == "SquamishCA", "ScenarioCapacity"]*100)
   SchoolCapacity14 <- c("Student capacity","Brackendale Elementary (%)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "BrackendaleCA", "BaselineCapacity"]*100, 
                         Students_CatchmentCapacity[Students_CatchmentCapacity$School == "BrackendaleCA", "ScenarioCapacity"]*100)
   SchoolCapacity15 <- c("Student capacity","Don Ross Secondary (%)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "DonRossCA", "BaselineCapacity"]*100, 
                         Students_CatchmentCapacity[Students_CatchmentCapacity$School == "DonRossCA", "ScenarioCapacity"]*100)
   SchoolCapacity16 <- c("Student capacity","Howe Sound Secondary (%)", Students_CatchmentCapacity[Students_CatchmentCapacity$School == "HoweSoundCA", "BaselineCapacity"]*100, 
                         Students_CatchmentCapacity[Students_CatchmentCapacity$School == "HoweSoundCA", "ScenarioCapacity"]*100)
   SchoolCapacity17 <- c("Increase from redistribution","Coast Mountain Academy (fold)", Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Coast Mountain Academy", "BaselineIncreasedFold"],
                         Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Coast Mountain Academy", "ScenarioIncreasedFold"])
   SchoolCapacity18 <- c("Increase from redistribution","Ecole Les Aiglons (fold)", Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Ecole Les Aiglons", "BaselineIncreasedFold"],
                         Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Ecole Les Aiglons", "ScenarioIncreasedFold"])
   SchoolCapacity19 <- c("Increase from redistribution","Sea to Sky Alternative (fold)", Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Sea to Sky Alternative School", "BaselineIncreasedFold"],
                         Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Sea to Sky Alternative School", "ScenarioIncreasedFold"])
   SchoolCapacity20 <- c("Increase from redistribution","Skyridge Montessori (fold)", Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Skyridge Montessori School", "BaselineIncreasedFold"],
                         Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Skyridge Montessori School", "ScenarioIncreasedFold"])
   SchoolCapacity21 <- c("Increase from redistribution","Squamish Montessori (fold)", Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Squamish Montessori School", "BaselineIncreasedFold"],
                         Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Squamish Montessori School", "ScenarioIncreasedFold"])
   SchoolCapacity22 <- c("Increase from redistribution","Squamish Waldorf (fold)", Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Squamish Waldorf School", "BaselineIncreasedFold"],
                         Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Squamish Waldorf School", "ScenarioIncreasedFold"])
   SchoolCapacity23 <- c("Increase from redistribution","Stawamus (fold)", Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Stawamus School", "BaselineIncreasedFold"],
                         Students_AlternativeEnrolment[Students_AlternativeEnrolment$School == "Stawamus School", "ScenarioIncreasedFold"])
   
  #Park access
  Park1 <- c("Park access", "Park space (ha)", Baseline_ParkSpace_ha, Scenario_ParkSpace_ha)
  Park2 <- c("Park access", "Distance to closest park or trail (m)", Baseline_AverageParkDistance, Scenario_AverageParkDistance)
  Park3 <- c("Park access", "Distance to closest park or trail (SD)", Baseline_AverageParkDistance_SD, Scenario_AverageParkDistance_SD)
  Park4 <- c("Park access", "User density for parks within 800m walking distance (ppl/ha)", Baseline_LocalPark800m_UserDensity, Scenario_LocalPark800m_UserDensity)
  Park5 <- c("Park access", "Average residents surrounding large (60-acre) parks within a 400m walk (ppl)", BaselineAveragePeople_400mParks_60ac, ScenarioAveragePeople_400mParks_60ac)
  Park6 <- c("Park access", "Average residents surrounding medium (10- to 60-acre) parks within a 400m walk (ppl)", BaselineAveragePeople_400mParks_10to60ac, ScenarioAveragePeople_400mParks_10to60ac)
  Park7 <- c("Park access", "Average residents surrounding small (2- to 10-acre) parks within a 400m walk (ppl)", BaselineAveragePeople_400mParks_2to10ac, ScenarioAveragePeople_400mParks_2to10ac)
  Park8 <- c("Park access", "Average residents surrounding pocket (under 2 acres) parks within a 400m walk (ppl)", BaselineAveragePeople_400mParks_2ac, ScenarioAveragePeople_400mParks_2ac)
  Park9 <- c("Park access", "Average residents surrounding large (60-acre) parks within a 800m walk (ppl)", BaselineAveragePeople_800mParks_60ac, ScenarioAveragePeople_800mParks_60ac)
  Park10 <- c("Park access", "Average residents surrounding medium (10- to 60-acre) parks within a 800m walk (ppl)", BaselineAveragePeople_800mParks_10to60ac, ScenarioAveragePeople_800mParks_10to60ac)
  Park11 <- c("Park access", "Average residents surrounding small (2- to 10-acre) parks within a 800m walk (ppl)", BaselineAveragePeople_800mParks_2to10ac, ScenarioAveragePeople_800mParks_2to10ac)
  Park12 <- c("Park access", "Average residents surrounding pocket (under 2 acres) parks within a 800m walk (ppl)", BaselineAveragePeople_800mParks_2ac, ScenarioAveragePeople_800mParks_2ac)
  Park13 <- c("Park access", "Population within 400m of park 60 acres or greater (%)", Baseline_Proportion400mParks_60ac, Scenario_Proportion400mParks_60ac)
  Park14 <- c("Park access", "Population within 400m of park 10 acres or greater (%)", Baseline_Proportion400mParks_10ac, Scenario_Proportion400mParks_10ac)
  Park15 <- c("Park access", "Population within 400m of park 2 acres or greater (%)", Baseline_Proportion400mParks_2ac, Scenario_Proportion400mParks_2ac)
  Park16 <- c("Park access", "Population within 400m of all parks (%)", Baseline_Proportion400mParks_All, Scenario_Proportion400mParks_All)
  Park17 <- c("Park access", "Population within 800m of park 60 acres or greater (%)", Baseline_Proportion800mParks_60ac, Scenario_Proportion800mParks_60ac)
  Park18 <- c("Park access", "Population within 800m of park 10 acres or greater (%)", Baseline_Proportion800mParks_10ac, Scenario_Proportion800mParks_10ac)
  Park19 <- c("Park access", "Population within 800m of park 2 acres or greater (%)", Baseline_Proportion800mParks_2ac, Scenario_Proportion800mParks_2ac)
  Park20 <- c("Park access", "Population within 800m of all parks (%)", Baseline_Proportion800mParks_All, Scenario_Proportion800mParks_All)
  
  #Habitat threat
  Habitat1 <- c("Habitat threat", "Residential encroachment on high sensitivity habitat (ha)", BaselineEnroach_HighSensitivity_ha, ScenarioEnroach_HighSensitivity_ha)
  Habitat2 <- c("Habitat threat", "Population encroaching on high sensitivity habitat (%)", BaselineEnroach_HighSensitivity_prop*100, ScenarioEnroach_HighSensitivity_prop*100)
  Habitat3 <- c("Habitat threat", "High sensitivity habitat encroachment per capita (m2/person)", BaselineEnroach_HighSensitivity_m2pp, ScenarioEnroach_HighSensitivity_m2pp)
  Habitat4 <- c("Habitat threat", "Pressure on high sensitivity habitat (ppl x ha)", BaselineEnroach_HighSensitivity_Pressure, ScenarioEnroach_HighSensitivity_Pressure)
  Habitat5 <- c("Habitat threat", "Residential encroachment on high/medium sensitivity habitat (ha)", BaselineEnroach_HighMediumSensitivity_ha, ScenarioEnroach_HighMediumSensitivity_ha)
  Habitat6 <- c("Habitat threat", "Population encroaching on high/medium sensitivity habitat (%)", BaselineEnroach_HighMediumSensitivity_prop*100, ScenarioEnroach_HighMediumSensitivity_prop*100)
  Habitat7 <- c("Habitat threat", "high/medium sensitivity habitat encroachment per capita (m2/person)", BaselineEnroach_HighMediumSensitivity_m2pp, ScenarioEnroach_HighMediumSensitivity_m2pp)
  Habitat8 <- c("Habitat threat", "Pressure on high/medium sensitivity habitat (ppl x ha)", BaselineEnroach_HighMediumSensitivity_Pressure, ScenarioEnroach_HighMediumSensitivity_Pressure)
  Habitat9 <- c("Habitat threat", "Residential encroachment on riparian habitat (ha)", BaselineEnroach_RiparianConnectivity_ha, ScenarioEnroach_RiparianConnectivity_ha)
  Habitat10 <- c("Habitat threat", "Population encroaching on riparian habitat (%)", BaselineEnroach_RiparianConnectivity_prop*100, ScenarioEnroach_RiparianConnectivity_prop*100)
  Habitat11 <- c("Habitat threat", "Riparian habitat encroachment per capita (m2/person)", BaselineEnroach_RiparianConnectivity_m2pp, ScenarioEnroach_RiparianConnectivity_m2pp)
  Habitat12 <- c("Habitat threat", "Pressure on riparian habitat (ppl x ha)", BaselineEnroach_RiparianConnectivity_Pressure, ScenarioEnroach_RiparianConnectivity_Pressure)
  Habitat13 <- c("Habitat threat", "Residential encroachment on threatened species habitat (ha)", BaselineEnroach_ThreatenedSpecies_ha, ScenarioEnroach_ThreatenedSpecies_ha)
  Habitat14 <- c("Habitat threat", "Population encroaching on threatened species habitat (%)", BaselineEnroach_ThreatenedSpecies_prop*100, ScenarioEnroach_ThreatenedSpecies_prop*100)
  Habitat15 <- c("Habitat threat", "Threatened species habitat encroachment per capita (m2/person)", BaselineEnroach_ThreatenedSpecies_m2pp, ScenarioEnroach_ThreatenedSpecies_m2pp)
  Habitat16 <- c("Habitat threat", "Pressure on threatened species habitat (ppl x ha)", BaselineEnroach_ThreatenedSpecies_Pressure, ScenarioEnroach_ThreatenedSpecies_Pressure)
  
  #Affordability
  Affordability1 <- c("Housing affordability", "Average housing prices based on current benchmark ($)", BaselineCurrentHousingPrice_Average, ScenarioCurrentHousingPrice_Average)
  Affordability2 <- c("Housing affordability", "Average housing prices based on current benchmark (SD)", weightedSD(Baseline_HousingPrices$Price_BenchmarkAverages, Baseline_HousingPrices$Units, BaselineCurrentHousingPrice_Average), 
                                                                                                         weightedSD(Scenario_HousingPrices$Price_BenchmarkAverages, Scenario_HousingPrices$Units, ScenarioCurrentHousingPrice_Average))
  Affordability3 <- c("Housing affordability", "Upper range for housing prices ($)", BaselineCurrentHousingPrice_Upper, ScenarioCurrentHousingPrice_Upper)
  Affordability4 <- c("Housing affordability", "Lower range for housing prices ($)", BaselineCurrentHousingPrice_Lower, ScenarioCurrentHousingPrice_Lower)
  Affordability5 <- c("Housing affordability", "Average housing prices based on 10-year projections ($)", BaselineFutureHousingPrice_Average, ScenarioFutureHousingPrice_Average)
  Affordability6 <- c("Housing affordability", "Average housing prices based on 10-year projections (SD)", weightedSD(Baseline_HousingPrices$Price_BenchmarkAverages, Baseline_HousingPrices$Units, BaselineCurrentHousingPrice_Average), 
                                                                                                           weightedSD(Scenario_HousingPrices$Price_BenchmarkAverages, Scenario_HousingPrices$Units, ScenarioCurrentHousingPrice_Average))
  Affordability7 <- c("Housing affordability", "Upper range for projected housing prices ($)", BaselineFutureHousingPrice_Upper, ScenarioFutureHousingPrice_Upper)
  Affordability8 <- c("Housing affordability", "Lower range for projected housing prices ($)", BaselineFutureHousingPrice_Lower, ScenarioFutureHousingPrice_Lower)
  
  #Social diversity
  Diversity1 <- c("Social diversity", "Average neighbourhood housing diversity (Simpson Index)", Baseline_CommunityAverageDiversity, Scenario_CommunityAverageDiversity)
  Diversity2 <- c("Social diversity", "Community-wide housing diversity (Simpson Index)", Baseline_CommunitySimpsonIndex, Scenario_CommunitySimpsonIndex)
  
    #Neighbourhood diversity (enter specific neighbourhoods in the spaces below)
    NeighbourhoodDiversity1 <- c("Neighbourhood diversity", "Brackendale (Simpson Index)", Baseline_SocialDiversity[Baseline_SocialDiversity$Neighbourhood == "Brackendale", "SimpsonIndex"],
                                                                                           Scenario_SocialDiversity[Scenario_SocialDiversity$Neighbourhood == "Brackendale", "SimpsonIndex"])
    NeighbourhoodDiversity2 <- c("Neighbourhood diversity", "Dentville (Simpson Index)", Baseline_SocialDiversity[Baseline_SocialDiversity$Neighbourhood == "Dentville", "SimpsonIndex"],
                                                                                         Scenario_SocialDiversity[Scenario_SocialDiversity$Neighbourhood == "Dentville", "SimpsonIndex"])
    NeighbourhoodDiversity3 <- c("Neighbourhood diversity", "Downtown (Simpson Index)", Baseline_SocialDiversity[Baseline_SocialDiversity$Neighbourhood == "Downtown", "SimpsonIndex"],
                                                                                        Scenario_SocialDiversity[Scenario_SocialDiversity$Neighbourhood == "Downtown", "SimpsonIndex"])
    NeighbourhoodDiversity4 <- c("Neighbourhood diversity", "Garibaldi Estates (Simpson Index)", Baseline_SocialDiversity[Baseline_SocialDiversity$Neighbourhood == "Garibaldi Estates", "SimpsonIndex"],
                                                                                                 Scenario_SocialDiversity[Scenario_SocialDiversity$Neighbourhood == "Garibaldi Estates", "SimpsonIndex"])
    NeighbourhoodDiversity5 <- c("Neighbourhood diversity", "Garibaldi Highlands (Simpson Index)", Baseline_SocialDiversity[Baseline_SocialDiversity$Neighbourhood == "Garibaldi Highlands", "SimpsonIndex"],
                                                                                                   Scenario_SocialDiversity[Scenario_SocialDiversity$Neighbourhood == "Garibaldi Highlands", "SimpsonIndex"])
    NeighbourhoodDiversity6 <- c("Neighbourhood diversity", "Loggers East (Simpson Index)", Baseline_SocialDiversity[Baseline_SocialDiversity$Neighbourhood == "Loggers East", "SimpsonIndex"],
                                                                                            Scenario_SocialDiversity[Scenario_SocialDiversity$Neighbourhood == "Loggers East", "SimpsonIndex"])
    NeighbourhoodDiversity7 <- c("Neighbourhood diversity", "Northyards (Simpson Index)", Baseline_SocialDiversity[Baseline_SocialDiversity$Neighbourhood == "Northyards", "SimpsonIndex"],
                                                                                          Scenario_SocialDiversity[Scenario_SocialDiversity$Neighbourhood == "Northyards", "SimpsonIndex"])
    NeighbourhoodDiversity8 <- c("Neighbourhood diversity", "Paradise Valley (Simpson Index)", Baseline_SocialDiversity[Baseline_SocialDiversity$Neighbourhood == "Paradise Valley", "SimpsonIndex"],
                                                                                               Scenario_SocialDiversity[Scenario_SocialDiversity$Neighbourhood == "Paradise Valley", "SimpsonIndex"])
    NeighbourhoodDiversity9 <- c("Neighbourhood diversity", "Tanatalus (Simpson Index)", Baseline_SocialDiversity[Baseline_SocialDiversity$Neighbourhood == "Tanatalus", "SimpsonIndex"],
                                                                                         Scenario_SocialDiversity[Scenario_SocialDiversity$Neighbourhood == "Tanatalus", "SimpsonIndex"])
    NeighbourhoodDiversity10 <- c("Neighbourhood diversity", "Valleycliffe (Simpson Index)", Baseline_SocialDiversity[Baseline_SocialDiversity$Neighbourhood == "Valleycliffe", "SimpsonIndex"],
                                                                                             Scenario_SocialDiversity[Scenario_SocialDiversity$Neighbourhood == "Valleycliffe", "SimpsonIndex"])
 #Climate adaptation
 ClimateAdaptation1 <- c("Climate adaptation", "Residents living below 5m elevation (ppl)", Baseline_FloodplainResidents_ppl, Scenario_FloodplainResidents_ppl)
 ClimateAdaptation2 <- c("Climate adaptation", "Population living below 5m elevation (%)", Baseline_FloodplainResidents_prop*100, Scenario_FloodplainResidents_prop*100)
 ClimateAdaptation3 <- c("Climate adaptation", "Non-apartment residents living below 5m elevation (ppl)", Baseline_FloodplainNonApartment_ppl, Scenario_FloodplainNonApartment_ppl)
 ClimateAdaptation4 <- c("Climate adaptation", "Non-apartment population living below 5m elevation (%)", Baseline_FloodplainNonApartment_prop*100, Scenario_FloodplainNonApartment_prop*100) 
 ClimateAdaptation5 <- c("Climate adaptation", "Residents living within 30m of wildfire fuel (ppl)", Baseline_WildfireZone_ppl, Scenario_WildfireZone_ppl)
 ClimateAdaptation6 <- c("Climate adaptation", "Population living within 30m of wildfire fuel (%)", Baseline_WildfireZone_prop*100, Scenario_WildfireZone_prop*100)
 ClimateAdaptation7 <- c("Climate adaptation", "Residential overlap with wildfire zone (ha)", Baseline_WildfireZone_ha, Scenario_WildfireZone_ha)
 ClimateAdaptation8 <- c("Climate adaptation", "Wildfire risk (ppl x ha)", Baseline_WildfireRisk_PPLxHA, Scenario_WildfireRisk_PPLxHA)
 
 #Climate mitigation
 ClimateMitigation1 <- c("Climate mitigation", "Commute-related carbon dioxide emissions (t/year)", BaselineCO2commute_Annual_t, ScenarioCO2commute_Annual_t)
 ClimateMitigation2 <- c("Climate mitigation", "Commute-related carbon dioxide emissions per capita (t/year/person)", BaselineCO2commute_PerCapita_tpp, ScenarioCO2commute_PerCapita_tpp)
 ClimateMitigation3 <- c("Climate mitigation", "Carbon stored in developed lands (tonnes)", "NA", ScenarioCO2loss_Stored_t)
 ClimateMitigation4 <- c("Climate mitigation", "Loss of carbon dioxide (equivalent) uptake potential from developing land (t/year)", "NA", ScenarioCO2loss_uptake_tpy)
 

#Build table (column names are used to merge other scenarios to the table)
 Model_ResultsTable <- data.table(AA=Population1, AB=Space, AC=Space, AD=Employment1, AE=Employment2, AF=Employment3, AG=Employment4, AH=Employment5, AI=Space, AJ=Space,
                                  AK=CommercialSpace1, AL=CommercialSpace2, AM=CommercialSpace3, AN=CommercialSpace4, AO=CommercialSpace5, AP=CommercialSpace6, AQ=Space, AR=Space,
                                  AS=BusinessViability1, AT=BusinessViability2, AU=BusinessViability3, AV=BusinessViability4, AW=Space, AX=Space,
                                  AY=Transit1, AZ=Transit2, BA=Transit3, BB=Transit4, BC=Transit5, BD=Transit6, BE=Transit7, BF=Transit8, BG=Space, BH=Space,
                                  BI=Transit9, BJ=Transit10, BK=Transit11, BL=Transit12, BM=Transit13, BN=Transit14, BO=Transit15, BP=Transit16, BQ=Space, BR=Space,
                                  BS=Transit17, BT=Transit18, BU=Transit19, BV=Transit20, BW=Transit21, BX=Transit22, BY=Transit23, BZ=Transit24, CA=Space, CB=Space,
                                  CC=Commute1, CD=Commute2, CE=Commute3, CF=Commute4, CG=Commute5, CH=Commute6, CI=Commute7, CJ=Commute8, CK=Commute9, CL=Commute10,
                                  CM=Commute11, CN=Commute12, CO=Commute13, CP=Commute14, CQ=Commute15, CR=Commute16, CS=Commute17, CT=Commute18, CU=Commute19, CV=Commute20, CW=Space, CX=Space,
                                  CY=Health1, CZ=Health2, DA=Health3, DB=Health4, DC=Health5, DD=Health6, DE=Health7, 
                                  DF=Health8, DG=Health9, DH=Health10, DI=Health11, DJ=Health12, DK=Health13, DL=Health14, DM=Space, DN=Space,
                                  DO=Amenities1, DP=Amenities2, DQ=Amenities3, DR=Amenities4, DS=Amenities5, DT=Amenities6, DU=Amenities7, DV=Amenities8, DW=Amenities9, DX=Amenities10, 
                                  DY=Amenities11, DZ=Amenities12, EA=Amenities13, EB=Amenities14, EC=Amenities15, ED=Amenities16, EE=Amenities17, EF=Amenities18, EG=Amenities19, EH=Amenities20, 
                                  EI=Amenities21, EJ=Amenities22, EK=Amenities23, EL=Amenities24, EM=Amenities25, EN=Amenities26, EO=Amenities27, EP=Amenities28, EQ=Amenities29, ER=Amenities30, 
                                  ES=Amenities31, ET=Amenities32, EU=Amenities33, EV=Amenities34, EW=Amenities35, EX=Amenities36, EY=Amenities37, EZ=Amenities38, FA=Amenities39, FB=Amenities40, 
                                  FC=Amenities41, FD=Amenities42, FE=Amenities43, FF=Amenities44, FG=Amenities45, FH=Amenities46, FI=Amenities47, FJ=Space, FK=Space,
                                  FL=Food1, FM=Food2, FN=Food3, FO=Food4, FP=Food5, FQ=Food6, FR=Food7, FS=Food8, FT=Food9, FU=Food10,
                                  FV=Food11, FW=Food12, FX=Food13, FY=Food14, FZ=Food15, GA=Food16, GB=Food17, GC=Food18, GD=Food19, GE=Food20,
                                  GF=Food21, GG=Food22, GH=Food23, GI=Food24, GJ=Food25, GK=Food26, GL=Food27, GM=Food28, GN=Food29, GO=Space, GP=Space,  
                                  GQ=Education1, GR=Education2, GS=Education3, GT=Education4, GU=Education5, GV=Education6, GW=Education7, GX=Education8,
                                  GY=Education9, GZ=Education10, HA=Education11, HB=Education12, HC=Education13, HD=Education14, HE=Education15, HF=Education16,
                                  HG=Education17, HH=Education18, HI=Education19, HJ=Education20, HK=Education21, HL=Education22, HM=Education23, HN=Education24, HO=Space,
                                  HP=SchoolCapacity1, HQ=SchoolCapacity2, HR=SchoolCapacity3, HS=SchoolCapacity4, HT=SchoolCapacity5, HU=SchoolCapacity6, HV=SchoolCapacity7, HW=SchoolCapacity8,
                                  HX=SchoolCapacity9, HY=SchoolCapacity10, HZ=SchoolCapacity11, IA=SchoolCapacity12, IB=SchoolCapacity13, IC=SchoolCapacity14, ID=SchoolCapacity15, IE=SchoolCapacity16,
                                  IF=SchoolCapacity17, IG=SchoolCapacity18, IH=SchoolCapacity19, IJ=SchoolCapacity20, IK=SchoolCapacity21, IL=SchoolCapacity22, IM=SchoolCapacity23, IN=Space, IO=Space,
                                  IP=Park1, IQ=Park2, IR=Park3, IS=Park4, IT=Park5, IU=Park6, IV=Park7, IW=Park8, IX=Park9, IY=Park10, 
                                  IZ=Park11, JA=Park12, JB=Park13, JC=Park14, JD=Park15, JE=Park16, JF=Park17, JG=Park18, JH=Park19, JI=Park20, JK=Space, JL=Space,
                                  JM=Habitat1, JN=Habitat2, JO=Habitat3, JP=Habitat4, JQ=Habitat5, JR=Habitat6, JS=Habitat7, JT=Habitat8,
                                  JU=Habitat9, JV=Habitat10, JW=Habitat11, JX=Habitat12, JY=Habitat13, JZ=Habitat14, KA=Habitat15, KB=Habitat16, KC=Space, KD=Space,
                                  KE=Affordability1, KF=Affordability2, KG=Affordability3, KH=Affordability4, KI=Affordability5, KJ=Affordability6, KK=Affordability7, LM=Affordability8, LN=Space, LO=Space,
                                  LP=Diversity1, LQ=Diversity2, LR=Space,
                                  LS=NeighbourhoodDiversity1, LT=NeighbourhoodDiversity2, LU=NeighbourhoodDiversity3, LV=NeighbourhoodDiversity4, LW=NeighbourhoodDiversity5,
                                  LX=NeighbourhoodDiversity6, LY=NeighbourhoodDiversity7, LZ=NeighbourhoodDiversity8, MA=NeighbourhoodDiversity9, MB=NeighbourhoodDiversity10, MC=Space, MD=Space,
                                  ME=ClimateAdaptation1, MF=ClimateAdaptation2, MG=ClimateAdaptation3, MH=ClimateAdaptation4,
                                  MI=ClimateAdaptation5, MJ=ClimateAdaptation6, MK=ClimateAdaptation7, ML=ClimateAdaptation8, MN=Space, MO=Space,
                                  MP=ClimateMitigation1, MQ=ClimateMitigation2, MR=ClimateMitigation3, MS=ClimateMitigation4)


#Arrange Baseline and Scenario output into columns and rename column headings
 Model_ResultsTable <- t(Model_ResultsTable)
   Model_ResultsTable <- data.table(rownames(Model_ResultsTable), Model_ResultsTable)
   colnames(Model_ResultsTable) <- c("Row", "Model_Outcome", "Indicator", "Baseline_Conditions", "Community_Scenario")

   

#---------------SCENARIO RESULTS---------------

#Add first scenario to table (DO NOT RUN THIS COMMAND WHEN ADDING A SECOND SCENARIO)
 Model_ResultsTable_OneScenario <- Model_ResultsTable


#Two community scenarios in results table (rerun model and then run this command)
  Model_ResultsTable_TwoScenarios <- merge(x=Model_ResultsTable_OneScenario, y=Model_ResultsTable, by.x="Row", by.y="Row")
 

#Three community scenarios in results table (rerun model and then run this command)
  Model_ResultsTable_ThreeScenarios <- merge(x=Model_ResultsTable_TwoScenarios, y=Model_ResultsTable, by.x="Row", by.y="Row")
   


#---------------EXPORT TABLE-------------------

#Confirm working directory, prepare results table, and export to CSV format
 setwd(choose.dir())
 
  
 #One community scenario in results table 
  ResultsTableExport_OneScenario <- data.table(Model_Outcome=Model_ResultsTable_OneScenario$Model_Outcome, Indicator=Model_ResultsTable_OneScenario$Indicator,
                                               Baseline_Conditions=Model_ResultsTable_OneScenario$Baseline_Conditions, Community_Scenario=Model_ResultsTable_OneScenario$Community_Scenario)
    write.csv(ResultsTableExport_OneScenario, file="SpacesPlacesPossibilities_CommunityScenarioModel_Results.csv")
   
    
 #Two community scenarios in results table 
  ResultsTableExport_TwoScenarios <- data.table(Model_Outcome=Model_ResultsTable_TwoScenarios$Model_Outcome.x, Indicator=Model_ResultsTable_TwoScenarios$Indicator.x,
                                                Baseline_Conditions=Model_ResultsTable_TwoScenarios$Baseline_Conditions.x, Scenario_One=Model_ResultsTable_TwoScenarios$Community_Scenario.x,
                                                Scenario_Two=Model_ResultsTable_TwoScenarios$Community_Scenario.y)
    write.csv(ResultsTableExport_TwoScenarios, file="SpacesPlacesPossibilities_CommunityScenarioModel_Results.csv")

    
 #Three community scenarios in results table 
  ResultsTableExport_ThreeScenarios <- data.table(Model_Outcome=Model_ResultsTable_ThreeScenarios$Model_Outcome.x, Indicator=Model_ResultsTable_ThreeScenarios$Indicator.x,
                                                   Baseline_Conditions=Model_ResultsTable_ThreeScenarios$Baseline_Conditions.x, Scenario_One=Model_ResultsTable_ThreeScenarios$Community_Scenario.x,
                                                   Scenario_Two=Model_ResultsTable_ThreeScenarios$Community_Scenario.y, Scenario_Three=Model_ResultsTable_ThreeScenarios$Community_Scenario)
     write.csv(ResultsTableExport_ThreeScenarios, file="SpacesPlacesPossibilities_CommunityScenarioModel_Results.csv")

  
   
#Clear table items from storage
 rm(Space, Population1, Employment1, Employment2, Employment3, Employment4, Employment5,
    CommercialSpace1, CommercialSpace2, CommercialSpace3, CommercialSpace4, CommercialSpace5, CommercialSpace6, 
    BusinessViability1, BusinessViability2, BusinessViability3, BusinessViability4,
    Transit1, Transit2, Transit3, Transit4, Transit5, Transit6, Transit7, Transit8,
    Transit9, Transit10, Transit11, Transit12, Transit13, Transit14, Transit15, Transit16,
    Transit17, Transit18, Transit19, Transit20, Transit21, Transit22, Transit23, Transit24, 
    Commute1, Commute2, Commute3, Commute4, Commute5, Commute6, Commute7, Commute8, Commute9, Commute10,
    Commute11, Commute12, Commute13, Commute14, Commute15, Commute16, Commute17, Commute18, Commute19, Commute20, 
    Health1, Health2, Health3, Health4, Health5, Health6, Health7, 
    Health8, Health9, Health10, Health11, Health12, Health13, Health14, 
    Amenities1, Amenities2, Amenities3, Amenities4, Amenities5, Amenities6, Amenities7, Amenities8, Amenities9, Amenities10, 
    Amenities11, Amenities12, Amenities13, Amenities14, Amenities15, Amenities16, Amenities17, Amenities18, Amenities19, Amenities20, 
    Amenities21, Amenities22, Amenities23, Amenities24, Amenities25, Amenities26, Amenities27, Amenities28, Amenities29, Amenities30, 
    Amenities31, Amenities32, Amenities33, Amenities34, Amenities35, Amenities36, Amenities37, Amenities38, Amenities39, Amenities40, 
    Amenities41, Amenities42, Amenities43, Amenities44, Amenities45, Amenities46, Amenities47, 
    Food1, Food2, Food3, Food4, Food5, Food6, Food7, Food8, Food9, Food10,
    Food11, Food12, Food13, Food14, Food15, Food16, Food17, Food18, Food19, Food20,
    Food21, Food22, Food23, Food24, Food25, Food26, Food27, Food28, Food29,       
    Education1, Education2, Education3, Education4, Education5, Education6, Education7, Education8,
    Education9, Education10, Education11, Education12, Education13, Education14, Education15, Education16,
    Education17, Education18, Education19, Education20, Education21, Education22, Education23, Education24,
    SchoolCapacity1, SchoolCapacity2, SchoolCapacity3, SchoolCapacity4, SchoolCapacity5, SchoolCapacity6, SchoolCapacity7, SchoolCapacity8,
    SchoolCapacity9, SchoolCapacity10, SchoolCapacity11, SchoolCapacity12, SchoolCapacity13, SchoolCapacity14, SchoolCapacity15, SchoolCapacity16,
    SchoolCapacity17, SchoolCapacity18, SchoolCapacity19, SchoolCapacity20, SchoolCapacity21, SchoolCapacity22, SchoolCapacity23,
    Park1, Park2, Park3, Park4, Park5, Park6, Park7, Park8, Park9, Park10, 
    Park11, Park12, Park13, Park14, Park15, Park16, Park17, Park18, Park19, Park20,
    Habitat1, Habitat2, Habitat3, Habitat4, Habitat5, Habitat6, Habitat7, Habitat8,
    Habitat9, Habitat10, Habitat11, Habitat12, Habitat13, Habitat14, Habitat15, Habitat16,
    Affordability1, Affordability2, Affordability3, Affordability4, Affordability5, Affordability6, Affordability7, Affordability8,
    Diversity1, Diversity2,
    NeighbourhoodDiversity1, NeighbourhoodDiversity2, NeighbourhoodDiversity3, NeighbourhoodDiversity4, NeighbourhoodDiversity5,
    NeighbourhoodDiversity6, NeighbourhoodDiversity7, NeighbourhoodDiversity8, NeighbourhoodDiversity9, NeighbourhoodDiversity10,
    ClimateAdaptation1, ClimateAdaptation2, ClimateAdaptation3, ClimateAdaptation4,
    ClimateAdaptation5, ClimateAdaptation6, ClimateAdaptation7, ClimateAdaptation8,
    ClimateMitigation1, ClimateMitigation2, ClimateMitigation3, ClimateMitigation4)
 